2013-12-13  Brent Fulgham  <bfulgham@apple.com>

        Unreviewed build correction after r160548.

        * WebKit.vcxproj/WebKit/WebKitApple.props: Exclude linking with QTMoveWin, which does
        not build with VS2013.

2013-12-13  Brent Fulgham  <bfulgham@apple.com>

        Unreviewed build correction after r160548

        * WebKit.vcxproj/WebKit.sln: Revise build order to avoid errors with ANGLE included.

2013-12-13  Brent Fulgham  <bfulgham@apple.com>

        [Win] Unreviewed build fix after r160548

        * WebKit.vcxproj/WebKit.sln: Revised to build under VS2013.

2013-12-13  Andy Estes  <aestes@apple.com>

        Post-process exported WebKit headers based on PLATFORM_NAME
        https://bugs.webkit.org/show_bug.cgi?id=125682

        Reviewed by Dan Bernstein.

        Added a build phase that calls unifdef(1) on each of WebKit's Public
        and Private headers, defining TARGET_OS_EMBEDDED, TARGET_OS_IPHONE, and
        TARGET_IPHONE_SIMULATOR based on the value of PLATFORM_NAME. This has
        the effect of stripping out bits not needed by the SDK being built for.

        * WebKit.xcodeproj/project.pbxproj:

2013-12-13  Brent Fulgham  <bfulgham@apple.com>

        [Win] Switch WebKit solution to Visual Studio 2013
        https://bugs.webkit.org/show_bug.cgi?id=125192

        Reviewed by Anders Carlsson.

        * WebKit.vcxproj/Interfaces/Interfaces.vcxproj: Update for VS2013
        * WebKit.vcxproj/WebKit.sln: Ditto
        * WebKit.vcxproj/WebKit/WebKit.vcxproj: Ditto
        * WebKit.vcxproj/WebKitExportGenerator/WebKitExportGenerator.vcxproj: Ditto
        * WebKit.vcxproj/WebKitGUID/WebKitGUID.vcxproj: Ditto

2013-12-11  Alex Christensen  <achristensen@webkit.org>

        [Win] Build fix after r159768.
        https://bugs.webkit.org/show_bug.cgi?id=125467

        Reviewed by Brent Fulgham.

        * WebKit.vcxproj/WebKit/WebKitVersion.cmd:
        Set PATH environment variable to include cygwin bin directory.

2013-12-11  Alex Christensen  <achristensen@webkit.org>

        [Win] Unreviewed link fix.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:
        Corrected 64-bit linker symbols.

2013-12-11  Joseph Pecoraro  <pecoraro@apple.com>

        Web Inspector: Push More Inspector Required Classes Down into JavaScriptCore
        https://bugs.webkit.org/show_bug.cgi?id=125324

        Reviewed by Timothy Hatcher.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:

2013-12-11  Mark Rowe  <mrowe@apple.com>

        <https://webkit.org/b/125562> Remove a Leopard-specific check from WebKit.xcodeproj

        Reviewed by Anders Carlsson.

        * WebKit.xcodeproj/project.pbxproj:

2013-12-06  Roger Fong <roger_fong@apple.com> and Brent Fulgham  <bfulgham@apple.com>

        [Win] Support compiling with VS2013.
        https://bugs.webkit.org/show_bug.cgi?id=125353

        Reviewed by Anders Carlsson.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in: Provide
        proper exports for VS2013 build.

2013-12-06  Dániel Bátyai  <Batyai.Daniel@stud.u-szeged.hu>

        Build fix after r160207, remove the BitmapImage::decodeSize symbol export
        https://bugs.webkit.org/show_bug.cgi?id=125342

        Reviewed by Csaba Osztrogonác.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:

2013-12-05  Brent Fulgham  <bfulgham@apple.com>

        [Win] Avoid copying compiled-in resources to DSTROOT
        https://bugs.webkit.org/show_bug.cgi?id=125309

        Reviewed by Jer Noble.

        * WebKit.vcxproj/WebKit/WebKitPostBuild.cmd: Only copy Info.plist to the final WebKit.resource bundle.
        The PNG and RC files are compiled into the WebKit.dll library.

2013-12-04  Brent Fulgham  <bfulgham@apple.com>

        [Win] Correct WebKit.make copy command to land resources in proper directory.
        https://bugs.webkit.org/show_bug.cgi?id=125249

        Reviewed by Tim Horton.

        * WebKit.vcxproj/WebKit.make: Correct the copy command.

2013-12-04  peavo@outlook.com  <peavo@outlook.com>

        [Win][64-bit] Link error.
        https://bugs.webkit.org/show_bug.cgi?id=125234

        Reviewed by Brent Fulgham.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in: Changed 64-bit version of symbol.

2013-12-03  Joseph Pecoraro  <pecoraro@apple.com>

        Web Inspector: Push Remote Inspector debugging connection management into JavaScriptCore
        https://bugs.webkit.org/show_bug.cgi?id=124613

        Reviewed by Timothy Hatcher.

        * WebKit.xcodeproj/project.pbxproj:

2013-12-03  Brent Fulgham  <bfulgham@apple.com>

        [Win] WebKit.make Makefile doesn't copy resource bundle to DSTROOT
        https://bugs.webkit.org/show_bug.cgi?id=125160

        Reviewed by Tim Horton.

        * WebKit.vcxproj/WebKit.make: Add copy command for resource bundle.

2013-12-02  Beth Dakin  <bdakin@apple.com>

        Attempted build fix. I think this is no longer needed.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:

2013-12-02  Beth Dakin  <bdakin@apple.com>

        Add a setting to opt into a mode where the background extends and fixed elements 
        don't move on rubber-band
        https://bugs.webkit.org/show_bug.cgi?id=124745

        Reviewed by Tim Horton.

        Keep Windows happy.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:

2013-12-02  Brent Fulgham  <bfulgham@apple.com>

        [Win] WebKit Project doesn't copy resource bundle
        https://bugs.webkit.org/show_bug.cgi?id=125078

        Reviewed by Jer Noble.

        * WebKit.vcxproj/WebKit/WebKitPostBuild.cmd: Correct post-build step
        to copy WebKit.resources to build target.

2013-11-28  Thiago de Barros Lacerda  <thiago.lacerda@openbossa.org>

        Building EFL Webkit again with mediastream enabled
        https://bugs.webkit.org/show_bug.cgi?id=124930

        Reviewed by Csaba Osztrogonác.

        * CMakeLists.txt:

2013-11-27  Sam Weinig  <sam@webkit.org>

        Fix the iOS build.

        * WebKit.xcodeproj/project.pbxproj:

2013-11-25  peavo@outlook.com  <peavo@outlook.com>

        [Win] WebKit version in user agent string is incorrect.
        https://bugs.webkit.org/show_bug.cgi?id=124454

        Reviewed by Brent Fulgham.

        Generate WebKitVersion.h file from mac's Version.xcconfig file.

        * WebKit.vcxproj/WebKit/WebKit.vcxproj:
        * WebKit.vcxproj/WebKit/WebKit.vcxproj.filters:
        * WebKit.vcxproj/WebKit/WebKitVersion.cmd: Added.

2013-11-23  Xabier Rodriguez Calvar  <calvaris@igalia.com>

        [GStreamer] Remove 0.10 codepath
        https://bugs.webkit.org/show_bug.cgi?id=124534

        Reviewed by Philippe Normand.

        * PlatformEfl.cmake: Removed FullscreenVideoControllerEfl.cpp.

2013-11-21  Alex Christensen  <achristensen@webkit.org>

        Remove ANGLEGenerated from Windows build.
        https://bugs.webkit.org/show_bug.cgi?id=124759

        Reviewed by Darin Adler.

        * WebKit.vcxproj/WebKit.sln:
        Remove references to ANGLEGenerated.vcxproj.

2013-11-21  Peter Molnar  <pmolnar.u-szeged@partner.samsung.com>

        Remove ENABLE_WORKERS
        https://bugs.webkit.org/show_bug.cgi?id=105784

        Reviewed by Darin Adler.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:

2013-11-21  peavo@outlook.com  <peavo@outlook.com>

        [WinCairo] Building ANGLE libraries fails.
        https://bugs.webkit.org/show_bug.cgi?id=124679

        Reviewed by Brent Fulgham.

        * WebKit.vcxproj/WebKit/WebKitCFLite.props: Link with translator_hlsl.lib.

2013-11-19  Mark Lam  <mark.lam@apple.com>

        Add tracking of endColumn for Executables.
        https://bugs.webkit.org/show_bug.cgi?id=124245.

        Reviewed by Geoffrey Garen.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:
        - Added an exported symbol to make the Win32 build happy. The Win64 symbol
          is currently a copy of the Win32 one. It'll need to be updated if the
          mangled symbol is different for Win64.

2013-11-18  Mark Rowe  <mrowe@apple.com>

        Use hw.activecpu for determining how many processes to spawn.

        It's documented as the preferred way to determine the number of threads
        or processes to create in a SMP aware application.

        Rubber-stamped by Tim Horton.

        * WebKit.xcodeproj/project.pbxproj:

2013-11-18  Ryuan Choi  <ryuan.choi@samsung.com>

        [EFL] Add EWebKitConfig.cmake and EWebKit2Config.cmake
        https://bugs.webkit.org/show_bug.cgi?id=124478

        Reviewed by Gyuyoung Kim.

        EWebKit is built using CMake but applications use *.pc to use it.
        This patch provides EWebKitConfig.cmake and EWebKit2Config.cmake
        for applications which use EWebkit and is compiled by CMake.

        * PlatformEfl.cmake:
        Configure and install EWebKitConfig.cmake and EWebKitConfigVersion.cmake

2013-11-13  Joseph Pecoraro  <pecoraro@apple.com>

        Unreviewed rollout of r159271, broke Mountain Lion build.

        * WebKit.xcodeproj/project.pbxproj:

2013-11-13  Anders Carlsson  <andersca@apple.com>

        Deprecate WebHistory methods that use NSCalendarDate
        https://bugs.webkit.org/show_bug.cgi?id=124329
        <rdar://problem/15441122>

        Reviewed by Mark Rowe.

        * WebKit.xcodeproj/project.pbxproj:
        Add a shell script phase that uses unifdef to remove the __NSd_10_9 #define from
        WebHistory on Mavericks.

2013-11-11  Alex Christensen  <achristensen@webkit.org>

        Unreviewed build fix for Win64.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:
        Fixed 64-bit linker symbols.

2013-11-11  Dan Bernstein  <mitz@apple.com>

        [Mac] .exp files are not source code
        https://bugs.webkit.org/show_bug.cgi?id=124154

        Reviewed by Andy Estes.

        * WebKit.xcodeproj/project.pbxproj: Removed WebKit.iOS.exp from the Compile Sources build
        phase.

2013-11-07  Roger Fong  <roger_fong@apple.com>

        Unreviewed. Windows WebKit makefile fixes.

        No need to copy over WebKit.resources.

        * WebKit.vcxproj/WebKit.make:
        * WebKit.vcxproj/WebKit/WebKitPostBuild.cmd:

2013-11-07  Denis Nomiyama  <d.nomiyama@samsung.com>

        [GTK] Glyphs in vertical text tests are rotated 90 degrees clockwise
        https://bugs.webkit.org/show_bug.cgi?id=50619

        Reviewed by Martin Robinson.

        Added WebCore/platform/graphics/opentype to the include path.

        * PlatformEfl.cmake:

2013-11-04  Brent Fulgham  <bfulgham@apple.com>

        [Win] Use VersionStamper for official builds
        https://bugs.webkit.org/show_bug.cgi?id=123758

        Reviewed by Tim Horton.

        * WebKit.vcxproj/WebKit/WebKitPostBuild.cmd: Restore command to
        call VersionStamper on final stage of build.

2013-11-02  Christophe Dumez  <ch.dumez@samsung.com>

        EnforceRange doesn't enforce range of a short
        https://bugs.webkit.org/show_bug.cgi?id=123661

        Reviewed by Alexey Proskuryakov.

        Export symbols to fix Windows build.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:

2013-11-01  Andy Estes  <aestes@apple.com>

        [iOS] Make some headers Private
        https://bugs.webkit.org/show_bug.cgi?id=123626

        Reviewed by Andreas Kling.

        * WebKit.xcodeproj/project.pbxproj:

2013-11-01  Afonso R. Costa Jr.  <afonso.costa@samsung.com>

        Expose setApplicationCacheOriginQuota via window.internals
        https://bugs.webkit.org/show_bug.cgi?id=87838

        Reviewed by Joseph Pecoraro.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in: Add
        symbols for setApplicationCacheOriginQuota from Internals.

2013-11-01  Andy Estes  <aestes@apple.com>

        Reverted r158443. It broke the build.

        * WebKit.xcodeproj/project.pbxproj:

2013-11-01  Andy Estes  <aestes@apple.com>

        [iOS] Make some headers Private
        https://bugs.webkit.org/show_bug.cgi?id=123626

        Reviewed by Sam Weinig.

        * WebKit.xcodeproj/project.pbxproj:

2013-10-31  Ryosuke Niwa  <rniwa@webkit.org>

        Windows build fix attempt after r158421.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:

2013-10-29  Andy Estes  <aestes@apple.com>

        [iOS] Upstream Source/WebKit/ios/
        https://bugs.webkit.org/show_bug.cgi?id=123470

        Reviewed by Sam Weinig.

        * WebKit.xcodeproj/project.pbxproj:

2013-10-30  Myles C. Maxfield  <mmaxfield@apple.com>

        WebKit/win/WebKitGraphics.h:void WebDrawText(WebTextRenderInfo*); is never called
        https://bugs.webkit.org/show_bug.cgi?id=123485

        Reviewed by Brent Fulgham.

        Deleting the function

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:

2013-10-30  Alex Christensen  <achristensen@webkit.org>

        [Windows] Unreviewed build fix.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:
        Added missing 32-bit and 64-bit linker symbols.

2013-10-30  Alex Christensen  <achristensen@webkit.org>

        Disabled JIT on Win64.
        https://bugs.webkit.org/show_bug.cgi?id=122472

        Reviewed by Geoffrey Garen.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:
        Added missing 64-bit linker symbol.

2013-10-28  Joseph Pecoraro  <pecoraro@apple.com>

        Upstream remaining PLATFORM(IOS) and ENABLE(REMOTE_INSPECTOR) pieces
        https://bugs.webkit.org/show_bug.cgi?id=123411

        Reviewed by Timothy Hatcher.

        * WebKit.xcodeproj/project.pbxproj:

2013-10-25  Joseph Pecoraro  <pecoraro@apple.com>

        Upstream ENABLE(REMOTE_INSPECTOR) and enable on iOS and Mac
        https://bugs.webkit.org/show_bug.cgi?id=123111

        Reviewed by Timothy Hatcher.

        * WebKit.xcodeproj/project.pbxproj:

2013-10-23  Gyuyoung Kim  <gyuyoung.kim@samsung.com>

        Integrate css3-images image-orientation with existing EXIF support
        https://bugs.webkit.org/show_bug.cgi?id=91566

        Reviewed by Beth Dakin.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in: Update export symbols for draw functions.

2013-10-15  Andy Estes  <aestes@apple.com>

        Expose -[WebPluginPackage bundle] as SPI
        https://bugs.webkit.org/show_bug.cgi?id=122814

        Reviewed by Anders Carlsson.

        * WebKit.xcodeproj/project.pbxproj: Added WebPluginPackagePrivate.h.

2013-10-10  Ryosuke Niwa  <rniwa@webkit.org>

        Windows build fix attempt.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:

2013-10-10  Marcelo Morais  <m.morais@samsung.com>

        Web Inspector: Remove the old front-end from WebKit
        https://bugs.webkit.org/show_bug.cgi?id=122295

        Reviewed by Timothy Hatcher.

        * PlatformBlackBerry.cmake: Removed the references for the old
        inspector front-end.

2013-10-10  Anders Carlsson  <andersca@apple.com>

        Remove WebScrollBar
        https://bugs.webkit.org/show_bug.cgi?id=122623

        Reviewed by Brent Fulgham.

        Remove files from VS projects.

        * WebKit.vcxproj/Interfaces/Interfaces.vcxproj:
        * WebKit.vcxproj/Interfaces/Interfaces.vcxproj.filters:
        * WebKit.vcxproj/WebKit/WebKit.vcxproj:
        * WebKit.vcxproj/WebKit/WebKit.vcxproj.filters:

2013-10-08  Alex Christensen  <achristensen@webkit.org>

        Fixed Win64 linking.
        https://bugs.webkit.org/show_bug.cgi?id=122530

        Reviewed by Brent Fulgham.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:
        Added 64-bit linker symbols.

2013-10-06  Andreas Kling  <akling@apple.com>

        No? Okay, let's try that again..

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:

2013-10-06  Andreas Kling  <akling@apple.com>

        Attempt to fix the Windows build.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:

2013-10-06  Darin Adler  <darin@apple.com>

        Try to fix the Windows build.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:
        Removed export of non-existent Node::treeScope function returning
        a TreeScope*. Probably will have to add an export to fix the next failure.

2013-10-06  Darin Adler  <darin@apple.com>

        Remove unneeded ScriptGCEvent class
        https://bugs.webkit.org/show_bug.cgi?id=122390

        Reviewed by Anders Carlsson.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:
        Replaced symbol from ScriptGCEvent with symbol from JSDOMWindowBase.

2013-10-04  Daniel Bates  <dabates@apple.com>

        [iOS] Upstream disk image cache
        https://bugs.webkit.org/show_bug.cgi?id=121985

        Reviewed by Joseph Pecoraro.

        * WebKit.xcodeproj/project.pbxproj:
        * ios/WebCoreSupport/WebDiskImageCacheClientIOS.h: Added.
        * ios/WebCoreSupport/WebDiskImageCacheClientIOS.mm: Added.

2013-10-04  Anders Carlsson  <andersca@apple.com>

        Remove WebAssertions.h
        https://bugs.webkit.org/show_bug.cgi?id=122328

        Reviewed by Jessie Berlin.

        * WebKit.xcodeproj/project.pbxproj:

2013-10-03  Anders Carlsson  <andersca@apple.com>

        Remove WebNSNotificationCenterExtras
        https://bugs.webkit.org/show_bug.cgi?id=122316

        Reviewed by Dan Bernstein.

        Update Xcode project.

        * WebKit.xcodeproj/project.pbxproj:

2013-10-02  Anders Carlsson  <andersca@apple.com>

        Remove WebKit/qt.

        Rubber-stamped by Andreas Kling.

        * qt/Api/qhttpheader.cpp: Removed.
        * qt/Api/qhttpheader_p.h: Removed.
        * qt/Api/qwebdatabase.cpp: Removed.
        * qt/Api/qwebdatabase.h: Removed.
        * qt/Api/qwebdatabase_p.h: Removed.
        * qt/Api/qwebelement.cpp: Removed.
        * qt/Api/qwebelement.h: Removed.
        * qt/Api/qwebelement_p.h: Removed.
        * qt/Api/qwebhistory.cpp: Removed.
        * qt/Api/qwebhistory.h: Removed.
        * qt/Api/qwebhistory_p.h: Removed.
        * qt/Api/qwebhistoryinterface.cpp: Removed.
        * qt/Api/qwebhistoryinterface.h: Removed.
        * qt/Api/qwebkitglobal.cpp: Removed.
        * qt/Api/qwebkitglobal.h: Removed.
        * qt/Api/qwebkitplatformplugin.h: Removed.
        * qt/Api/qwebplugindatabase.cpp: Removed.
        * qt/Api/qwebplugindatabase_p.h: Removed.
        * qt/Api/qwebpluginfactory.cpp: Removed.
        * qt/Api/qwebpluginfactory.h: Removed.
        * qt/Api/qwebscriptworld.cpp: Removed.
        * qt/Api/qwebscriptworld.h: Removed.
        * qt/Api/qwebscriptworld_p.h: Removed.
        * qt/Api/qwebsecurityorigin.cpp: Removed.
        * qt/Api/qwebsecurityorigin.h: Removed.
        * qt/Api/qwebsecurityorigin_p.h: Removed.
        * qt/Api/qwebsettings.cpp: Removed.
        * qt/Api/qwebsettings.h: Removed.
        * qt/ChangeLog-2011-02-16: Removed.
        * qt/WebCoreSupport/ChromeClientQt.cpp: Removed.
        * qt/WebCoreSupport/ChromeClientQt.h: Removed.
        * qt/WebCoreSupport/ContextMenuClientQt.cpp: Removed.
        * qt/WebCoreSupport/ContextMenuClientQt.h: Removed.
        * qt/WebCoreSupport/DragClientQt.cpp: Removed.
        * qt/WebCoreSupport/DragClientQt.h: Removed.
        * qt/WebCoreSupport/DumpRenderTreeSupportQt.cpp: Removed.
        * qt/WebCoreSupport/DumpRenderTreeSupportQt.h: Removed.
        * qt/WebCoreSupport/EditorClientQt.cpp: Removed.
        * qt/WebCoreSupport/EditorClientQt.h: Removed.
        * qt/WebCoreSupport/FrameLoaderClientQt.cpp: Removed.
        * qt/WebCoreSupport/FrameLoaderClientQt.h: Removed.
        * qt/WebCoreSupport/FrameNetworkingContextQt.cpp: Removed.
        * qt/WebCoreSupport/FrameNetworkingContextQt.h: Removed.
        * qt/WebCoreSupport/FullScreenVideoQt.cpp: Removed.
        * qt/WebCoreSupport/FullScreenVideoQt.h: Removed.
        * qt/WebCoreSupport/GeolocationClientQt.cpp: Removed.
        * qt/WebCoreSupport/GeolocationClientQt.h: Removed.
        * qt/WebCoreSupport/GeolocationPermissionClientQt.cpp: Removed.
        * qt/WebCoreSupport/GeolocationPermissionClientQt.h: Removed.
        * qt/WebCoreSupport/IconDatabaseClientQt.cpp: Removed.
        * qt/WebCoreSupport/IconDatabaseClientQt.h: Removed.
        * qt/WebCoreSupport/InitWebCoreQt.cpp: Removed.
        * qt/WebCoreSupport/InitWebCoreQt.h: Removed.
        * qt/WebCoreSupport/InspectorClientQt.cpp: Removed.
        * qt/WebCoreSupport/InspectorClientQt.h: Removed.
        * qt/WebCoreSupport/InspectorServerQt.cpp: Removed.
        * qt/WebCoreSupport/InspectorServerQt.h: Removed.
        * qt/WebCoreSupport/NotificationPresenterClientQt.cpp: Removed.
        * qt/WebCoreSupport/NotificationPresenterClientQt.h: Removed.
        * qt/WebCoreSupport/PlatformStrategiesQt.cpp: Removed.
        * qt/WebCoreSupport/PlatformStrategiesQt.h: Removed.
        * qt/WebCoreSupport/PopupMenuQt.cpp: Removed.
        * qt/WebCoreSupport/PopupMenuQt.h: Removed.
        * qt/WebCoreSupport/QWebFrameAdapter.cpp: Removed.
        * qt/WebCoreSupport/QWebFrameAdapter.h: Removed.
        * qt/WebCoreSupport/QWebPageAdapter.cpp: Removed.
        * qt/WebCoreSupport/QWebPageAdapter.h: Removed.
        * qt/WebCoreSupport/QtPlatformPlugin.cpp: Removed.
        * qt/WebCoreSupport/QtPlatformPlugin.h: Removed.
        * qt/WebCoreSupport/QtPluginWidgetAdapter.cpp: Removed.
        * qt/WebCoreSupport/QtPluginWidgetAdapter.h: Removed.
        * qt/WebCoreSupport/QtPrintContext.cpp: Removed.
        * qt/WebCoreSupport/QtPrintContext.h: Removed.
        * qt/WebCoreSupport/SearchPopupMenuQt.cpp: Removed.
        * qt/WebCoreSupport/SearchPopupMenuQt.h: Removed.
        * qt/WebCoreSupport/TextCheckerClientQt.cpp: Removed.
        * qt/WebCoreSupport/TextCheckerClientQt.h: Removed.
        * qt/WebCoreSupport/TextureMapperLayerClientQt.cpp: Removed.
        * qt/WebCoreSupport/TextureMapperLayerClientQt.h: Removed.
        * qt/WebCoreSupport/UndoStepQt.cpp: Removed.
        * qt/WebCoreSupport/UndoStepQt.h: Removed.
        * qt/WebCoreSupport/WebEventConversion.cpp: Removed.
        * qt/WebCoreSupport/WebEventConversion.h: Removed.
        * qt/WidgetApi/qgraphicswebview.cpp: Removed.
        * qt/WidgetApi/qgraphicswebview.h: Removed.
        * qt/WidgetApi/qwebframe.cpp: Removed.
        * qt/WidgetApi/qwebframe.h: Removed.
        * qt/WidgetApi/qwebframe_p.h: Removed.
        * qt/WidgetApi/qwebinspector.cpp: Removed.
        * qt/WidgetApi/qwebinspector.h: Removed.
        * qt/WidgetApi/qwebinspector_p.h: Removed.
        * qt/WidgetApi/qwebpage.cpp: Removed.
        * qt/WidgetApi/qwebpage.h: Removed.
        * qt/WidgetApi/qwebpage_p.h: Removed.
        * qt/WidgetApi/qwebview.cpp: Removed.
        * qt/WidgetApi/qwebview.h: Removed.
        * qt/WidgetApi/qwebviewaccessible.cpp: Removed.
        * qt/WidgetApi/qwebviewaccessible_p.h: Removed.
        * qt/WidgetSupport/DefaultFullScreenVideoHandler.cpp: Removed.
        * qt/WidgetSupport/DefaultFullScreenVideoHandler.h: Removed.
        * qt/WidgetSupport/FullScreenVideoWidget.cpp: Removed.
        * qt/WidgetSupport/FullScreenVideoWidget.h: Removed.
        * qt/WidgetSupport/InitWebKitQt.cpp: Removed.
        * qt/WidgetSupport/InitWebKitQt.h: Removed.
        * qt/WidgetSupport/InspectorClientWebPage.cpp: Removed.
        * qt/WidgetSupport/InspectorClientWebPage.h: Removed.
        * qt/WidgetSupport/PageClientQt.cpp: Removed.
        * qt/WidgetSupport/PageClientQt.h: Removed.
        * qt/WidgetSupport/QGraphicsWidgetPluginImpl.cpp: Removed.
        * qt/WidgetSupport/QGraphicsWidgetPluginImpl.h: Removed.
        * qt/WidgetSupport/QStyleFacadeImp.cpp: Removed.
        * qt/WidgetSupport/QStyleFacadeImp.h: Removed.
        * qt/WidgetSupport/QWebUndoCommand.cpp: Removed.
        * qt/WidgetSupport/QWebUndoCommand.h: Removed.
        * qt/WidgetSupport/QWidgetPluginImpl.cpp: Removed.
        * qt/WidgetSupport/QWidgetPluginImpl.h: Removed.
        * qt/WidgetSupport/QtFallbackWebPopup.cpp: Removed.
        * qt/WidgetSupport/QtFallbackWebPopup.h: Removed.
        * qt/WidgetSupport/QtWebComboBox.cpp: Removed.
        * qt/WidgetSupport/QtWebComboBox.h: Removed.
        * qt/declarative/declarative.pro: Removed.
        * qt/declarative/experimental/experimental.pri: Removed.
        * qt/declarative/experimental/plugin.cpp: Removed.
        * qt/declarative/experimental/plugin.json: Removed.
        * qt/declarative/experimental/qmldir: Removed.
        * qt/declarative/plugin.cpp: Removed.
        * qt/declarative/plugin.json: Removed.
        * qt/declarative/plugins.qmltypes: Removed.
        * qt/declarative/public.pri: Removed.
        * qt/declarative/qmldir: Removed.
        * qt/docs/qtwebkit-bridge.qdoc: Removed.
        * qt/docs/qtwebkit-goes-mobile.qdoc: Removed.
        * qt/docs/qtwebkit.qdoc: Removed.
        * qt/docs/qwebview-diagram.png: Removed.
        * qt/docs/webkitsnippets/qtwebkit_bridge_snippets.cpp: Removed.
        * qt/docs/webkitsnippets/qtwebkit_build_snippet.qdoc: Removed.
        * qt/docs/webkitsnippets/qtwebkit_goes_mobile_snippets.cpp: Removed.
        * qt/docs/webkitsnippets/qtwebkit_qwebinspector_snippet.cpp: Removed.
        * qt/docs/webkitsnippets/qtwebkit_qwebview_snippet.cpp: Removed.
        * qt/docs/webkitsnippets/simple/main.cpp: Removed.
        * qt/docs/webkitsnippets/simple/simple.pro: Removed.
        * qt/docs/webkitsnippets/webelement/main.cpp: Removed.
        * qt/docs/webkitsnippets/webelement/webelement.pro: Removed.
        * qt/docs/webkitsnippets/webpage/main.cpp: Removed.
        * qt/docs/webkitsnippets/webpage/webpage.pro: Removed.
        * qt/examples/examples.pro: Removed.
        * qt/examples/platformplugin/README: Removed.
        * qt/examples/platformplugin/WebNotificationPresenter.cpp: Removed.
        * qt/examples/platformplugin/WebNotificationPresenter.h: Removed.
        * qt/examples/platformplugin/WebPlugin.cpp: Removed.
        * qt/examples/platformplugin/WebPlugin.h: Removed.
        * qt/examples/platformplugin/platformplugin.pro: Removed.
        * qt/examples/platformplugin/qwebkitplatformplugin.h: Removed.
        * qt/tests/MIMESniffing/MIMESniffing.pro: Removed.
        * qt/tests/MIMESniffing/TestData.h: Removed.
        * qt/tests/MIMESniffing/resources.qrc: Removed.
        * qt/tests/MIMESniffing/resources/application_atom+xml: Removed.
        * qt/tests/MIMESniffing/resources/application_ogg: Removed.
        * qt/tests/MIMESniffing/resources/application_pdf: Removed.
        * qt/tests/MIMESniffing/resources/application_postscript: Removed.
        * qt/tests/MIMESniffing/resources/application_rdf+xml: Removed.
        * qt/tests/MIMESniffing/resources/application_rss+xml: Removed.
        * qt/tests/MIMESniffing/resources/application_x-gzip: Removed.
        * qt/tests/MIMESniffing/resources/application_x-rar-compressed: Removed.
        * qt/tests/MIMESniffing/resources/application_zip: Removed.
        * qt/tests/MIMESniffing/resources/audio_x-wave: Removed.
        * qt/tests/MIMESniffing/resources/image_bmp: Removed.
        * qt/tests/MIMESniffing/resources/image_gif: Removed.
        * qt/tests/MIMESniffing/resources/image_jpeg: Removed.
        * qt/tests/MIMESniffing/resources/image_png: Removed.
        * qt/tests/MIMESniffing/resources/image_vnd.microsoft.icon: Removed.
        * qt/tests/MIMESniffing/resources/image_webp: Removed.
        * qt/tests/MIMESniffing/resources/text_html: Removed.
        * qt/tests/MIMESniffing/resources/text_xml: Removed.
        * qt/tests/MIMESniffing/resources/video_webm: Removed.
        * qt/tests/MIMESniffing/tst_MIMESniffing.cpp: Removed.
        * qt/tests/benchmarks/loading/loading.pro: Removed.
        * qt/tests/benchmarks/loading/tst_loading.cpp: Removed.
        * qt/tests/benchmarks/painting/painting.pro: Removed.
        * qt/tests/benchmarks/painting/tst_painting.cpp: Removed.
        * qt/tests/benchmarks/webgl/10000_triangles.html: Removed.
        * qt/tests/benchmarks/webgl/tst_webgl.cpp: Removed.
        * qt/tests/benchmarks/webgl/tst_webgl.qrc: Removed.
        * qt/tests/benchmarks/webgl/webgl.pro: Removed.
        * qt/tests/cmake/CMakeLists.txt: Removed.
        * qt/tests/cmake/cmake.pro: Removed.
        * qt/tests/hybridPixmap/hybridPixmap.pro: Removed.
        * qt/tests/hybridPixmap/resources.qrc: Removed.
        * qt/tests/hybridPixmap/test.html: Removed.
        * qt/tests/hybridPixmap/tst_hybridPixmap.cpp: Removed.
        * qt/tests/hybridPixmap/widget.cpp: Removed.
        * qt/tests/hybridPixmap/widget.h: Removed.
        * qt/tests/hybridPixmap/widget.ui: Removed.
        * qt/tests/qgraphicswebview/qgraphicswebview.pro: Removed.
        * qt/tests/qgraphicswebview/resources/greendiv.html: Removed.
        * qt/tests/qgraphicswebview/resources/input_types.html: Removed.
        * qt/tests/qgraphicswebview/resources/pointing_right.html: Removed.
        * qt/tests/qgraphicswebview/resources/pointing_up.html: Removed.
        * qt/tests/qgraphicswebview/resources/scrolltest_page.html: Removed.
        * qt/tests/qgraphicswebview/tst_qgraphicswebview.cpp: Removed.
        * qt/tests/qgraphicswebview/tst_qgraphicswebview.qrc: Removed.
        * qt/tests/qobjectbridge/qobjectbridge.pro: Removed.
        * qt/tests/qobjectbridge/tst_qobjectbridge.cpp: Removed.
        * qt/tests/qwebelement/qwebelement.pro: Removed.
        * qt/tests/qwebelement/resources/image.png: Removed.
        * qt/tests/qwebelement/resources/style.css: Removed.
        * qt/tests/qwebelement/resources/style2.css: Removed.
        * qt/tests/qwebelement/tst_qwebelement.cpp: Removed.
        * qt/tests/qwebelement/tst_qwebelement.qrc: Removed.
        * qt/tests/qwebframe/qwebframe.pro: Removed.
        * qt/tests/qwebframe/resources/image.png: Removed.
        * qt/tests/qwebframe/resources/style.css: Removed.
        * qt/tests/qwebframe/resources/test1.html: Removed.
        * qt/tests/qwebframe/resources/test2.html: Removed.
        * qt/tests/qwebframe/resources/testiframe.html: Removed.
        * qt/tests/qwebframe/resources/testiframe2.html: Removed.
        * qt/tests/qwebframe/tst_qwebframe.cpp: Removed.
        * qt/tests/qwebframe/tst_qwebframe.qrc: Removed.
        * qt/tests/qwebhistory/qwebhistory.pro: Removed.
        * qt/tests/qwebhistory/resources/page1.html: Removed.
        * qt/tests/qwebhistory/resources/page2.html: Removed.
        * qt/tests/qwebhistory/resources/page3.html: Removed.
        * qt/tests/qwebhistory/resources/page4.html: Removed.
        * qt/tests/qwebhistory/resources/page5.html: Removed.
        * qt/tests/qwebhistory/resources/page6.html: Removed.
        * qt/tests/qwebhistory/tst_qwebhistory.cpp: Removed.
        * qt/tests/qwebhistory/tst_qwebhistory.qrc: Removed.
        * qt/tests/qwebhistoryinterface/qwebhistoryinterface.pro: Removed.
        * qt/tests/qwebhistoryinterface/tst_qwebhistoryinterface.cpp: Removed.
        * qt/tests/qwebinspector/qwebinspector.pro: Removed.
        * qt/tests/qwebinspector/tst_qwebinspector.cpp: Removed.
        * qt/tests/qwebpage/qwebpage.pro: Removed.
        * qt/tests/qwebpage/resources/content.html: Removed.
        * qt/tests/qwebpage/resources/frame_a.html: Removed.
        * qt/tests/qwebpage/resources/frame_c.html: Removed.
        * qt/tests/qwebpage/resources/framedindex.html: Removed.
        * qt/tests/qwebpage/resources/iframe.html: Removed.
        * qt/tests/qwebpage/resources/iframe2.html: Removed.
        * qt/tests/qwebpage/resources/iframe3.html: Removed.
        * qt/tests/qwebpage/resources/index.html: Removed.
        * qt/tests/qwebpage/resources/script.html: Removed.
        * qt/tests/qwebpage/resources/user.css: Removed.
        * qt/tests/qwebpage/tst_qwebpage.cpp: Removed.
        * qt/tests/qwebpage/tst_qwebpage.qrc: Removed.
        * qt/tests/qwebplugindatabase/qwebplugindatabase.pro: Removed.
        * qt/tests/qwebplugindatabase/tst_qwebplugindatabase.cpp: Removed.
        * qt/tests/qwebsecurityorigin/qwebsecurityorigin.pro: Removed.
        * qt/tests/qwebsecurityorigin/resources/test.html: Removed.
        * qt/tests/qwebsecurityorigin/tst_qwebsecurityorigin.cpp: Removed.
        * qt/tests/qwebsecurityorigin/tst_qwebsecurityorigin.qrc: Removed.
        * qt/tests/qwebview/.gitignore: Removed.
        * qt/tests/qwebview/qwebview.pro: Removed.
        * qt/tests/qwebview/resources/frame_a.html: Removed.
        * qt/tests/qwebview/resources/index.html: Removed.
        * qt/tests/qwebview/resources/input_types.html: Removed.
        * qt/tests/qwebview/resources/scrolltest_page.html: Removed.
        * qt/tests/qwebview/tst_qwebview.cpp: Removed.
        * qt/tests/qwebview/tst_qwebview.qrc: Removed.
        * qt/tests/resources/image2.png: Removed.
        * qt/tests/resources/test.swf: Removed.
        * qt/tests/tests.pri: Removed.
        * qt/tests/util.h: Removed.

2013-09-30  Benjamin Poulain  <benjamin@webkit.org>

        Remove the code guarded by STYLE_SCOPED
        https://bugs.webkit.org/show_bug.cgi?id=122123

        Reviewed by Anders Carlsson.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:

2013-09-30  Alex Christensen  <achristensen@webkit.org>

        [Windows] Unreviewed build fix for Win64.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:
        Added correct 64-bit BitmapImage::create symbol.

2013-09-30  Brent Fulgham  <bfulgham@apple.com>

        [Win] Compile errors in WebKit (via peavo@outlook.com).
        https://bugs.webkit.org/show_bug.cgi?id=122106

        Reviewed by Darin Adler.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in: Add link
        declarations missed in r156655.

2013-09-28  Mark Rowe  <mrowe@apple.com>

        Take Xcode's advice and enable some extra warnings.

        Reviewed by Sam Weinig.

        * WebKit.xcodeproj/project.pbxproj:

2013-09-27  Alex Christensen  <achristensen@webkit.org>

        [Windows] Unreviewed build fix.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:
        Fixed linker symbols I broke last time.

2013-09-27  Alex Christensen  <alex.christensen@flexsim.com>

        [Windows] Unreviewed build fix for Win64.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:
        Added and fixed 64-bit linker symbols.

2013-09-26  Darin Adler  <darin@apple.com>

        rename KURL to URL
        https://bugs.webkit.org/show_bug.cgi?id=16214

        Reviewed by Andreas Kling.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:
        Let the script to try to rename here.

2013-09-26  Eric Carlson  <eric.carlson@apple.com>

        [MediaStream] make MediaStream testable
        https://bugs.webkit.org/show_bug.cgi?id=121967

        Reviewed by Dean Jackson.

        * WebKit.xcodeproj/project.pbxproj: Add WebUserMediaClient.

2013-09-26  Brent Fulgham  <bfulgham@apple.com>

        [Windows] Unreviewed Build fix.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in: Add missing
        symbol export to support tests.

2013-09-25  Roger Fong  <roger_fong@apple.com>

        [Windows] Unreviewed Build fix.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:

2013-09-25  Alex Christensen  <achristensen@webkit.org>

        Enabled AssembleBuildLogs on WinCairo port.
        https://bugs.webkit.org/show_bug.cgi?id=121923

        Reviewed by Brent Fulgham.

        * WebKit.vcxproj/WebKit.sln:
        Build AssembleBuildLogs in WinCairo port.

2013-09-24  Brent Fulgham  <bfulgham@apple.com>

        [Windows] Refactor RuntimeEnabledFeatures as a Singleton 
        https://bugs.webkit.org/show_bug.cgi?id=121883

        Reviewed by Jer Noble.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:
        Expose singleton accessor for DLL clients.

2013-09-25  Brent Fulgham  <bfulgham@apple.com>

        [Windows] Unreviewed build fix after r156408.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in: Add new
        version of symbol export declaration.

2013-09-25  Brent Fulgham  <bfulgham@apple.com>

        [Windows] Unreviewed build fix after r156408.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in: Remove
        symbol export declaration for WebCore::CSSParserContext::CSSParserContext,
        which is no longer provided by the system.

2013-09-25  Allan Sandfeld Jensen  <allan.jensen@digia.com>

        [Qt] Fix build with Qt 5.2 QtPosition module
        https://bugs.webkit.org/show_bug.cgi?id=121089

        Reviewed by Simon Hausmann.

        QtLocation -> QtPositioning

        * WebKit1.pri:

2013-09-23  Patrick Gansterer  <paroga@webkit.org>

        Cleanup CMake files in WebKit
        https://bugs.webkit.org/show_bug.cgi?id=121763

        Reviewed by Gyuyoung Kim.

        Sort files and unify style.

        * PlatformBlackBerry.cmake:
        * PlatformEfl.cmake:
        * PlatformWinCE.cmake:

2013-09-20  Brent Fulgham  <bfulgham@apple.com>

        [Windows] Unreviewed build fix after r156216.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in: I
        accidentally exposed the symbol of the calling function, not
        the missing symbol!

2013-09-20  Brent Fulgham  <bfulgham@apple.com>

        [Windows] Unreviewed build fix after r156215.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in: Expose
        missing symbols needed by DRT.

2013-09-20  Patrick Gansterer  <paroga@webkit.org>

        [CMake] Use COMPILE_DEFINITIONS target property for setting BUILDING_* defines
        https://bugs.webkit.org/show_bug.cgi?id=121672

        Reviewed by Gyuyoung Kim.

        Since the scope of add_definitions() is always a whole file, we need to use
        target properties instead to set definitions only for specific targets.

        * CMakeLists.txt:

2013-09-19  Bear Travis  <betravis@adobe.com>

        CSS_SHAPES not supported on AppleWin port
        https://bugs.webkit.org/show_bug.cgi?id=118810

        Reviewed by Brent Fulgham.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in: Add required symbol for enabling CSS Shapes.

2013-09-18  peavo@outlook.com  <peavo@outlook.com>

        [Win] TestWebKitAPI does not compile.
        https://bugs.webkit.org/show_bug.cgi?id=121485

        Reviewed by Brent Fulgham.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in: Export needed symbols.

2013-09-17  Andreas Kling  <akling@apple.com>

        Some build juice for Windows.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:

2013-09-13  Tim Horton  <timothy_horton@apple.com>

        Unreviewed; part one of build fix for Windows.
        Sorry for the noise, I thought I'd fixed it.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:

2013-09-12  peavo@outlook.com  <peavo@outlook.com>

        [Win] TestWebKitAPI fails to link.
        https://bugs.webkit.org/show_bug.cgi?id=121223

        Reviewed by Brent Fulgham.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in: Add required symbol.

2013-09-11  Brent Fulgham  <bfulgham@apple.com>

        [Windows] Avoid converting from IntSize->SIZE->IntSize
        https://bugs.webkit.org/show_bug.cgi?id=121180

        Reviewed by Anders Carlsson.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:
        Remove unused symbol export.

2013-09-08  Antti Koivisto  <antti@apple.com>

        Fix window build.
        
        Not reviewed.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:

2013-08-30  Brent Fulgham  <bfulgham@apple.com>

        [Windows] Unreviewed build correction.
        Update project dependencies so that build logs on machines will include output from the
        WebInspectorUI project.

        * WebKit.vcxproj/WebKit.sln:

2013-08-30  Brent Fulgham  <bfulgham@apple.com>

        [Windows] Unreviewed build fix after r154917

        * WebKit.vcxproj/WebKit.sln: Establish build dependency from WebInspectorUI against
        WebKit. Remove reverse dependency.

2013-08-29  Brent Fulgham  <bfulgham@apple.com>

        [Windows] Unreviewed build fix after r154809

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in: Remove two no-longer-existing
        export symbols.

2013-08-28  Brent Fulgham  <bfulgham@webkit.org>

        [WinCairo] Unreviewed build fix.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in: Add
        missing Cairo symbols; don't export CG symbols for Cairo build.

2013-08-26  Roger Fong  <roger_fong@apple.com>

        AppleWin build fix following r154627.

        * WebKit.vcxproj/WebKitGUID/WebKitGUID.vcxproj:
        * WebKit.vcxproj/WebKitGUID/WebKitGUID.vcxproj.filters:

2013-08-21  Roger Fong  <roger_fong@apple.com>

        <https://bugs.webkit.org/show_bug.cgi?id=119829> IAccessibleText and IAccessibleEditableText implementation for AppleWindows port.

        Reviewed by Chris Fleizach.

        * WebKit.vcxproj/Interfaces/Interfaces.vcxproj:
        * WebKit.vcxproj/Interfaces/Interfaces.vcxproj.filters:
        * WebKit.vcxproj/WebKit/WebKit.vcxproj:
        * WebKit.vcxproj/WebKit/WebKit.vcxproj.filters:
        * WebKit.vcxproj/WebKitGUID/WebKitGUID.vcxproj:
        * WebKit.vcxproj/WebKitGUID/WebKitGUID.vcxproj.filters:

2013-08-26  Brent Fulgham  <bfulgham@apple.com>

        [Windows] Build fix after r154541.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in: Remove reference
        to deleted Element::pseudoElement(PseudoID), and add exports for new
        beforePseudoElement() and afterPseudoElement().

2013-08-23  Alex Christensen  <achristensen@apple.com>

        Re-separating Win32 and Win64 builds.
        https://bugs.webkit.org/show_bug.cgi?id=120178

        Reviewed by Brent Fulgham.

        * WebKit.vcxproj/WebKit/WebKitPostBuild.cmd:
        * WebKit.vcxproj/WebKitExportGenerator/WebKitExportGeneratorBuildCmd.cmd:
        * WebKit.vcxproj/WebKitExportGenerator/WebKitExportGeneratorPostBuild.cmd:
        * WebKit.vcxproj/WebKitExportGenerator/WebKitExportGeneratorPreBuild.cmd:
        Use PlatformArchitecture to determine correct object directory (obj32 or obj64).

2013-08-21  Commit Queue  <commit-queue@webkit.org>

        Unreviewed, rolling out r154416.
        http://trac.webkit.org/changeset/154416
        https://bugs.webkit.org/show_bug.cgi?id=120147

        Broke Windows builds (Requested by rniwa on #webkit).

        * WebKit.vcxproj/WebKit/WebKitPostBuild.cmd:
        * WebKit.vcxproj/WebKitExportGenerator/WebKitExportGeneratorBuildCmd.cmd:
        * WebKit.vcxproj/WebKitExportGenerator/WebKitExportGeneratorPostBuild.cmd:
        * WebKit.vcxproj/WebKitExportGenerator/WebKitExportGeneratorPreBuild.cmd:

2013-08-21  Alex Christensen  <achristensen@apple.com>

        <https://webkit.org/b/120137> Separating Win32 and Win64 builds.

        Reviewed by Brent Fulgham.

        * WebKit.vcxproj/WebKit/WebKitPostBuild.cmd:
        * WebKit.vcxproj/WebKitExportGenerator/WebKitExportGeneratorBuildCmd.cmd:
        * WebKit.vcxproj/WebKitExportGenerator/WebKitExportGeneratorPostBuild.cmd:
        * WebKit.vcxproj/WebKitExportGenerator/WebKitExportGeneratorPreBuild.cmd:
        Use PlatformArchitecture to determine correct object directory (obj32 or obj64).

2013-08-20  Brent Fulgham  <bfulgham@apple.com>

        <https://webkit.org/b/120098> [Windows] Enable the new Web Inspector

        Reviewed by Brian Weinstein.

        * WebKit.vcxproj/WebKit.sln: Add reference to the new WebInspectorUI
        project so that it will be included in new distributions.

2013-08-20  Alex Christensen  <achristensen@apple.com>

        [Windows] Unreviewed build fix for Win64 after r154118.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:

2013-08-20  Alex Christensen  <achristensen@apple.com>

        <https://webkit.org/b/120076> More work towards a Win64 build

        Reviewed by Brent Fulgham.

        * WebKit.vcxproj/Interfaces/InterfacesPreBuild.cmd:
        Use PlatformArchitecture macro instead of bin32, lib32, and obj32.

2013-08-20  Alex Christensen  <achristensen@apple.com>

        Use PlatformArchitecture to distinguish between 32-bit and 64-bit builds on Windows.
        https://bugs.webkit.org/show_bug.cgi?id=119512

        Reviewed by Brent Fulgham.

        * WebKit.vcxproj/Interfaces/InterfacesCommon.props:
        * WebKit.vcxproj/WebKit/WebKit.vcxproj:
        * WebKit.vcxproj/WebKit/WebKit.vcxproj.filters:
        * WebKit.vcxproj/WebKit/WebKitCommon.props:
        * WebKit.vcxproj/WebKitExportGenerator/WebKitExportGenerator.vcxproj:
        * WebKit.vcxproj/WebKitExportGenerator/WebKitExportGenerator.vcxproj.filters:
        * WebKit.vcxproj/WebKitGUID/WebKitGUID.vcxproj:
        * WebKit.vcxproj/WebKitGUID/WebKitGUID.vcxproj.filters:
        * WebKit.vcxproj/WebKitGUID/WebKitGUIDCommon.props:
        Replaced obj32, bin32, and lib32 with macros for 64-bit build.

2013-08-17  Andreas Kling  <akling@apple.com>

        [Windows] Unreviewed build fix.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:

            Don't export Frame::settings() as it's an inline method now.

2013-08-15  Brent Fulgham  <bfulgham@apple.com>

        [Windows] Unreviewed build fix after r154127.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in: Remove two symbols that are
        now part of JavaScriptCore.

2013-08-15  Brent Fulgham  <bfulgham@apple.com>

        [Windows] Build correctsion after r154106

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in: Add missing symbol export.

2013-08-15  Brent Fulgham  <bfulgham@apple.com>

        [Windows] Correct build after r154088

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in: Remove unused
        (and now renamed) export symbols.

2013-08-14  Alex Christensen  <achristensen@apple.com>

        Unreviewed build fix for Win64 after r153943.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:
        Added 64-bit linker symbol for frameOrientationAtIndex.

2013-08-12  peavo@outlook.com  <peavo@outlook.com>

        [Win] TestWebKitAPI fails to link.
        https://bugs.webkit.org/show_bug.cgi?id=119619

        Reviewed by Brent Fulgham.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in: Export needed symbol.

2013-08-07  Ryuan Choi  <ryuan.choi@samsung.com>

        Unreviewed build fix on Efl port after r153785.

        * CMakeLists.txt: Added "${WEBCORE_DIR}/style" in include list.

2013-08-06  Alex Christensen  <achristensen@apple.com>

        Enabled WebGL on WinCairo port.
        https://bugs.webkit.org/show_bug.cgi?id=119502

        Reviewed by Benjamin Poulain.

        * WebKit.vcxproj/WebKit.sln: Build ANGLE libraries.
        * WebKit.vcxproj/WebKit/WebKitCFLite.props: Link to ANGLE libraries.

2013-08-05  Mark Lam  <mark.lam@apple.com>

        Gardening: fix build after r153728.

        Not reviewed.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:

2013-07-29  Alex Christensen  <achristensen@apple.com>

        Separated translator into preprocessor, translator_common,
        translator_hlsl (for libGLESv2), and translator_glsl (for ANGLEWebKitBridge).
        These projects are still not built by default.
        https://bugs.webkit.org/show_bug.cgi?id=119221

        Reviewed by Brent Fulgham.

        * WebKit.vcxproj/WebKit.sln:
        Added separate ANGLE translator projects.

2013-07-25  Roger Fong  <roger_fong@apple.com>

        Unreviewed build fix, AppleWin port.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:

2013-07-25  Alex Christensen  <achristensen@apple.com>

        Made Windows build system for ANGLE.
        https://bugs.webkit.org/show_bug.cgi?id=119103

        Reviewed by Brent Fulgham.

        * WebKit.vcxproj/WebKit.sln:
        Added ANGLEGenerated, libEGL, libGLESv2, and translator projects.
        These projects are currently not built.

2013-07-23  Tim Horton  <timothy_horton@apple.com>

        Unreviewed build fix after r153054.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:

2013-07-22  Alex Christensen  <achristensen@apple.com>

        Fixed WinCairo build configurations.
        https://bugs.webkit.org/show_bug.cgi?id=118932

        Reviewed by Brent Fulgham.

        * WebKit.vcxproj/WebKit.sln: 
        Made WinCairo not build AssembleBuildLogs (wasn't working, not necessary).
        Made Debug_WinCairo build with Debug_WinCairo configuration.
        Made 64-bit WinCairo not build QTMovieWin.

2013-07-19  Alex Christensen  <achristensen@apple.com>

        Unreviewed build fix on Windows after r152930.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in: Added missing close paren.

2013-07-19  Alex Christensen  <achristensen@apple.com>

        Added 64-bit symbols to WebKitExports.def.in for 64-bit Windows builds
        and a macro to only use them for 64-bit builds.
        https://bugs.webkit.org/show_bug.cgi?id=118887

        Reviewed by Brent Fulgham.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in: Added 64-bit symbols.
        * WebKit.vcxproj/WebKitExportGenerator/make-export-file-generator:
        Added support for new symbolWithPointer macro.

2013-07-19  Alex Christensen  <achristensen@apple.com>

        Added x64 configuration to Visual Studio build.
        https://bugs.webkit.org/show_bug.cgi?id=118888

        Reviewed by Brent Fulgham.

        * WebKit.vcxproj/Interfaces/Interfaces.vcxproj:
        * WebKit.vcxproj/WebKit.sln:
        * WebKit.vcxproj/WebKit/WebKit.vcxproj:
        * WebKit.vcxproj/WebKitExportGenerator/WebKitExportGenerator.vcxproj:
        * WebKit.vcxproj/WebKitExportGenerator/WebKitExportGenerator.vcxproj.filters:
        * WebKit.vcxproj/WebKitGUID/WebKitGUID.vcxproj:
        * WebKit.vcxproj/WebKitGUID/WebKitGUID.vcxproj.filters:

2013-07-16  Balazs Kelemen  <kbalazs@webkit.org>

        [CMake] Undefined references should be detected at build time
        https://bugs.webkit.org/show_bug.cgi?id=110236

        Reviewed by Christophe Dumez.

        Add library dependencies that were not defined explicitly before.

        * CMakeLists.txt:
        * PlatformEfl.cmake:

2013-07-11  Timothy Hatcher  <timothy@apple.com>

        Revert r152267 and soft link WebInspectorUI.framework again.

        https://bugs.webkit.org/show_bug.cgi?id=118544

        Reviewed by David Kilzer.

        * WebKit.xcodeproj/project.pbxproj:

2013-07-01  Timothy Hatcher  <timothy@apple.com>

        Link to WebInspectorUI.framework at build time instead of soft linking.

        https://bugs.webkit.org/show_bug.cgi?id=118261

        Reviewed by Joseph Pecoraro.

        * WebKit.xcodeproj/project.pbxproj:

2013-07-01  Brent Fulgham  <bfulgham@apple.com>

        [Windows] Unreviewed build correction.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in: Need to export tag for textarea element.

2013-06-26  Roger Fong  <roger_fong@apple.com>

        Add an accessibility delegate interface to AppleWin port.
        https://bugs.webkit.org/show_bug.cgi?id=118094.

        Reviewed by Brent Fulgham.

        * WebKit.vcxproj/Interfaces/Interfaces.vcxproj:
        * WebKit.vcxproj/Interfaces/Interfaces.vcxproj.filters:

2013-06-24  Alex Christensen  <achristensen@apple.com>

        Windows build links to opengl32.lib to allow WebGL compiling.
        https://bugs.webkit.org/show_bug.cgi?id=117949

        Reviewed by Brent Fulgham.

        * WebKit.vcxproj/WebKit/WebKitCommon.props: Added link to opengl32.lib.

2013-06-17  Darin Adler  <darin@apple.com>

        Sort all the Xcode project files
        https://bugs.webkit.org/show_bug.cgi?id=117696

        Reviewed by Anders Carlsson.

        * WebKit.xcodeproj/project.pbxproj: Ran the sort-Xcode-project-file script.

2013-06-21  Roger Fong  <roger_fong@apple.com>

        Unreviewed. Fix a missing parenthesis in include directory path.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExportGeneratorCommon.props:

2013-06-20  Roger Fong  <roger_fong@apple.com>

        Make Windows makefile copy build output to a different folder.
        <rdar://problem/14219184>.

        * WebKit.vcxproj/WebKit.make:

2013-06-18  Roger Fong  <roger_fong@apple.com>

        Replace tools32 folder with tools and update WebKit Windows solution accordingly.
        <rdar://problem/14118143>.

        Rubberstamped by Brent Fulgham.

        * WebKit.vcxproj/Interfaces/Interfaces.vcxproj:
        * WebKit.vcxproj/Interfaces/InterfacesDebug.props:
        * WebKit.vcxproj/Interfaces/InterfacesDebugWinCairo.props:
        * WebKit.vcxproj/Interfaces/InterfacesPreBuild.cmd:
        * WebKit.vcxproj/Interfaces/InterfacesProduction.props:
        * WebKit.vcxproj/Interfaces/InterfacesRelease.props:
        * WebKit.vcxproj/Interfaces/InterfacesReleaseWinCairo.props:
        * WebKit.vcxproj/WebKit/WebKit.vcxproj:
        * WebKit.vcxproj/WebKit/WebKitDebug.props:
        * WebKit.vcxproj/WebKit/WebKitDebugWinCairo.props:
        * WebKit.vcxproj/WebKit/WebKitPreBuild.cmd:
        * WebKit.vcxproj/WebKit/WebKitProduction.props:
        * WebKit.vcxproj/WebKit/WebKitRelease.props:
        * WebKit.vcxproj/WebKit/WebKitReleaseWinCairo.props:
        * WebKit.vcxproj/WebKitExportGenerator/WebKitExportGenerator.vcxproj:
        * WebKit.vcxproj/WebKitExportGenerator/WebKitExportGeneratorDebug.props:
        * WebKit.vcxproj/WebKitExportGenerator/WebKitExportGeneratorDebugWinCairo.props:
        * WebKit.vcxproj/WebKitExportGenerator/WebKitExportGeneratorProduction.props:
        * WebKit.vcxproj/WebKitExportGenerator/WebKitExportGeneratorRelease.props:
        * WebKit.vcxproj/WebKitExportGenerator/WebKitExportGeneratorReleaseWinCairo.props:
        * WebKit.vcxproj/WebKitGUID/WebKitGUID.vcxproj:
        * WebKit.vcxproj/WebKitGUID/WebKitGUIDDebug.props:
        * WebKit.vcxproj/WebKitGUID/WebKitGUIDDebugWinCairo.props:
        * WebKit.vcxproj/WebKitGUID/WebKitGUIDProduction.props:
        * WebKit.vcxproj/WebKitGUID/WebKitGUIDRelease.props:
        * WebKit.vcxproj/WebKitGUID/WebKitGUIDReleaseWinCairo.props:

2013-06-17  Roger Fong  <roger_fong@apple.com>

        Modify Windows makefiles to copy some bin output into Program Files.
        https://bugs.webkit.org/show_bug.cgi?id=117714.
        <rdar://problem/14179054>

        Reviewed by Brent Fulgham.

        * WebKit.vcxproj/WebKit.make:

2013-06-17  Michael Brüning  <michael.bruning@digia.com>

        [Qt] Remove Qt specific QTKIT flagged code.
        https://bugs.webkit.org/show_bug.cgi?id=117635

        Reviewed by Simon Hausmann.

        Due to disabling QTKIT for Qt in r151546, the
        code the flags that are not taken into account
        anymore and the code that has been rendered
        unreachable by this are removed.

        * WebKit1.pro:

2013-06-14  Alberto Garcia  <agarcia@igalia.com>

        [BlackBerry] Remove implementation of ContextMenu classes
        https://bugs.webkit.org/show_bug.cgi?id=114860

        Reviewed by Rob Buis.

        This code is not being used so we can safely remove it.

        * PlatformBlackBerry.cmake:

2013-06-13  Christophe Dumez  <ch.dumez@sisa.samsung.com>

        Unreviewed build fix after rr151563.

        Export needed symbols for Windows.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:

2013-06-13  Brent Fulgham  <bfulgham@apple.com>

        [Windows] Revise WebKit project to show generated export definition file.
        https://bugs.webkit.org/show_bug.cgi?id=109629

        Reviewed by Mark Rowe.

        * WebKit.vcxproj/WebKit/WebKit.vcxproj: Add generated file.
        * WebKit.vcxproj/WebKit/WebKit.vcxproj.filters: Ditto

2013-06-13  Brent Fulgham  <bfulgham@webkit.org>

        [WinCairo] Unreviewed build correction.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in: Add
        missing symbols needed by TestWebKitAPI on WinCairo build.

2013-06-12  Brent Fulgham  <bfulgham@apple.com>

        [Windows] Implement Accessibility2 APIs in Windows.
        https://bugs.webkit.org/show_bug.cgi?id=117561

        Reviewed by Anders Carlsson.

        * WebKit.vcxproj/Interfaces/Interfaces.vcxproj: Add new IAccessible2 IDL files.
        * WebKit.vcxproj/Interfaces/Interfaces.vcxproj.filters: Ditto.
        * WebKit.vcxproj/Interfaces/InterfacesCommon.props: Reference new Accessible2 folder.
        * WebKit.vcxproj/WebKitGUID/WebKitGUID.vcxproj: Build IAccessible2 symbols.
        * WebKit.vcxproj/WebKitGUID/WebKitGUID.vcxproj.filters: Ditto.

2013-06-10  Bear Travis  <betravis@adobe.com>

        [CSS Shapes][CSS Exclusions] Split CSS Exclusions and CSS Shapes code
        https://bugs.webkit.org/show_bug.cgi?id=117162

        Reviewed by Alexandru Chiculita.

        Adding the WebCore/rendering/shapes directory to the include list.

        * CMakeLists.txt:

2013-06-06  Roger Fong  <roger_fong@apple.com>

        Unreviewed. Build configuration fix. WebKitExportGenerator's include path should fall back to 
        $(WebKit_Libraries)\include\WebCore if $(ConfigurationBuildDir)\include\WebCore doesn't exist.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExportGeneratorCommon.props:

2013-06-05  Zan Dobersek  <zdobersek@igalia.com>

        Unreviewed. Attempting a build fix for the AppleWin port after r151199.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in: Export the required symbol.

2013-06-03  Roger Fong  <roger_fong@apple.com>

        Unreviewed. Some AppleWin VS2010 house cleaning.

        * WebKit.vcxproj/Interfaces/InterfacesPreBuild.cmd:
        * WebKit.vcxproj/WebKit/WebKitPreBuild.cmd:

2013-05-31  Roger Fong  <roger_fong@apple.com>

        Unreviewed. Add AssembleBuildLogs project to WebKit solution in preparation for moving buildbots to VCExpress 2010.

        * WebKit.vcxproj/WebKit.sln:

2013-05-30  Roger Fong  <roger_fong@apple.com>

        Get rid of JavaScript exports file on AppleWin port.
        https://bugs.webkit.org/show_bug.cgi?id=117050.

        Reviewed by Darin Adler.

        Start linking in WTF.lib now that it's a shared library.

        * WebKit.vcxproj/WebKit.sln:
        * WebKit.vcxproj/WebKit/WebKitCommon.props:

2013-05-28  Brent Fulgham  <bfulgham@apple.com>

        [Windows] Many css2.1 tests fail on Apple's Windows port.
        https://bugs.webkit.org/show_bug.cgi?id=75707

        Reviewed by Darin Adler.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:
        Export the WebCore::directoryName method for use by DRT.

2013-05-27  Patrick Gansterer  <paroga@webkit.org>

        Use ICU_INCLUDE_DIRS in BlackBerry CMake files
        https://bugs.webkit.org/show_bug.cgi?id=116210

        Reviewed by Rob Buis.

        Set and use the ICU_INCLUDE_DIRS variable to avoid
        duplicated adding of the ICU include directory.

        * PlatformBlackBerry.cmake:

2013-05-27  Carlos Garcia Campos  <cgarcia@igalia.com>

        [BlackBerry] Move PagePopup implementation to WebKitSupport
        https://bugs.webkit.org/show_bug.cgi?id=116824

        Reviewed by Rob Buis.

        * PlatformBlackBerry.cmake: Update new file paths and names.

2013-05-24  Brent Fulgham  <bfulgham@apple.com>

        [Windows] Expose database storage and cache locations via preferences.
        https://bugs.webkit.org/show_bug.cgi?id=116729

        Reviewed by Tim Horton.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in: Export
        three symbols needed to implement the feature.

2013-05-24  Anders Carlsson  <andersca@apple.com>

        Move history property list writer to WebKit
        https://bugs.webkit.org/show_bug.cgi?id=116746

        Reviewed by Tim Horton.

        Add files to the Xcode project.

        * WebKit.xcodeproj/project.pbxproj:

2013-05-21  Carlos Garcia Campos  <cgarcia@igalia.com>

        [BlackBerry] Make PagePopup implementation independent from WebCore
        https://bugs.webkit.org/show_bug.cgi?id=116448

        Reviewed by Anders Carlsson.

        * PlatformBlackBerry.cmake: Add
        blackberry/WebCoreSupport/PagePopupBlackBerryClient.cpp to
        compilation.

2013-05-18  Patrick Gansterer  <paroga@webkit.org>

        [CMake] Replace *_LIBRARY_NAME with *_OUTPUT_NAME
        https://bugs.webkit.org/show_bug.cgi?id=114554

        Reviewed by Gyuyoung Kim.

        Using variables as target names is very uncommon in CMake.
        The usual way to specify the name of the resulting binary
        is to set the OUTPUT_NAME target property.

        * CMakeLists.txt:
        * PlatformBlackBerry.cmake:
        * PlatformEfl.cmake:

2013-05-15  Ryosuke Niwa  <rniwa@webkit.org>

        Revert the previous commit.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:

2013-05-15  Ryosuke Niwa  <rniwa@webkit.org>

        Windows build fix attempt after r150160.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:

2013-05-15  Ryosuke Niwa  <rniwa@webkit.org>

        Windows build fix attempt after r150156.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:

2013-05-14  Carlos Garcia Campos  <cgarcia@igalia.com>

        [BlackBerry] Implement platform strategies
        https://bugs.webkit.org/show_bug.cgi?id=112162

        Reviewed by Rob Buis.

        * PlatformBlackBerry.cmake: Add new files to compilation.

2013-05-06  Roger Fong  <roger_fong@apple.com>

        Unreviewed. AppleWin VS2010 build fix.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:

2013-05-04  Dean Jackson  <dino@apple.com>

        Animations and Transitions should not start when globally suspended
        https://bugs.webkit.org/show_bug.cgi?id=114915

        Reviewed by Sam Weinig.

        Export AnimationController::isSuspended

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:

2013-05-04  Sam Weinig  <sam@webkit.org>

        Move PopupMenuMac and SearchPopupMenuMac to Source/WebKit/mac
        matching where they are in WebKit2.

        Reviewed by Anders Carlsson.

        * WebKit.xcodeproj/project.pbxproj:

2013-05-02  Roger Fong  <roger_fong@apple.com>

        Following r149463, set Path for WebKit makefile as well.

        * WebKit.vcxproj/WebKit.make:

2013-05-01  Sergio Villar Senin  <svillar@igalia.com>

        Show a block cursor in overtype mode
        https://bugs.webkit.org/show_bug.cgi?id=114819

        Reviewed by Ryosuke Niwa.

        Export three more WebCore symbols.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:

2013-04-29  Brent Fulgham  <bfulgham@webkit.org>

        [Windows, WinCairo] Remove pthread paths for WebKit build.
        https://bugs.webkit.org/show_bug.cgi?id=115390

        Reviewed by Tim Horton.

        Update Visual Studio property sheets to remove include paths and
        link references for the pthreadsVC2.dll, which is no longer used.

        * WebKit.vcxproj/WebKit/WebKitCommon.props:
        * WebKit.vcxproj/WebKitExportGenerator/WebKitExportGeneratorCommon.props:

2013-04-28  Ryosuke Niwa  <rniwa@webkit.org>

        Windows build fix.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:

2013-04-25  Ryosuke Niwa  <rniwa@webkit.org>

        StaticHashSetNodeList is unnecessary
        https://bugs.webkit.org/show_bug.cgi?id=115219

        Reviewed by Antonio Gomes.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:

2013-04-26  Roger Fong  <roger_fong@apple.com>

        Make Apple Windows VS2010 build results into and get dependencies from __32 suffixed folders.
        Make the DebugSuffix configuration use _debug dependencies.

        * WebKit.vcxproj/Interfaces/Interfaces.vcxproj:
        * WebKit.vcxproj/Interfaces/InterfacesCommon.props:
        * WebKit.vcxproj/Interfaces/InterfacesDebug.props:
        * WebKit.vcxproj/Interfaces/InterfacesDebugWinCairo.props:
        * WebKit.vcxproj/Interfaces/InterfacesPreBuild.cmd:
        * WebKit.vcxproj/Interfaces/InterfacesProduction.props:
        * WebKit.vcxproj/Interfaces/InterfacesRelease.props:
        * WebKit.vcxproj/Interfaces/InterfacesReleaseWinCairo.props:
        * WebKit.vcxproj/WebKit.make:
        * WebKit.vcxproj/WebKit/WebKit.vcxproj:
        * WebKit.vcxproj/WebKit/WebKitApple.props:
        * WebKit.vcxproj/WebKit/WebKitCommon.props:
        * WebKit.vcxproj/WebKit/WebKitDebug.props:
        * WebKit.vcxproj/WebKit/WebKitDebugWinCairo.props:
        * WebKit.vcxproj/WebKit/WebKitPostBuild.cmd:
        * WebKit.vcxproj/WebKit/WebKitPreBuild.cmd:
        * WebKit.vcxproj/WebKit/WebKitProduction.props:
        * WebKit.vcxproj/WebKit/WebKitRelease.props:
        * WebKit.vcxproj/WebKit/WebKitReleaseWinCairo.props:
        * WebKit.vcxproj/WebKitExportGenerator/WebKitExportGenerator.vcxproj:
        * WebKit.vcxproj/WebKitExportGenerator/WebKitExportGeneratorBuildCmd.cmd:
        * WebKit.vcxproj/WebKitExportGenerator/WebKitExportGeneratorCommon.props:
        * WebKit.vcxproj/WebKitExportGenerator/WebKitExportGeneratorDebug.props:
        * WebKit.vcxproj/WebKitExportGenerator/WebKitExportGeneratorDebugWinCairo.props:
        * WebKit.vcxproj/WebKitExportGenerator/WebKitExportGeneratorPostBuild.cmd:
        * WebKit.vcxproj/WebKitExportGenerator/WebKitExportGeneratorPreBuild.cmd:
        * WebKit.vcxproj/WebKitExportGenerator/WebKitExportGeneratorProduction.props:
        * WebKit.vcxproj/WebKitExportGenerator/WebKitExportGeneratorRelease.props:
        * WebKit.vcxproj/WebKitExportGenerator/WebKitExportGeneratorReleaseWinCairo.props:
        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:
        * WebKit.vcxproj/WebKitGUID/WebKitGUID.vcxproj:
        * WebKit.vcxproj/WebKitGUID/WebKitGUIDCommon.props:
        * WebKit.vcxproj/WebKitGUID/WebKitGUIDDebug.props:
        * WebKit.vcxproj/WebKitGUID/WebKitGUIDDebugWinCairo.props:
        * WebKit.vcxproj/WebKitGUID/WebKitGUIDProduction.props:
        * WebKit.vcxproj/WebKitGUID/WebKitGUIDRelease.props:
        * WebKit.vcxproj/WebKitGUID/WebKitGUIDReleaseWinCairo.props:

2013-04-25  Andreas Kling  <akling@apple.com>

        Remove ENABLE(PARSED_STYLE_SHEET_CACHING) and make it always-on.

        Rubber-stamped by Anders Koivisto.

        * PlatformWinCE.cmake:

2013-04-25  Patrick Gansterer  <paroga@webkit.org>

        Remove OS(WINCE) from AccessibilityObject.h
        https://bugs.webkit.org/show_bug.cgi?id=115192

        Reviewed by Andreas Kling.

        Use the same files like the the other PLATFORM(WIN) ports use.

        * PlatformWinCE.cmake:

2013-04-24  Jessie Berlin  <jberlin@apple.com>

        Assertion failure (crash in release) attempting to delete database storage in WK1 without
        creating a WebView first
        https://bugs.webkit.org/show_bug.cgi?id=115065

        Reviewed by Brady Eidson.

        * WebKit.xcodeproj/project.pbxproj:
        Remove WebDatabaseManagerInternal.h.

2013-04-23  Benjamin Poulain  <bpoulain@apple.com>

        Remove the WebKit layer of wxWebKit
        https://bugs.webkit.org/show_bug.cgi?id=115006

        Reviewed by Anders Carlsson.

        The wxWebKit port is no longer actively maintained by Kevin
        on webkit.org. Remove the code until new maintainers resume the work.

        * wx/WebBrowserShell.cpp: Removed.
        * wx/WebBrowserShell.h: Removed.
        * wx/WebDOMSelection.cpp: Removed.
        * wx/WebDOMSelection.h: Removed.
        * wx/WebEdit.cpp: Removed.
        * wx/WebEdit.h: Removed.
        * wx/WebFrame.cpp: Removed.
        * wx/WebFrame.h: Removed.
        * wx/WebFramePrivate.h: Removed.
        * wx/WebKitDefines.h: Removed.
        * wx/WebKitSupport/ChromeClientWx.cpp: Removed.
        * wx/WebKitSupport/ChromeClientWx.h: Removed.
        * wx/WebKitSupport/ContextMenuClientWx.cpp: Removed.
        * wx/WebKitSupport/ContextMenuClientWx.h: Removed.
        * wx/WebKitSupport/DragClientWx.cpp: Removed.
        * wx/WebKitSupport/DragClientWx.h: Removed.
        * wx/WebKitSupport/EditCommandWx.h: Removed.
        * wx/WebKitSupport/EditorClientWx.cpp: Removed.
        * wx/WebKitSupport/EditorClientWx.h: Removed.
        * wx/WebKitSupport/FrameLoaderClientWx.cpp: Removed.
        * wx/WebKitSupport/FrameLoaderClientWx.h: Removed.
        * wx/WebKitSupport/FrameNetworkingContextWx.h: Removed.
        * wx/WebKitSupport/InspectorClientWx.cpp: Removed.
        * wx/WebKitSupport/InspectorClientWx.h: Removed.
        * wx/WebSettings.cpp: Removed.
        * wx/WebSettings.h: Removed.
        * wx/WebView.cpp: Removed.
        * wx/WebView.h: Removed.
        * wx/WebViewPrivate.h: Removed.
        * wx/bindings/python/samples/simple.py: Removed.
        * wx/bindings/python/webview.i: Removed.
        * wx/bindings/python/wscript: Removed.
        * wx/wscript: Removed.

2013-04-22  Jessie Berlin  <jberlin@apple.com>

        Speculative Windows build fix.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:

2013-04-22  Benjamin Poulain  <benjamin@webkit.org>

        Remove the memory instrumentation code
        https://bugs.webkit.org/show_bug.cgi?id=114931

        Reviewed by Andreas Kling.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:

2013-04-21  Benjamin Poulain  <benjamin@webkit.org>

        Improve StringImpl code density for older ARM hardware
        https://bugs.webkit.org/show_bug.cgi?id=114898

        Reviewed by Geoffrey Garen.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:

2013-04-19  Roger Fong  <roger_fong@apple.com>

        Unreviewed. WebKit_Source is incorrectly set.

        * WebKit.vcxproj/WebKit.make:

2013-04-19  Jose Lejin PJ  <jose.lejin@gmail.com>

        [EFL] Add method in ewk_settings for setting the CSS media type
        https://bugs.webkit.org/show_bug.cgi?id=113284

        Reviewed by Gyuyoung Kim.

        test_ewk_setting is added.

        * PlatformEfl.cmake:

2013-04-18  Sam Weinig  <sam@webkit.org>

        Network Process crashing trying to read in IDNScriptWhiteList.txt
        https://bugs.webkit.org/show_bug.cgi?id=114827

        Reviewed by Anders Carlsson.

        Move IDNScriptWhiteList.txt from WebKit to WebCore, so that the NetworkProcess does not have to link against
        WebKit. It was a layering violation for WebCore to be trying to access WebKit resources anyway.

        * WebKit.xcodeproj/project.pbxproj:

2013-04-14  Roger Fong  <roger_fong@apple.com>

        Copy make-file-export-generator script to the the Source folders of the projects that use it.
        <rdar://problem/13675604>

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExportGenerator.vcxproj:
        * WebKit.vcxproj/WebKitExportGenerator/WebKitExportGenerator.vcxproj.filters:
        * WebKit.vcxproj/WebKitExportGenerator/WebKitExportGeneratorBuildCmd.cmd:
        * WebKit.vcxproj/WebKitExportGenerator/make-export-file-generator: Copied from Source/WebCore/make-export-file-generator.

2013-04-16  Brent Fulgham  <bfulgham@webkit.org>

        [Windows] Unreviewed VS2010 build correction.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExportGeneratorCommon.props:
        Add correct link library to avoid mixture of ICU 4.0 and 4.6
        syumbol use.

2013-04-12  Jer Noble  <jer.noble@apple.com>

        TimeRanges::nearest() returns incorrect results.
        https://bugs.webkit.org/show_bug.cgi?id=114483

        Reviewed by Eric Carlson.

        Add symbols needed by WebCoreTestSupport to the exports list.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:

2013-04-11  Rune Lillesveen  <rune@opera.com>

        Incorrect evaluation of resolution media queries
        https://bugs.webkit.org/show_bug.cgi?id=114029

        Reviewed by Kenneth Rohde Christiansen.

        Removed setResolutionOverride from exports.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:

2013-04-05  Roger Fong  <roger_fong@apple.com>

        Build fix.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:

2013-04-08  Jeff Rogers  <jrogers@rim.com>

        [BlackBerry] Update BlackBerry JavaScript API
        https://bugs.webkit.org/show_bug.cgi?id=114065

        Reviewed by Rob Buis.

        Internal PR 317350
        Remove obsolete files.

        * PlatformBlackBerry.cmake:

2013-04-07  Patrick Gansterer  <paroga@webkit.org>

        Remove references to Skia and V8 from CMake files
        https://bugs.webkit.org/show_bug.cgi?id=114130

        Reviewed by Geoffrey Garen.

        * PlatformBlackBerry.cmake:

2013-04-06  Patrick Gansterer  <paroga@webkit.org>

        [CMake] Remove general include directories from platform specific files

        Move the include directories, which are required by all CMake ports
        to the general CMakeLists.txt to fix the build for Windows CE port.

        * CMakeLists.txt:
        * PlatformBlackBerry.cmake:
        * PlatformEfl.cmake:

2013-04-05  Roger Fong  <roger_fong@apple.com>

        More VS2010 solution makefile fixes.
        <rdar://problem/13588964>

        * WebKit.vcxproj/WebKit.make:

2013-04-04  Benjamin Poulain  <benjamin@webkit.org>

        Remove Webkit/chromium
        https://bugs.webkit.org/show_bug.cgi?id=113998

        Reviewed by Ryosuke Niwa.

        O Knights of Ni, you are just and fair, and we will return with a shrubbery.

        * chromium: Removed.

2013-04-04  Christophe Dumez  <ch.dumez@sisa.samsung.com>

        [Cairo] Fix canvas drawing of SVG-based patterns and remove NativeImageCairo
        https://bugs.webkit.org/show_bug.cgi?id=113929

        Reviewed by Martin Robinson.

        Remove outdated symbols now that NativeImageCairo was removed.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:

2013-04-03  Roger Fong  <roger_fong@apple.com>

        Unreviewed VS2010 build fix.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:

2013-03-27  Mark Lam  <mark.lam@apple.com>

        Rolling out r147044.
        https://bugs.webkit.org/show_bug.cgi?id=113352.

        Not Reviewed.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:

2013-03-27  Mark Lam  <mark.lam@apple.com>

        Greening the Apple Win bot (debug build).
        https://bugs.webkit.org/show_bug.cgi?id=113352.

        Not Reviewed.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:

2013-03-27  Mark Lam  <mark.lam@apple.com>

        Greening the Apple Win bot.
        https://bugs.webkit.org/show_bug.cgi?id=113352.

        Not Reviewed.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:

2013-03-22  Ryosuke Niwa  <rniwa@webkit.org>

        The second part of the build fix for r146702. This should do it.
        I had to see the mangled name for the new signature.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:

2013-03-22  Ryosuke Niwa  <rniwa@webkit.org>

        Build fix attempt after r146702.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:

2013-03-22  Carlos Garcia Campos  <cgarcia@igalia.com>

        [BlackBerry] Add custom BackForwardList client implementation
        https://bugs.webkit.org/show_bug.cgi?id=113024

        Reviewed by Rob Buis.

        PR 310030
        Internally reviewed by Joe Mason.

        * PlatformBlackBerry.cmake: Add new files to compilation.

2013-03-21  Roger Fong  <roger_fong@apple.com>

        Unreviewed. Move common props files for VS2010 solution to WebKitLibraries folder and update all projects accordingly.

        * WebKit.vcxproj/FeatureDefines.props: Removed.
        * WebKit.vcxproj/FeatureDefinesCairo.props: Removed.
        * WebKit.vcxproj/WebKit/cURL.props: Removed.
        * WebKit.vcxproj/WinCairo.props: Removed.
        * WebKit.vcxproj/common.props: Removed.
        * WebKit.vcxproj/debug.props: Removed.
        * WebKit.vcxproj/debug_wincairo.props: Removed.
        * WebKit.vcxproj/debugsuffix.props: Removed.
        * WebKit.vcxproj/production.props: Removed.
        * WebKit.vcxproj/release.props: Removed.

2013-03-21  Ryosuke Niwa  <rniwa@webkit.org>

        Windows build fix after r146430.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:

2013-03-20  Brent Fulgham  <bfulgham@webkit.org>

        [WinCairo] Top-level solution change to build under VS2010.
        https://bugs.webkit.org/show_bug.cgi?id=112861.

        Reviewed by Tim Horton.

        * WebKit.vcxproj/WebKit.sln: Add final set of WinCairo build
        targets.
        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:
        Add #if/def guards around some media-specific exports that
        are not provided by the WinCairo port.

2013-03-19  Brent Fulgham  <bfulgham@webkit.org>

        [WinCairo] Build the WebKit.dll under VS2010.
        https://bugs.webkit.org/show_bug.cgi?id=112759

        Reviewed by Tim Horton.

        * WebKit.vcxproj/Interfaces/Interfaces.vcxproj: Update project to
        build WinCairo variant using new property sheets.
        * WebKit.vcxproj/Interfaces/InterfacesDebugWinCairo.props: Added.
        * WebKit.vcxproj/Interfaces/InterfacesReleaseWinCairo.props: Added.
        * WebKit.vcxproj/WebKit.sln: Update solution to use WinCairo
        build targets for WebKit.dll-related projects.
        * WebKit.vcxproj/WebKit/WebKit.vcxproj: Update project to build
        WinCairo variant using new property sheets.
        * WebKit.vcxproj/WebKit/cURL.props: Added.
        * WebKit.vcxproj/WebKit/WebKitDebugWinCairo.props: Added.
        * WebKit.vcxproj/WebKit/WebKitReleaseWinCairo.props: Added.
        * WebKit.vcxproj/WebKitExportGenerator/WebKitExportGenerator.vcxproj:
        Update project to build WinCairo variant using new property sheets.
        * WebKit.vcxproj/WebKitExportGenerator/WebKitExportGeneratorDebugWinCairo.props: Added.
        * WebKit.vcxproj/WebKitExportGenerator/WebKitExportGeneratorReleaseWinCairo.props: Added.
        * WebKit.vcxproj/WebKitGUID/WebKitGUID.vcxproj: Update project to
        build WinCairo variant using new property sheets.
        * WebKit.vcxproj/WebKitGUID/WebKitGUIDDebugWinCairo.props: Added.
        * WebKit.vcxproj/WebKitGUID/WebKitGUIDReleaseWinCairo.props: Added.
        * WebKit.vcxproj/WinCairo.props: Added.
        * WebKit.vcxproj/debug_wincairo.props: Added.

2013-03-20  Eric Carlson  <eric.carlson@apple.com>

        Allow ports specific text track menu
        https://bugs.webkit.org/show_bug.cgi?id=112800

        Reviewed by Dean Jackson.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in: Add new exports.
        * win/WebKit.vcproj/WebKitExports.def.in: Ditto.

2013-03-20  Roger Fong  <roger_fong@apple.com>

        AppleWin VS2010 build fix.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:

2013-03-18  Brent Fulgham  <bfulgham@webkit.org>

        [WinCairo] Build WinCairo port under VS2010 
        https://bugs.webkit.org/show_bug.cgi?id=112604

        Reviewed by Tim Horton.

        * WebKit.vcxproj/WebKit.sln: Add Debug_WinCairo and Release_WinCairo
        build targets. No other changes in this patch.
        * WebKit.vcxproj/FeatureDefinesCairo.props: Add parallel property
        sheet for WinCairo version of build.

2013-03-18  Roger Fong  <roger_fong@apple.com>

        AppleWin VS2010 build fix.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:

2013-03-14  Simon Hausmann  <simon.hausmann@digia.com>

        [Qt] Improve the handling of mock geolocation, device orientation and motion clients

        Reviewed by Tor Arne Vestbø.

        The mock versions of these web facing features should be instantiated when
        running in DumpRenderTree only. In order for them to work, no extra Qt modules
        such as QtLocation are actually needed.

        This patch decouples enabling device orientation/motion and geolocation from
        the underlying Qt modules and makes them available in developer builds
        (!production_build) and backed by mock backends when running in drt.

        So if the Qt 5 modules are available, they'll be used (unless drtRun). For
        developers the web facing features are always enabled (although requests will
        time out) and the mock backends are enabled inside DRT, allowing for the layout
        tests to run with less dependencies.

        In addition this also enables the mock device motion client, which was
        previously never instantiated.

        * WebKit1.pri:
        * WebKit1.pro:

2013-03-13  Genevieve Mak  <gmak@rim.com>

        [BlackBerry] Add Proximity Detector.
        https://bugs.webkit.org/show_bug.cgi?id=112278

        Reviewed by Rob Buis.

        Internally Reviewed by Mike Lattanzio.
        PR #243385

        * PlatformBlackBerry.cmake:

2013-03-08  Roger Fong  <roger_fong@apple.com>

        Build fix for AppleWin VS2010.

        * WebKit.vcxproj/FeatureDefines.props:

2013-03-06  Jer Noble  <jer.noble@apple.com>

        Unreviewed partial roll-out of r145003. Disable
        ENABLE_CURSOR_VISIBILITY on win.

        * WebKit.vcxproj/FeatureDefines.props:

2013-03-04  Jer Noble  <jer.noble@apple.com>

        Default mouse cursor behavior should be auto-hide for full screen video with custom controls
        https://bugs.webkit.org/show_bug.cgi?id=107601

        Reviewed by Beth Dakin.

        Enable the CURSOR_VISIBILITY feature.

        * WebKit.vcxproj/FeatureDefines.props:

2013-03-05  Ryuan Choi  <ryuan.choi@samsung.com>

        [EFL] Build break with latest EFL libraries
        https://bugs.webkit.org/show_bug.cgi?id=111028

        Reviewed by Dirk Pranke.

        * PlatformEfl.cmake: Added ECORE_X_INCLUDE_DIRS.

2013-03-04  Roger Fong  <roger_fong@apple.com>

        Unreviewed. AppleWin build fix.

        * WebKit.vcxproj/FeatureDefines.props:
        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:

2013-03-03  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r144567.
        http://trac.webkit.org/changeset/144567
        https://bugs.webkit.org/show_bug.cgi?id=111266

        Does not compile on apple-win (Requested by abarth on
        #webkit).

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:

2013-02-26  Roger Fong  <roger_fong@apple.com>

        Unreviewed AppleWin build fix.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExportGeneratorCommon.props:

2013-02-26  Alberto Garcia  <agarcia@igalia.com>

        [BlackBerry] Upstream the datalist support UI
        https://bugs.webkit.org/show_bug.cgi?id=110736

        Reviewed by Rob Buis.

        Original code by Otto Derek Cheung <otcheung@rim.com>

        * PlatformBlackBerry.cmake:

2013-02-25  Roger Fong  <roger_fong@apple.com>

        Unreviewed. VS2010 solution build fix.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:

2013-02-22  Aaron Colwell  <acolwell@chromium.org>

        Disable MediaSource on Apple Windows port
        https://bugs.webkit.org/show_bug.cgi?id=110494

        Reviewed by Tim Horton.

        * WebKit.vcxproj/FeatureDefines.props:

2013-02-20  Roger Fong  <roger_fong@apple.com>

        Get VS2010 Solution B&I ready.
        <rdar://problem/1322988>

        Rubberstamped by Timothy Horton.        
        
        Add Production configuration. 
        Add a WebKit submit solution with a DebugSuffix configuration. 
        Modify WebKit.make as necessary.
        
        * WebKit.vcxproj/Interfaces/Interfaces.vcxproj:
        * WebKit.vcxproj/Interfaces/InterfacesProduction.props: Added.
        * WebKit.vcxproj/Interfaces/InterfacesRelease.props:
        * WebKit.vcxproj/WebKit.make: Added.
        * WebKit.vcxproj/WebKit.sln:
        * WebKit.vcxproj/WebKit.submit.sln: Added.
        * WebKit.vcxproj/WebKit/WebKit.vcxproj:
        * WebKit.vcxproj/WebKit/WebKitCommon.props:
        * WebKit.vcxproj/WebKit/WebKitProduction.props: Added.
        * WebKit.vcxproj/WebKit/WebKitRelease.props:
        * WebKit.vcxproj/WebKitExportGenerator/WebKitExportGenerator.vcxproj:
        * WebKit.vcxproj/WebKitExportGenerator/WebKitExportGeneratorCommon.props:
        * WebKit.vcxproj/WebKitExportGenerator/WebKitExportGeneratorPostBuild.cmd:
        * WebKit.vcxproj/WebKitExportGenerator/WebKitExportGeneratorPreBuild.cmd:
        * WebKit.vcxproj/WebKitExportGenerator/WebKitExportGeneratorProduction.props: Added.
        * WebKit.vcxproj/WebKitExportGenerator/WebKitExportGeneratorRelease.props:
        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:
        * WebKit.vcxproj/WebKitGUID/WebKitGUID.vcxproj:
        * WebKit.vcxproj/WebKitGUID/WebKitGUIDProduction.props: Added.
        * WebKit.vcxproj/WebKitGUID/WebKitGUIDRelease.props:
        * WebKit.vcxproj/common.props:
        * WebKit.vcxproj/debugsuffix.props: Added.
        * WebKit.vcxproj/production.props: Added.
        * WebKit.vcxproj/releaseproduction.props: Removed.

2013-02-19  Tony Chang  <tony@chromium.org>

        Unreviewed, include exports for VS2010 as well.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:

2013-02-18  Brent Fulgham  <bfulgham@webkit.org>

        [Windows] Unreviewed VS2010 build correction.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in: Sync
        export definition with VS2005 version.

2013-02-15  Rik Cabanier  <cabanier@adobe.com>

        Add platform support for -webkit-background-blend-mode to CG context
        https://bugs.webkit.org/show_bug.cgi?id=108549

        Reviewed by Dean Jackson.

        Fixed build issue.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:

2013-02-14  Roger Fong  <roger_fong@apple.com>

        Unreviewed. Touch-ups to the VS2010 WebKit solution.
        Remove un-needed include directories and force includes. 
        Update exports file.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:
        * WebKit.vcxproj/common.props:
        * DumpRenderTree/DumpRenderTree.vcxproj/DumpRenderTree/DumpRenderTreeLauncherCommon.props:
        * DumpRenderTree/DumpRenderTree.vcxproj/ImageDiff/ImageDiffLauncherCommon.props:
        * DumpRenderTree/DumpRenderTree.vcxproj/TestNetscapePlugin/TestNetscapePlugin.vcxproj:
        * DumpRenderTree/DumpRenderTree.vcxproj/TestNetscapePlugin/TestNetscapePlugin.vcxproj.filters:
        * TestWebKitAPI/TestWebKitAPI.vcxproj/TestWebKitAPI.vcxproj:
        * TestWebKitAPI/TestWebKitAPI.vcxproj/TestWebKitAPI.vcxproj.filters:
        * WinLauncher/WinLauncher.vcxproj/WinLauncherCommon.props:
        * win/record-memory/record-memoryCommon.props:
        * WebCore.vcxproj/WebCore.vcxproj:
        * WebCore.vcxproj/WebCore.vcxproj.filters:
        * JavaScriptCore.vcxproj/JavaScriptCoreCommon.props:
        * JavaScriptCore.vcxproj/JavaScriptCoreExportGenerator/JavaScriptCoreExports.def.in:
        * JavaScriptCore.vcxproj/jsc/jscCommon.props:
        * JavaScriptCore.vcxproj/testRegExp/testRegExp.vcxproj:
        * JavaScriptCore.vcxproj/testapi/testapi.vcxproj:
        * WTF.vcxproj/WTFCommon.props:

2013-02-14  Tony Chang  <tony@chromium.org>

        Unreviewed, set svn:eol-style native for .sln, .vcproj, and .vsprops files.
        https://bugs.webkit.org/show_bug.cgi?id=96934

        * WebKit.vcxproj/WebKit.sln: Modified property svn:eol-style.

2013-02-14  Tony Chang  <tony@chromium.org>

        Unreviewed, set svn:eol-style CRLF for .sln files.

        * WebKit.vcxproj/WebKit.sln: Modified property svn:eol-style.

2013-02-14  Roger Fong  <roger_fong@apple.com>

        Add TestWebKitAPI, gtest-md and record-memory projects to VS2010 WebKit solution.
        https://bugs.webkit.org/show_bug.cgi?id=107034.

        Reviewed by Brent Fulgham.

        * WebKit.vcxproj/WebKit.sln:

2013-02-12  Roger Fong  <roger_fong@apple.com>

        Unreviewed. Build fix for VS2010 WebKit solution.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:

2013-02-11  Adenilson Cavalcanti  <cavalcantii@gmail.com>

        Build fix: r142549 broke EFL build
        https://bugs.webkit.org/show_bug.cgi?id=109527

        Reviewed by Kentaro Hara.

        Build fix.

        * CMakeLists.txt:

2013-02-11  Brent Fulgham  <bfulgham@webkit.org>

        Rename Visual Studio solution folders to avoid conflicts with project names
        https://bugs.webkit.org/show_bug.cgi?id=109484

        Reviewed by Tim Horton.

        * WebKit.vcxproj/WebKit.sln: Rename several solution folders (e.g.,
        WTF, WebCore, WebKit, JavaScriptCore) so that they do not conflict
        with projects using the same name.

2013-02-08  Benjamin Poulain  <bpoulain@apple.com>

        Move workerThreadCount from TestRunner to WebCore Internals
        https://bugs.webkit.org/show_bug.cgi?id=109239

        Reviewed by Darin Adler.

        * WebKit.xcodeproj/project.pbxproj:

2013-02-07  Roger Fong  <roger_fong@apple.com>

        Unreviewed. Corrections the exports definition file.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:

2013-02-07  Roger Fong  <roger_fong@apple.com>

        Unreviewed. More VS2010 WebKit solution touchups.
        Make WebKitExports.def.in be treated as a custom build file so that changes to it cause the exports to be rebuilt.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExportGenerator.vcxproj:
        * WebKit.vcxproj/WebKitExportGenerator/WebKitExportGenerator.vcxproj.filters:
        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:

2013-02-06  Roger Fong  <roger_fong@apple.com>

        Unreviewed. Touchups to VS2010 WebKit solution.
        Add WinLauncher projects to solution.

        * WebKit.vcxproj/WebKit.sln:

2013-02-05  Roger Fong  <roger_fong@apple.com>

        Unreviewed. Get rid of redundant exports in export definitions file.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:

2013-02-05  Brent Fulgham  <bfulgham@webkit.org>

        Unreviewed Visual Studio 2010 build correction.

        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in:
        Link export definitions out of date with ToT.  Corrected.

2013-02-05  Roger Fong  <roger_fong@apple.com>

        Add a JavaScriptCore Export Generator project.
        https://bugs.webkit.org/show_bug.cgi?id=108971.

        Reviewed by Brent Fulgham.

        * WebKit.vcxproj/WebKit.sln:

2013-02-05  Roger Fong  <roger_fong@apple.com>

        Unreviewed. Delete some errant preprocessor definitions.

        * WebKit.vcxproj/WebKit/WebKitCommon.props:

2013-02-05  Roger Fong  <roger_fong@apple.com>

        VS2010 WebKit projects, scripts, and property sheets.
        https://bugs.webkit.org/show_bug.cgi?id=106989.

        Reviewed by Brent Fulgham.

        * WebKit.vcxproj/Interfaces: Added.
        * WebKit.vcxproj/Interfaces/FixMIDLHeaders.pl: Copied from win/WebKit.vcproj/FixMIDLHeaders.pl.
        * WebKit.vcxproj/Interfaces/Interfaces.vcxproj: Added.
        * WebKit.vcxproj/Interfaces/Interfaces.vcxproj.filters: Added.
        * WebKit.vcxproj/Interfaces/Interfaces.vcxproj.user: Added.
        * WebKit.vcxproj/Interfaces/InterfacesCommon.props: Added.
        * WebKit.vcxproj/Interfaces/InterfacesDebug.props: Added.
        * WebKit.vcxproj/Interfaces/InterfacesPostBuild.cmd: Added.
        * WebKit.vcxproj/Interfaces/InterfacesPreBuild.cmd: Added.
        * WebKit.vcxproj/Interfaces/InterfacesRelease.props: Added.
        * WebKit.vcxproj/WebKit: Added.
        * WebKit.vcxproj/WebKit.sln:
        * WebKit.vcxproj/WebKit/WebKit.vcxproj: Added.
        * WebKit.vcxproj/WebKit/WebKit.vcxproj.filters: Added.
        * WebKit.vcxproj/WebKit/WebKit.vcxproj.user: Added.
        * WebKit.vcxproj/WebKit/WebKitApple.props: Added.
        * WebKit.vcxproj/WebKit/WebKitCFLite.props: Added.
        * WebKit.vcxproj/WebKit/WebKitCommon.props: Added.
        * WebKit.vcxproj/WebKit/WebKitDebug.props: Added.
        * WebKit.vcxproj/WebKit/WebKitDirectX.props: Added.
        * WebKit.vcxproj/WebKit/WebKitPostBuild.cmd: Added.
        * WebKit.vcxproj/WebKit/WebKitPreBuild.cmd: Added.
        * WebKit.vcxproj/WebKit/WebKitPreLink.cmd: Added.
        * WebKit.vcxproj/WebKit/WebKitRelease.props: Added.
        * WebKit.vcxproj/WebKit/resource.h: Copied from win/WebKit.vcproj/resource.h.
        * WebKit.vcxproj/WebKitExportGenerator: Added.
        * WebKit.vcxproj/WebKitExportGenerator/WebKitExportGenerator.vcxproj: Added.
        * WebKit.vcxproj/WebKitExportGenerator/WebKitExportGenerator.vcxproj.filters: Added.
        * WebKit.vcxproj/WebKitExportGenerator/WebKitExportGenerator.vcxproj.user: Added.
        * WebKit.vcxproj/WebKitExportGenerator/WebKitExportGeneratorBuildCmd.cmd: Added.
        * WebKit.vcxproj/WebKitExportGenerator/WebKitExportGeneratorCommon.props: Added.
        * WebKit.vcxproj/WebKitExportGenerator/WebKitExportGeneratorDebug.props: Added.
        * WebKit.vcxproj/WebKitExportGenerator/WebKitExportGeneratorPostBuild.cmd: Added.
        * WebKit.vcxproj/WebKitExportGenerator/WebKitExportGeneratorPreBuild.cmd: Added.
        * WebKit.vcxproj/WebKitExportGenerator/WebKitExportGeneratorRelease.props: Added.
        * WebKit.vcxproj/WebKitExportGenerator/WebKitExports.def.in: Copied from win/WebKit.vcproj/WebKitExports.def.in.
        * WebKit.vcxproj/WebKitGUID: Added.
        * WebKit.vcxproj/WebKitGUID/WebKitGUID.vcxproj: Added.
        * WebKit.vcxproj/WebKitGUID/WebKitGUID.vcxproj.filters: Added.
        * WebKit.vcxproj/WebKitGUID/WebKitGUID.vcxproj.user: Added.
        * WebKit.vcxproj/WebKitGUID/WebKitGUIDCommon.props: Added.
        * WebKit.vcxproj/WebKitGUID/WebKitGUIDDebug.props: Added.
        * WebKit.vcxproj/WebKitGUID/WebKitGUIDPostBuild.cmd: Added.
        * WebKit.vcxproj/WebKitGUID/WebKitGUIDPreBuild.cmd: Added.
        * WebKit.vcxproj/WebKitGUID/WebKitGUIDRelease.props: Added.

2013-01-31  Christophe Dumez  <dchris@gmail.com>

        [EFL] Disable Web Intents
        https://bugs.webkit.org/show_bug.cgi?id=108457

        Reviewed by Alexey Proskuryakov.

        Remove intents files from EFL CMake project.

        * PlatformEfl.cmake:

2013-01-25  Roger Fong  <roger_fong@apple.com>

        Unreviewed. Rename LLInt projects folder and make appropriate changes to solutions.

        * WebKit.vcxproj/WebKit.sln:

2013-01-23  Roger Fong  <roger_fong@apple.com>

        Unreviewed. Add svn:eol-style to solution file, not eol-style.

        * WebKit.vcxproj/WebKit.sln: Added property svn:eol-style. Removed property eol-style.

2013-01-23  Roger Fong  <roger_fong@apple.com>

        Unreviewed. Added eol-style=native to solution file.

        * WebKit.vcxproj/WebKit.sln: Added property eol-style.

2013-01-23  Roger Fong  <roger_fong@apple.com>

        Unreviewed. Checkin the OpenSource WebKit solution.

        * WebKit.vcxproj/WebKit.sln:

2013-01-23  Tony Chang  <tony@chromium.org>

        Unreviewed, set svn:eol-style to CRLF on Windows .sln files.

        * WebKit.vcxproj/WebKit.sln: Added property svn:eol-style.

2013-01-23  Roger Fong  <roger_fong@apple.com>

        Add the VS2010 WebKit solution folder and solution file.
        The solution of course will not load until the dependent projects are all completed.
        https://bugs.webkit.org/show_bug.cgi?id=106949.

        Reviewed by Brent Fulgham.

        * WebKit.vcxproj: Added.
        * WebKit.vcxproj/WebKit.sln: Added.

2013-01-22  Krzysztof Czech  <k.czech@samsung.com>

        [EFL] Adds Accessibility support to wk1
        https://bugs.webkit.org/show_bug.cgi?id=107440

        Reviewed by Gyuyoung Kim.

        * PlatformEfl.cmake: Adds ATK headers and libraries.

2013-01-17  Poul Sysolyatin  <psytonx@gmail.com>

        32-bit build for Qt5 on Mac OS fails.
        https://bugs.webkit.org/show_bug.cgi?id=107094

        We need to define NS_BUILD_32_LIKE_64 for 32-bit build for Mac OS.
        Fixed 32-bit build detection for support Qt5.

        Reviewed by Benjamin Poulain.

        * WebKit1.pro:

2013-01-14  Dean Jackson  <dino@apple.com>

        [ANGLE] Update ANGLE in WebKit
        https://bugs.webkit.org/show_bug.cgi?id=106274

        Unreviewed attempted build fix.

        The khrplatform.h file is now a public header without a directory
        prefix. Update the include path to look in the right place.

        * PlatformEfl.cmake:

2013-01-14  Max Vujovic  <mvujovic@adobe.com>

        [ANGLE] Update ANGLE in WebKit
        https://bugs.webkit.org/show_bug.cgi?id=106274

        Reviewed by Dean Jackson.

        Update ANGLE to r1641.

        * PlatformEfl.cmake: Add ANGLE/include to the include directories list because ShaderLang.h
        now includes "KHR/khrplatform.h", which is located in ANGLE/include/KHR/khrplatform.h.

2013-01-10  Christophe Dumez  <christophe.dumez@intel.com>

        [EFL] Add gstreamer 1.0.5 to jhbuild
        https://bugs.webkit.org/show_bug.cgi?id=106178

        Reviewed by Laszlo Gombos.

        Remove GSTREAMER_INTERFACES_LIBRARIES from EFL
        CMake configuration.

        * PlatformEfl.cmake:

2013-01-07  Ryosuke Niwa  <rniwa@webkit.org>

        Sorted the xcodeproj file.

        * WebKit.xcodeproj/project.pbxproj:

2012-12-20  Ryuan Choi  <ryuan.choi@samsung.com>

        [EFL] Build break with latest EFL libraries.
        https://bugs.webkit.org/show_bug.cgi?id=104827

        Reviewed by Laszlo Gombos.

        * PlatformEfl.cmake: Includes eo EFL library.

2012-12-18  Joseph Pecoraro  <pecoraro@apple.com>

        [Mac] Add Build Phase to Check Headers for Inappropriate Macros (Platform.h macros)
        https://bugs.webkit.org/show_bug.cgi?id=104279

        Reviewed by David Kilzer.

        Add a build phase to check the public WebKit headers for
        inappropriate macros. Also set the executable as an input
        path on the other check-* build phases.

        * WebKit.xcodeproj/project.pbxproj:

2012-12-12  Mark Lam  <mark.lam@apple.com>

        Encapsulate externally used webdatabase APIs in DatabaseManager.
        https://bugs.webkit.org/show_bug.cgi?id=104741.

        Reviewed by Sam Weinig.

        Use DatabaseManager instead of accessing DatabaseTracker, AbstractDatabase,
        and DatabaseContext directly. This is to prepare for upcoming webkit2
        refactoring.

        * WebKit.xcodeproj/project.pbxproj:

2012-12-05  Halton Huo  <halton.huo@intel.com>

        [CMake] Unify coding style for CMake files
        https://bugs.webkit.org/show_bug.cgi?id=103605

        Reviewed by Laszlo Gombos.

        Update cmake files(.cmake, CMakeLists.txt) with following style rules:
        1. Indentation
        1.1 Use spaces, not tabs.
        1.2 Four spaces as indent.
        2. Spacing
        2.1 Place one space between control statements and their parentheses.
            For eg, if (), else (), elseif (), endif (), foreach (),
            endforeach (), while (), endwhile (), break ().
        2.2 Do not place spaces between function and macro statements and
            their parentheses. For eg, macro(), endmacro(), function(),
            endfunction().
        2.3 Do not place spaces between a command or function or macro and its
            parentheses, or between a parenthesis and its content. For eg,
            message("testing") not message( "testing") or message ("testing" )
        2.4 No space at line ending.
        3. Lowercase when call commands macros and functions. For eg,
           add_executable() not ADD_EXECUTABLE(), set() not SET().

        * CMakeLists.txt:
        * PlatformBlackBerry.cmake:
        * PlatformEfl.cmake:
        * PlatformWinCE.cmake:

2012-12-03  Pierre Rossi  <pierre.rossi@digia.com>

        [Qt] another stab at fixing the windows build 

        It seems the QT_BUILD_{TARGET}_LIB are not set as they should by qt_module.prf.
        Define them by hand to be on the safe side.

        * WebKit1.pro:

2012-11-30  Simon Hausmann  <simon.hausmann@digia.com>, Pierre Rossi  <pierre.rossi@digia.com>

        [Qt] Separate Qt WebKit into Qt WebKit and Qt WebKit Widgets
        https://bugs.webkit.org/show_bug.cgi?id=99314

        Reviewed by Tor Arne Vestbø.

        This big change separates QtWebKit into QtWebKit and QtWebKitWidgets as
        shared libraries.

        It's a big refactoring that mostly involves moving WebCore dependent
        code into QtWebKit and accessing it through exported QWebFrameAdapter
        and QWebPageAdapter classes.

        * WebKit1.pro:
        * WebKitWidgets.pri: Removed.
        * WebKitWidgets.pro: Removed.

2012-11-22  Jeff Rogers  <jrogers@rim.com>

        [BlackBerry] Update Web Notifications Implementation
        https://bugs.webkit.org/show_bug.cgi?id=102621

        Reviewed by George Staikos.

        Reviewed internally by George Staikos and Joe Mason.
        Internal PR 172120
        Add new Notification files and remove obsolete ones.

        * PlatformBlackBerry.cmake:

2012-11-22  Simon Hausmann  <simon.hausmann@digia.com>, Pierre Rossi <pierre.rossi@digia.com>

        [Qt] Separate QWidget dependant code into separate WebKitWidgets static library
        https://bugs.webkit.org/show_bug.cgi?id=102800

        Reviewed by Tor Arne Vestbø.

        This patch separates code that needs to use QWidget related APIs in
        WebKit/qt/WebCoreSupport and Api from code that doesn't. This means for
        example FrameLoaderClientQt.cpp remains in the WebKit1 static library,
        while qwebpage.cpp and qwebframe.cpp become part of the WebKitWidgets
        static library. WebKit1 is compiled without QT += widgets and therefore
        any widget related dependency has been moved "up" and out of WebKit1 into
        the WebKitWidgets library.

        Between the code in WebKit.a and WebKitWidgets.a new adapters and
        interfaces have been introduced, such as QWebPageAdapter and
        QWebFrameAdapter. QWebPageAdapter, when used from WebKit1, is a way to
        call out into the API layer, implemented by QWebPage (QWebPagePrivate).
        The other way around if QWebPage wants to access WebCore or
        WebCoreSupport related functionality, it will go through
        QWebPageAdapater (as base class). The separation in the direction up
        into the API layer is complete with this patch, no code in WebKit1
        depends on QtWidgets. The separation the other way around, code in the
        API layer not using any WebCore types, is not complete yet.

        Some classes such as QWebSettings, QWebElement or
        DumpRenderTreeSupportQt remain in WebKit1. While they are API layer,
        they do not depend on widget related Qt APIs and they make much more
        use of WebCore internal APIs and therefore are easier to keep in
        WebKit1.

        In the future we plan to place a real shared library boundary between
        WebKit1 and WebKitWidgets, by keeping the WebKit1 static library as
        part of the QtWebKit shared library and by turning the WebKitWidgets
        static library into a shared one.

        * WebKit1.pri:
        * WebKit1.pro:
        * WebKitWidgets.pri: Copied from Source/WebKit/WebKit1.pri.
        * WebKitWidgets.pro: Added.

2012-11-21  Kai Koehne  <kai.koehne@digia.com>

        [Qt] MinGW: Don't add OpenGL library dependencies here
        https://bugs.webkit.org/show_bug.cgi?id=102924

        Reviewed by Simon Hausmann.

        As the comment suggests the dependency is already for WebCore, so add it there instead.

        * WebKit1.pri:

2012-11-18  Laszlo Gombos  <l.gombos@samsung.com>

        [CMake] Consolidate common input files
        https://bugs.webkit.org/show_bug.cgi?id=101632

        Reviewed by Rob Buis.

        Consolidate and sort the list of files.

        * PlatformEfl.cmake:

2012-11-12  Timothy Hatcher  <timothy@apple.com>

        Add a dock button to the top right corner of the Web Inspector window (similar to the full screen button).

        https://bugs.webkit.org/show_bug.cgi?id=102025

        Reviewed by Joseph Pecoraro.

        * WebKit.xcodeproj/project.pbxproj: Added Dock.pdf.

2012-11-08  Laszlo Gombos  <l.gombos@samsung.com>

        [EFL] Remove non-variable options from the build system
        https://bugs.webkit.org/show_bug.cgi?id=101506

        Reviewed by Kenneth Rohde Christiansen.

        Remove WTF_USE_FREETYPE and ENABLE_GLIB_SUPPORT cmake variables
        as these are always set to const 1 and not really configurable.

        * PlatformEfl.cmake:

2012-11-07  Andreas Kling  <akling@apple.com>

        Remove build-webkit dependency on Java SDK for Apple Mac WebKit.
        <http://webkit.org/b/101492>

        Reviewed by Anders Carlsson.

        * WebKit.xcodeproj/project.pbxproj: Remove WebJavaPlugIn.h

2012-11-06  Laszlo Gombos  <l.gombos@samsung.com>

        [EFL] Simplify the build system
        https://bugs.webkit.org/show_bug.cgi?id=101392

        Reviewed by Kenneth Rohde Christiansen.

        Use WTF_USE_3D_GRAPHICS to guard the inclusion of surfaces and textmap 
        directories under WebCore/graphics to be consistent with 
        WebCore/PlatformEfl.cmake.

        * PlatformEfl.cmake:

2012-11-04  Halton Huo  <halton.huo@intel.com>

        [EFL] Use _LIBRARIES instead of _LIBRARY
        https://bugs.webkit.org/show_bug.cgi?id=101042

        Reviewed by Gyuyoung Kim.

        In CMake Find files, _LIBRARY is intended for internal use, should
        use _LIBRARIES instead.

        * PlatformEfl.cmake: s/_LIBRARY}/_LIBRARIES}

2012-11-01  Seonae Kim  <sunaeluv.kim@samsung.com>

        [EFL][DRT] Support Geolocation
        https://bugs.webkit.org/show_bug.cgi?id=97427

        Reviewed by Gyuyoung Kim. 

        Add a mock directory to use GeolocationClientMock in DumpRenderTree.

        * PlatformEfl.cmake:

2012-10-31  Otto Derek Cheung  <otcheung@rim.com>

        [BlackBerry] Adding window.external to our port
        https://bugs.webkit.org/show_bug.cgi?id=100868

        Reviewed by Rob Buis.

        Adding ExternalExtension classes to the BB cmake file.

        * PlatformBlackBerry.cmake:

2012-10-31  Michał Pakuła vel Rutka  <m.pakula@samsung.com>

        [EFL][DRT] EventSender requires contextClick implementation
        https://bugs.webkit.org/show_bug.cgi?id=86091

        Reviewed by Gyuyoung Kim.

        Add new unit test file, needed due to ewk API changes.

        * PlatformEfl.cmake:

2012-10-30  Peter Wang  <peter.wang@torchmobile.com.cn>

        [BlackBerry] Clean the code of "JavaScriptDebuggerBlackBerry"
        https://bugs.webkit.org/show_bug.cgi?id=100724

        Reviewed by Rob Buis.

        Remove the code of JavaScriptDebuggerBlackBerry.

        * PlatformBlackBerry.cmake:

2012-10-28  Mark Rowe  <mrowe@apple.com>

        Remove references to unsupported OS and Xcode versions.

        Reviewed by Anders Carlsson.

        * WebKit.xcodeproj/project.pbxproj:

2012-10-26  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r132601.
        http://trac.webkit.org/changeset/132601
        https://bugs.webkit.org/show_bug.cgi?id=100494

        It broke the Qt build (Requested by Ossy on #webkit).

        * PlatformEfl.cmake:

2012-10-26  Xiaobo Wang  <xbwang@torchmobile.com.cn>

        [BlackBerry] Support pixel tests for BlackBerry DRT
        https://bugs.webkit.org/show_bug.cgi?id=100210

        Reviewed by Rob Buis.

        Adds a step to build ImageDiff from Qt for DRT. Most of the works are
        accomplished by Christopher Wells.

        * PlatformBlackBerry.cmake:

2012-10-24  Alexey Proskuryakov  <ap@apple.com>

        Add a strategy for shared workers
        https://bugs.webkit.org/show_bug.cgi?id=100165

        EFL build fix by Christophe Dumez.

        Reviewed by Brady Eidson.

        * CMakeLists.txt: Add WebCore/workers to include paths.

2012-10-24  Otto Derek Cheung  <otcheung@rim.com>

        [BlackBerry] Rename GeolocationControllerClientBlackBerry to GeolocationClientBlackBerry
        https://bugs.webkit.org/show_bug.cgi?id=100250

        Reviewed by Rob Buis.

        Rename GeolocationControllerClientBlackBerry to GeolocationClientBlackBerry
        to prevent confusion.

        PR 230196

        * PlatformBlackBerry.cmake:

2012-10-23  Hyowon Kim  <hw1008.kim@samsung.com>

        [Texmap][EFL] Add AcceleratedCompositingContextEfl to the build system.
        https://bugs.webkit.org/show_bug.cgi?id=88630

        Reviewed by Gyuyoung Kim.

        * PlatformEfl.cmake: Add the AcceleratedCompositingContextEfl.cpp file
        and INCLUDE paths for TEXTURE_MAPPER_GL.

2012-10-18  Kangil Han  <kangil.han@samsung.com>

        [EFL] Add unit test for ewk_frame_source_get.
        https://bugs.webkit.org/show_bug.cgi?id=95984

        Reviewed by Gyuyoung Kim.

        Add test_ewk_frame.cpp for unit test.

        * PlatformEfl.cmake:

2012-10-15  David Kilzer  <ddkilzer@apple.com>

        Move framework and library linking into WebKit.xcconfig
        <http://webkit.org/b/99284>

        Reviewed by Mark Rowe.

        * WebKit.xcodeproj/project.pbxproj: Remove frameworks and
        libraries from Xcode project file.

2012-10-15  Christophe Dumez  <christophe.dumez@intel.com>

        [EFL][WK2] Implement Favicons API
        https://bugs.webkit.org/show_bug.cgi?id=99087

        Reviewed by Kenneth Rohde Christiansen.

        Remove ewk_util.cpp from PlatformEfl.cmake now that its
        code has been moved to WebCore to be reused in WK2.

        * PlatformEfl.cmake:

2012-10-15  Dongwoo Joshua Im  <dw.im@samsung.com>

        [EFL] Set the basepath of the File System API.
        https://bugs.webkit.org/show_bug.cgi?id=98344

        Reviewed by Gyuyoung Kim.

        Set the basepath of the File System API using the internal setter function.

        * PlatformEfl.cmake: Add new include path.

2012-10-15  Ryuan Choi  <ryuan.choi@samsung.com>

        [EFL] Share resources installed for inspector
        https://bugs.webkit.org/show_bug.cgi?id=98991

        Reviewed by Gyuyoung Kim.

        * PlatformEfl.cmake:
        Extracted build scripts which install resources to WebKit/PlatformEfl.cmake.

2012-10-15  George Staikos  <staikos@webkit.org>

        [BlackBerry] Adapt to Platform API changes in string handling
        https://bugs.webkit.org/show_bug.cgi?id=99248

        Reviewed by Yong Li.

        Convert usage of WebString, char* and std::string to BlackBerry::Platform::String.

        * PlatformBlackBerry.cmake:

2012-10-13  Jakob Petsovits  <jpetsovits@rim.com>

        [BlackBerry] Fetch blit rects from a viewport accessor
        https://bugs.webkit.org/show_bug.cgi?id=98581
        RIM PR 173292

        Reviewed by George Staikos.
        Internally reviewed by Arvid Nilsson.

        Add new ViewportAccessor files to the build.
        See Source/WebKit/blackberry/ChangeLog for the
        verbose commit message.

        * PlatformBlackBerry.cmake:

2012-10-12  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r131189.
        http://trac.webkit.org/changeset/131189
        https://bugs.webkit.org/show_bug.cgi?id=99187

        Made inspector http tests crash on WK2. (Requested by rakuco
        on #webkit).

        * PlatformEfl.cmake:

2012-10-12  Ryuan Choi  <ryuan.choi@samsung.com>

        [EFL] Share resources installed for inspector
        https://bugs.webkit.org/show_bug.cgi?id=98991

        Reviewed by Gyuyoung Kim.

        * PlatformEfl.cmake:
        Extracted build scripts which install resources to WebKit/PlatformEfl.cmake.

2012-10-11  Chris Guan  <chris.guan@torchmobile.com.cn>

        [Blackberry] makes NavigatorContentUtils work
        https://bugs.webkit.org/show_bug.cgi?id=99022

        Reviewed by Rob Buis.

        Because r126735 renamed RegisterProtocolHandler API to NavigatorContentUtils, So we
        need add Modules/navigatorcontentutils into WebKit_INCLUDE_DIRECTORIES.

        * PlatformBlackBerry.cmake:

2012-10-10  Konrad Piascik  <kpiascik@rim.com>

        [BlackBerry] Install inspector files into staging directory.
        https://bugs.webkit.org/show_bug.cgi?id=98930

        Reviewed by Rob Buis.

        Internally reviewed by Ming Xie.
        Install the web inspector resources into the staging directory to make it easier to flash to device.

        * PlatformBlackBerry.cmake:

2012-10-09  Simon Hausmann  <simon.hausmann@digia.com>

        [Qt] Fix build with QtMultimedia

        Reviewed by Tor Arne Vestbø.

        * WebKit1.pri: WK1 needs QtMultimediaWidgets for QVideoWidget and friends.

2012-10-08  Simon Hausmann  <simon.hausmann@digia.com>

        [Qt] Make RenderThemeQStyle/ScrollbarThemeQStyle compile without QStyle/QtWidgets
        https://bugs.webkit.org/show_bug.cgi?id=98268

        Reviewed by Tor Arne Vestbø.

        * WebKit1.pro: Add new files to the build.

2012-10-04  Rob Buis  <rbuis@rim.com>

        [BlackBerry] Sync up CMake files
        https://bugs.webkit.org/show_bug.cgi?id=98442

        Reviewed by Gyuyoung Kim.

        Amongst others use InspectorOverlayBlackBerry.

        * PlatformBlackBerry.cmake:

2012-10-05  Simon Hausmann  <simon.hausmann@digia.com>

        Unreviewed, rolling out r130495.
        http://trac.webkit.org/changeset/130495
        https://bugs.webkit.org/show_bug.cgi?id=98268

        Made WK2 tests crash....

        * WebKit1.pro:

2012-10-05  Simon Hausmann  <simon.hausmann@digia.com>

        [Qt] Make RenderThemeQStyle/ScrollbarThemeQStyle compile without QStyle/QtWidgets
        https://bugs.webkit.org/show_bug.cgi?id=98268

        Reviewed by Tor Arne Vestbø.

        * WebKit1.pro: Add new files to the build.

2012-10-04  Konrad Piascik  <kpiascik@rim.com>

        [BlackBerry] Update how we compile inspector front-end javascript.
        https://bugs.webkit.org/show_bug.cgi?id=98413

        Reviewed by Rob Buis.

        No longer cat all JavaScript together, instead use the lazy init and
        only append our custom changes script to the end of inspectorBB.html.

        * PlatformBlackBerry.cmake:

2012-10-03  Ryuan Choi  <ryuan.choi@samsung.com>

        [EFL] Default.edj should be generated although ENABLE_WEBKIT disabled.
        https://bugs.webkit.org/show_bug.cgi?id=97753

        Reviewed by Laszlo Gombos.

        default.edj is used in both webkit/efl and webkit2/efl.
        However, it has been generated only when ENABLE_WEBKIT is enabled.

        This patch separates the script which generates default.edj
        from source/webkit/platformefl.cmake.

        * PlatformEfl.cmake: Extracted codes which is related to default.edj.

2012-10-03  Otto Derek Cheung  <otcheung@rim.com>

        [BlackBerry] Implementing the NetworkInfo API for BB port
        https://bugs.webkit.org/show_bug.cgi?id=98273

        Reviewed by Rob Buis.

        Adding new classes to support NetworkInfo API in the
        BlackBerry Port.

        * PlatformBlackBerry.cmake:

2012-10-02  Krzysztof Czech  <k.czech@samsung.com>

        [EFL] Add file EWKTestEnvironment.cpp to build system.
        https://bugs.webkit.org/show_bug.cgi?id=94925

        Reviewed by Gyuyoung Kim.

        Change is related to modifications in wk1 unit tests.

        * PlatformEfl.cmake:

2012-09-27  Anders Carlsson  <andersca@apple.com>

        Get rid of more unused WK1 plug-in code
        https://bugs.webkit.org/show_bug.cgi?id=97835

        Reviewed by Mark Rowe.

        Remove WebNetscapeDeprecatedFunctions.c and WebNetscapeDeprecatedFunctions.h from the Xcode project.

        * WebKit.xcodeproj/project.pbxproj:

2012-09-27  Christophe Dumez  <christophe.dumez@intel.com>

        [EFL][CMAKE] Default theme files are outdated in PlatformEfl.cmake
        https://bugs.webkit.org/show_bug.cgi?id=97769

        Reviewed by Kenneth Rohde Christiansen.

        Update Default theme files in PlatformEfl.cmake so that
        changes to those files are properly picked up by CMake
        when building incrementally.

        * PlatformEfl.cmake:

2012-09-24  Arvid Nilsson  <anilsson@rim.com>

        [BlackBerry] Add cookie database API
        https://bugs.webkit.org/show_bug.cgi?id=97102

        Reviewed by Antonio Gomes.

        Add cookie database file to build system.

        Reviewed internally by Otto D. Cheung.

        * PlatformBlackBerry.cmake:

2012-09-21  Arvid Nilsson  <anilsson@rim.com>

        [BlackBerry] Remove obsolete compositing surface code
        https://bugs.webkit.org/show_bug.cgi?id=97314

        Reviewed by Antonio Gomes.

        Remove compositing surface code from build system.

        PR 208038.

        * PlatformBlackBerry.cmake:

2012-09-14  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        [Qt] Make force_static_libs_as_shared work on Mac OS

        We had to move a few LIBS += around that were in the wrong place,
        and not caught when everything was just linked into the final
        QtWebKit library.

        Reviewed by Simon Hausmann.

        * WebKit1.pri: Move multimedia-stuff to WebCore, to share with WK2

2012-09-11  Raphael Kubo da Costa  <rakuco@webkit.org>

        [EFL] Rewrite the EFL-related Find modules
        https://bugs.webkit.org/show_bug.cgi?id=95237

        Reviewed by Kenneth Rohde Christiansen.

        * PlatformEfl.cmake: Stop setting the LINK_FLAGS property and add
        libraries and include directories for each Enlightenment
        Foundation Library used by the port.

2012-09-11  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        [Qt] Add a configure step to the Qt build system

        This allows building the Qt port using just 'qmake WebKit.pro'. Using
        the build-webkit script is still supported, and will add slightly more
        logic to the build, such as detecting the need for clean or incremental
        builds.

        Internally, the build system now uses a new variable, WEBKIT_CONFIG, for
        all things related to configuring the build, such as use/have/enable flags,
        and these are translated to defines in default_post. Project files should
        no longer check contains(DEFINES,...) to detect features, but use the new
        enable?(), use?(), and have?() functions. The no_webkit1 and no_webkit2
        options have been translated into WEBKIT_CONFIG options as well, and can
        be checked using build?().

        Reviewed by Simon Hausmann.

        * WebKit1.pri:
        * WebKit1.pro:

2012-09-06  Crystal Zhang  <haizhang@rim.com>

        [BlackBerry]  Implement a color picker
        https://bugs.webkit.org/show_bug.cgi?id=96001

        Reviewed by Rob Buis.

        Add color picker files into building system.

        * PlatformBlackBerry.cmake:

2012-09-06  Simon Hausmann  <simon.hausmann@nokia.com>

        [Qt] Fix build with ANGLE on platforms that provide EGL/GLESv2
        https://bugs.webkit.org/show_bug.cgi?id=95965

        Reviewed by Tor Arne Vestbø.

        Depend on ANGLE if necessary, due to the use WebCore types that pull in ANGLE
        headers (GraphicsContext3D.h in particular).

        * WebKit1.pro:

2012-09-04  Michał Pakuła vel Rutka  <m.pakula@samsung.com>

        [EFL] Context menu restore.
        https://bugs.webkit.org/show_bug.cgi?id=74179

        Reviewed by Gyuyoung Kim.

        Adds context menu support for EFL port using non-CROSS_PLATFORM_CONTEXT_MENUS
        approach, the same as used in WebKit2.

        * PlatformEfl.cmake: Added ContextMenuClientEfl.cpp file to sources list.

2012-08-29  Ryuan Choi  <ryuan.choi@samsung.com>

        [EFL] Move several files to remove webkit1 dependency from WebCore.
        https://bugs.webkit.org/show_bug.cgi?id=95264

        Reviewed by Gyuyoung Kim.

        * PlatformEfl.cmake: Added files which is moved.

2012-08-28  Thiago Marcos P. Santos  <thiago.santos@intel.com>

        [EFL] Rename knob images to thumb on the default theme
        https://bugs.webkit.org/show_bug.cgi?id=95186

        Reviewed by Kenneth Rohde Christiansen.

        Updated buildsystem after renaming theme images.

        * PlatformEfl.cmake:

2012-08-27  Mikhail Pozdnyakov  <mikhail.pozdnyakov@intel.com>

        Rename RegisterProtocolHandler API to NavigatorContentUtils
        https://bugs.webkit.org/show_bug.cgi?id=94920

        Reviewed by Adam Barth.

        Modified PlatformEfl.cmake so that it includes the renamed files.

        * PlatformEfl.cmake:

2012-08-20  Dominik Röttsches  <dominik.rottsches@intel.com>

        [EFL] Get rid of pango backend support once harfbuzz-ng is working
        https://bugs.webkit.org/show_bug.cgi?id=92102

        Reviewed by Kenneth Rohde Christiansen.

        Removing pango-specific includes and libraries.

        * PlatformEfl.cmake: Pango sections removed.

2012-08-17  Rob Buis  <rbuis@rim.com>

        [BlackBerry] Remove some shared libraries from linking
        https://bugs.webkit.org/show_bug.cgi?id=94253

        Reviewed by Yong Li.

        Remove some shared libraries.

        * PlatformBlackBerry.cmake:

2012-08-15  Ryosuke Niwa  <rniwa@webkit.org>

        Update manual tests and comments to refer to TestRunner instead of LayoutTestController
        https://bugs.webkit.org/show_bug.cgi?id=94168

        Reviewed by Kent Tamura.

        * PlatformBlackBerry.cmake:

2012-08-14  Christophe Dumez  <christophe.dumez@intel.com>

        [EFL] undefined reference to 'g_type_init' with gold linker
        https://bugs.webkit.org/show_bug.cgi?id=93935

        Unreviewed build fix. Link against glib-gobject to
        fix linking error with gold linker.

        * PlatformEfl.cmake:

2012-08-11  Raphael Kubo da Costa  <rakuco@webkit.org>

        [CMake] Rewrite FindLibSoup2.cmake.
        https://bugs.webkit.org/show_bug.cgi?id=93191

        Reviewed by Rob Buis.

        * PlatformEfl.cmake: Use LIBSOUP_FOO instead of LIBSOUP24_FOO.

2012-08-13  Raphael Kubo da Costa  <rakuco@webkit.org>

        [CMake] Remove glib-related Find modules and write single new one instead.
        https://bugs.webkit.org/show_bug.cgi?id=93786

        Reviewed by Rob Buis.

        * PlatformEfl.cmake: Use GLIB_* instead of Glib_*.

2012-08-12  Loïc Yhuel  <loic.yhuel@softathome.com>

        [Qt] Make it possible to build without QtTest/QtPrintSupport
        https://bugs.webkit.org/show_bug.cgi?id=93492

        Reviewed by Tor Arne Vestbø.

        * WebKit1.pri: Optional printsupport

2012-08-10  Joshua Netterfield  <jnetterfield@rim.com>

        [WebGL] Add support for EXT_robustness
        https://bugs.webkit.org/show_bug.cgi?id=93379

        Reviewed by George Staikos.

        RIM PR# 147510
        Internally reviewed by Arvid Nilsson.

        * CMakeLists.txt: Build system adaptation.

2012-08-10  Benjamin C Meyer  <bmeyer@rim.com>

        Introduce JavaScriptVariant object.
        https://bugs.webkit.org/show_bug.cgi?id=93644

        The JavaScriptVariant can be used for functions that return results from
        JavaScript such as executeJavaScript or functions that take arguments
        to pass a variable to JavaScript and they want to make sure the type
        is correct.

        Convert executeJavaScriptFunction() to use this data type as the
        example, other functions will be converted in the future.

        PR 14929

        Internally reviewed by Joe Mason
        Reviewed by Adam Treat

        * PlatformBlackBerry.cmake:

2012-08-10  Gyuyoung Kim  <gyuyoung.kim@samsung.com>

        [BlackBerry] Fix wrong include path for notifications.
        https://bugs.webkit.org/show_bug.cgi?id=93714

        Reviewed by Rob Buis.

        * PlatformBlackBerry.cmake: Change path from notifications to Modules/notifications.

2012-08-08  Antonio Gomes  <agomes@rim.com>

        [BlackBerry] Tie up the scrolling machinery to the graphics tree when applicable for in-region scroll
        https://bugs.webkit.org/show_bug.cgi?id=93482

        Reviewed by Rob Buis.

        * PlatformBlackBerry.cmake: Build system adaptation.

2012-08-07  Ryuan Choi  <ryuan.choi@samsung.com>

        [EFL] Remove PlatformTouchEventEfl and PlatformTouchPointEfl
        https://bugs.webkit.org/show_bug.cgi?id=93270

        Reviewed by Eric Seidel.

        * PlatformEfl.cmake: Added ewk_touch_event.cpp

2012-08-07  Konrad Piascik  <kpiascik@rim.com>

        [BlackBerry] InspectorOverlay class duplicated in WebCore
        https://bugs.webkit.org/show_bug.cgi?id=93124

        Reviewed by Rob Buis.

        Updated InspectorOverlay build path.

        * PlatformBlackBerry.cmake:

2012-08-07  No'am Rosenthal  <noam.rosenthal@nokia.com>

        [Qt] Make it possible to build without QtQuick

        Reviewed by Simon Hausmann.

        * WebKit1.pri:

2012-07-19  Simon Hausmann  <simon.hausmann@nokia.com>

        [Qt] Remove Qt 4 specific code paths
        https://bugs.webkit.org/show_bug.cgi?id=88161

        Reviewed by Kenneth Rohde Christiansen.

        * WebKit.pri:
        * WebKit1.pri:
        * WebKit1.pro:

2012-08-07  Mikhail Pozdnyakov  <mikhail.pozdnyakov@intel.com>

        CUSTOM_SCHEME_HANDLER flag should depend on REGISTER_PROTOCOL_HANDLER
        https://bugs.webkit.org/show_bug.cgi?id=93081

        Reviewed by Adam Barth.

        Modified PlatformEfl.cmake so that CUSTOM_SCHEME_HANDLER flag cannot act without REGISTER_PROTOCOL_HANDLER being set.

        * PlatformEfl.cmake:

2012-08-01  Antonio Gomes  <agomes@rim.com>

        [BlackBerry] Implement InRegionScroller class as a in-region scroll controller
        https://bugs.webkit.org/show_bug.cgi?id=92889
        PR #186587

        Reviewed by Yong Li.

        Internally reviewed by Arvid Nilsson.

        * PlatformBlackBerry.cmake: Added InRegionScroller.cpp|h to the build system.

2012-07-30  Simon Hausmann  <simon.hausmann@nokia.com>

        Unreviewed Qt/Mac build fix: Use libWebKitSystemInterfaceMountainLion.a
        on Mountain Lion.

        * WebKit1.pri:

2012-07-27  Thiago Marcos P. Santos  <thiago.santos@intel.com>

        [EFL] WebKit API unit tests needs a timeout
        https://bugs.webkit.org/show_bug.cgi?id=92496

        Reviewed by Antonio Gomes.

        Added the same timeout value that we have for WebKit2.

        * PlatformEfl.cmake:

2012-07-27  Dominik Röttsches  <dominik.rottsches@intel.com>

        [Cairo] Add complex font drawing using HarfbuzzNG
        https://bugs.webkit.org/show_bug.cgi?id=91864

        Reviewed by Simon Hausmann and Martin Robinson.

        Adding includes for harfbuzz folders.

        * CMakeLists.txt:

2012-07-26  Christophe Dumez  <christophe.dumez@intel.com>

        [EFL][WK2] Implement Network Information provider
        https://bugs.webkit.org/show_bug.cgi?id=92343

        Reviewed by Kenneth Rohde Christiansen.

        WebKit EFL not longer needs to link against EEZE
        library since the Network Information provider
        was moved to WebCore.

        * CMakeLists.txt:
        * PlatformEfl.cmake:

2012-07-26  Zoltan Nyul  <zoltan.nyul@intel.com>

        [EFL] EFL port should use XDG paths
        https://bugs.webkit.org/show_bug.cgi?id=91719

        Reviewed by Kenneth Rohde Christiansen.

        Add efreet library to get the xdg paths.

        * PlatformEfl.cmake:

2012-07-25  Kihong Kwon  <kihong.kwon@samsung.com>

        [EFL] Add File Chooser API
        https://bugs.webkit.org/show_bug.cgi?id=91957

        Reviewed by Hajime Morita.

        Add ewk_file_chooser source and header.

        * PlatformEfl.cmake:

2012-07-22  Kent Tamura  <tkent@chromium.org>

        Rename ENABLE_METER_TAG and ENABLE_PROGRESS_TAG to ENABLE_METER_ELEMENT and ENABLE_PROGRESS_ELEMENT respectively
        https://bugs.webkit.org/show_bug.cgi?id=91941

        Reviewed by Kentaro Hara.

        A flag name for an elmement should be ENABLE_*_ELEMENT.

        * PlatformEfl.cmake:

2012-07-20  Christophe Dumez  <christophe.dumez@intel.com>

        [EFL] Proxy configuration should honor the no_proxy environment variable
        https://bugs.webkit.org/show_bug.cgi?id=91747

        Reviewed by Kenneth Rohde Christiansen.

        Add WebCore/platform/network/soup to INCLUDE paths.

        * PlatformEfl.cmake:

2012-07-18  Yong Li  <yoli@rim.com>

        [BlackBerry] Move about: URL handling out of WebCore
        https://bugs.webkit.org/show_bug.cgi?id=91541

        Reviewed by Rob Buis.

        AboutData.cpp is moved from WebCoreSupport to WebKitSupport.

        * PlatformBlackBerry.cmake:

2012-07-18  Thiago Marcos P. Santos  <thiago.santos@intel.com>

        [CMake] Make gtest a shared library
        https://bugs.webkit.org/show_bug.cgi?id=90973

        Reviewed by Daniel Bates.

        No need to link with gtest dependencies now since it is a shared library.

        * PlatformEfl.cmake:

2012-07-17  Ryuan Choi  <ryuan.choi@samsung.com>

        [EFL] Move codes related to theme setting from Widget to RenderTheme
        https://bugs.webkit.org/show_bug.cgi?id=89842

        Reviewed by Kenneth Rohde Christiansen.

        * CMakeLists.txt: Added html/shadow to WebKit_INCLUDE_DIRECTORIES.

2012-07-16  Gyuyoung Kim  <gyuyoung.kim@samsung.com>

        Add RegisterProtocolHandlerClient to the Modules/protocolhandler
        https://bugs.webkit.org/show_bug.cgi?id=90940

        Reviewed by Hajime Morita.

        As a step to let protocol handler be moved to the modules, RegisterProtocolHandlerClient needs
        to be added to the Modules/protocolhandler. Because ChromeClient has some virtual functions for
        protocol handlers, virtual functions should be moved to RegisterProtocolHandlerClient.

        * PlatformEfl.cmake: Add RegisterProtocolHandlerEfl files and include path.

2012-07-16  Joshua Netterfield  <jnetterfield@rim.com>

        [BlackBerry] Upstream WebGL Code
        https://bugs.webkit.org/show_bug.cgi?id=91143

        Reviewed by Rob Buis.

        This patch includes BlackBerry-specific fixes for anti-aliasing, logging, and shader compilation.

        * PlatformBlackBerry.cmake: Define WTF_USE_OPENGL_ES_2 on WebGL-enabled builds.

2012-07-16  Frederik Gladhorn  <frederik.gladhorn@nokia.com>

        Add accessible for QWebView.
        https://bugs.webkit.org/show_bug.cgi?id=91073

        Reviewed by Simon Hausmann.

        Add classes to enable accessibility on the widget level.

        * WebKit.pri:
        * WebKit1.pro:

2012-07-15  Gyuyoung Kim  <gyuyoung.kim@samsung.com>

        [EFL] Move files guarded by #ifdef to existing file list.
        https://bugs.webkit.org/show_bug.cgi?id=91336

        Reviewed by Ryosuke Niwa.

        Some EFL files are already guared by #ifdef. So, cmake files doesn't need to guard
        them again. In addition, some files are missing #ifdef guard its header files. 

        * PlatformEfl.cmake:

2012-07-13  Thiago Marcos P. Santos  <thiago.santos@intel.com>

        [CMake] Proper handling of ENABLE_API_TESTS build option
        https://bugs.webkit.org/show_bug.cgi?id=91221

        Reviewed by Rob Buis.

        Build unit tests only if ENABLE_API_TESTS is set.

        * PlatformEfl.cmake:

2012-07-12  Simon Hausmann  <simon.hausmann@nokia.com>

        Typo in path in generate-webkitversion.pl
        https://bugs.webkit.org/show_bug.cgi?id=90883

        Reviewed by Mark Rowe.

        Correct default path to version config file. In practice it wasn't a problem because only the Qt
        build system seems to use the script right now and passes the path to the version file as a
        command line parameter.

        * scripts/generate-webkitversion.pl:

2012-07-11  Crystal Zhang  <haizhang@rim.com>

        [BlackBerry] Implement Date/Time picker
        https://bugs.webkit.org/show_bug.cgi?id=90911

        Reviewed by Rob Buis.

        Add files into make file.

        * PlatformBlackBerry.cmake:

2012-07-09  Christophe Dumez  <christophe.dumez@intel.com>

        [EFL] Battery status code needs refactoring to be reused in WebKit2
        https://bugs.webkit.org/show_bug.cgi?id=90760

        Reviewed by Hajime Morita.

        Add BatteryClientEfl to PlatformEfl.cmake.

        * PlatformEfl.cmake:

2012-07-08  Kihong Kwon  <kihong.kwon@samsung.com>

        [EFL] Change notifications directory path of WebKit_INCLUDE_DIRECTORIES in the PlatformEfl.cmake
        https://bugs.webkit.org/show_bug.cgi?id=90650

        Reviewed by Laszlo Gombos.

        Change directory path for including notifications of WebCore
        from WebCore/notifications to WebCore/Modules/notifications

        * PlatformEfl.cmake:

2012-07-07  Thiago Marcos P. Santos  <thiago.santos@intel.com>

        [EFL][CMake] Remove non-existent include directory
        https://bugs.webkit.org/show_bug.cgi?id=90605

        Reviewed by Kentaro Hara.

        * PlatformEfl.cmake:

2012-07-06  Thiago Marcos P. Santos  <thiago.santos@intel.com>

        [EFL][CMake] Move gtest sources to an upper level
        https://bugs.webkit.org/show_bug.cgi?id=90602

        Reviewed by Chang Shu.

        Removed gtest since it is now built as a separated component.
        This will allow us to share it with WebKit 2 API tests.

        * PlatformEfl.cmake:

2012-07-06  Seokju Kwon  <seokju.kwon@samsung.com>

        [EFL] Add Web Inspector to WebKit-EFL
        https://bugs.webkit.org/show_bug.cgi?id=83865

        Reviewed by Pavel Feldman.

        EFL port implementation for Web Inspector.
        Prepare Web Inspector resources.

        * PlatformEfl.cmake:

2012-07-05  Kihong Kwon  <kihong.kwon@samsung.com>

        [EFL] Change class name from NotificationClientEfl to NotificationPresenterClientEfl.
        https://bugs.webkit.org/show_bug.cgi?id=90542

        Reviewed by Kenneth Rohde Christiansen.

        NotificationClientEfl.cpp is changed to NotificationPresenterClientEfl.cpp
        to be in line with other ports(qt, chromium, gtk).

        * PlatformEfl.cmake:

2012-07-04  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        [Qt] Remove a few un-needed load(features) after r121777

        The features are computed by configure.pro and cached in .qmake.cache.

        Reviewed by Jocelyn Turcotte.

        * WebKit1.pro:

2012-07-04  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        [Qt] Fix broken OR-operator in project file

        Qmake expects |, not ||. The result was that the block was entered, even
        if none of the two defines were set to 1.

        Reviewed by Jocelyn Turcotte.

        * WebKit1.pri:

2012-07-03  Christophe Dumez  <christophe.dumez@intel.com>

        [EFL] Move BatteryClientEfl from WebKit to WebCore
        https://bugs.webkit.org/show_bug.cgi?id=90063

        Reviewed by Kenneth Rohde Christiansen.

        Move BatteryClientEfl class from WebKit to WebCore
        so that it can be reused in WebKit2.

        * PlatformEfl.cmake:

2012-07-02  Xiaobo Wang  <xbwang@torchmobile.com.cn>

        [BlackBerry] Use PUBLIC_BUILD to enable/disable DRT
        https://bugs.webkit.org/show_bug.cgi?id=90271

        Reviewed by George Staikos.

        RIM PR #154707

        Currently DRT code will be compiled only if ENABLE_DRT is set, and it's not
        defined by default.
        We should enable DRT by default unless PUBLIC_BUILD is set. In this way we don't
        need to rebuild webkit before running DRT.

        * PlatformBlackBerry.cmake:

2012-07-02  Thiago Marcos P. Santos  <thiago.santos@intel.com>

        [EFL][CMake] Integrate API unit tests with CTest
        https://bugs.webkit.org/show_bug.cgi?id=87251

        Reviewed by Daniel Bates.

        Add every test to the test runner build target.

        * PlatformEfl.cmake:

2012-07-02  Gyuyoung Kim  <gyuyoung.kim@samsung.com>

        [EFL] Rename NotificationPresenterEfl with NotificationClientEfl
        https://bugs.webkit.org/show_bug.cgi?id=90370

        Reviewed by Csaba Osztrogonác.

        Bug 80488 renamed NotificationPresenter with NotificationClient. So, EFL port needs to adjust
        it as well.

        * PlatformEfl.cmake:

2012-06-29  Krzysztof Czech  <k.czech@samsung.com>

        [EFL] Add support for Unit Tests, based on the gtest library.
        https://bugs.webkit.org/show_bug.cgi?id=68509

        Reviewed by Chang Shu.

        Add configuration for building gtest library, testing framework and unit tests.

        * PlatformEfl.cmake:

2012-06-27  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r121398.
        http://trac.webkit.org/changeset/121398
        https://bugs.webkit.org/show_bug.cgi?id=90136

        broke efl build (Requested by ryuan on #webkit).

        * PlatformEfl.cmake:

2012-06-27  Krzysztof Czech  <k.czech@samsung.com>

        [EFL] Add support for Unit Tests, based on the gtest library.
        https://bugs.webkit.org/show_bug.cgi?id=68509

        Reviewed by Chang Shu.

        Add configuration for building gtest library, testing framework and unit tests.

        * PlatformEfl.cmake:

2012-06-26  Simon Hausmann  <simon.hausmann@nokia.com>

        [Qt][Win] Symbols are not exported in QtWebKit5.dll
        https://bugs.webkit.org/show_bug.cgi?id=88873

        Reviewed by Tor Arne Vestbø.

        * api.pri: Remove MAKEDLL setting done now in win32/default_post.prf.

2012-06-25  Simon Hausmann  <simon.hausmann@nokia.com>

        Unreviewed build fix: Don't do QT += widgets with Qt 4

        * WebKit1.pro: This is already done in WebKit1.pri.

2012-06-25  Simon Hausmann  <simon.hausmann@nokia.com>

        [Qt] Make it possible to build WebKit without QtWidgets
        https://bugs.webkit.org/show_bug.cgi?id=78109

        Reviewed by Tor Arne Vestbø.

        Moved WebKit1 sources into a separate static library. Only WK1
        depends on QtWidgets.

        * WebKit1.pri: Added.
        * WebKit1.pro: Added.

2012-06-25  Gyuyoung Kim  <gyuyoung.kim@samsung.com>

        [EFL] Implement Network Information API
        https://bugs.webkit.org/show_bug.cgi?id=87067

        Reviewed by Kenneth Rohde Christiansen.

        * PlatformEfl.cmake: Add dependency of eeze library.

2012-06-22  Joshua Netterfield  <jnetterfield@rim.com>

        [BlackBerry] Sanitize GLSL code using ANGLE.

        BlackBerry port does not sanitize GLSL code with ANGLE
        https://bugs.webkit.org/show_bug.cgi?id=89583

        Reviewed by Rob Buis.

        * PlatformBlackBerry.cmake: Add ANGLE sources to BlackBerry builds.

2012-06-19  Csaba Osztrogonác  <ossy@webkit.org>

        [CMake] Unreviewed speculative buildfix after r120786.

        * CMakeLists.txt:

2012-06-13  Robin Cao  <robin.cao@torchmobile.com.cn>

        [BlackBerry] Enable MEDIA_STREAM by default
        https://bugs.webkit.org/show_bug.cgi?id=88849

        Reviewed by Antonio Gomes.

        * PlatformBlackBerry.cmake:

2012-06-12  Christophe Dumez  <christophe.dumez@intel.com>

        [EFL] Enable SHADOW_DOM flag
        https://bugs.webkit.org/show_bug.cgi?id=87732

        Reviewed by Kentaro Hara.

        Add WebCore/bindings/generic to include directories so
        that we can include RuntimeEnabledFeatures.h.

        * CMakeLists.txt:

2012-06-04  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        [Qt] Don't use WebKit HAVE() macro in public Qt headers

        Reviewed by Kenneth Rohde Christiansen.

        * WebKit.pri:

2012-06-04  Tomasz Morawski  <t.morawski@samsung.com>

        [EFL] Refactor ewk_view_context_paint code.
        https://bugs.webkit.org/show_bug.cgi?id=85588

        Reviewed by Hajime Morita.

        Added new ewk_paint_context.cpp file to source list.

        * PlatformEfl.cmake:

2012-06-01  Christophe Dumez  <christophe.dumez@intel.com>

        [EFL] EFL's LayoutTestController needs to implement deliverWebIntent
        https://bugs.webkit.org/show_bug.cgi?id=86865

        Reviewed by Adam Barth.

        Add "${WEBCORE_DIR}/dom/default" to include directories in
        CMakeLists.txt.

        * CMakeLists.txt:

2012-06-01  Sudarsana Nagineni  <sudarsana.nagineni@linux.intel.com>

        [EFL] Implement PlatformStrategies
        https://bugs.webkit.org/show_bug.cgi?id=86946

        Reviewed by Carlos Garcia Campos.

        * PlatformEfl.cmake: Add PlatformStrategiesEfl file to the build
        system.

2012-05-31  Gyuyoung Kim  <gyuyoung.kim@samsung.com>

        [CMAKE][EFL] Remove unneeded include path
        https://bugs.webkit.org/show_bug.cgi?id=87927 

        Reviewed by Kenneth Rohde Christiansen.

        Though *wtf* directory was moved to Source/WTF, PlatformEfl.cmake is still including the previous
        path. In addition, files on EFL port are using <wtf/gobject/XXX> directly in #include line.
        So, EFL port doesn't need to include ${JAVASCRIPTCORE_DIR}/wtf/gobject path anymore.

        * PlatformEfl.cmake: Remove '${JAVASCRIPTCORE_DIR}/wtf/gobject' path from include path list.

2012-05-30  Konrad Piascik  <kpiascik@rim.com>

        [BlackBerry] Add an Accelerated Compositing layer for Web Inspector DOM highlight.
        https://bugs.webkit.org/show_bug.cgi?id=81001

        Reviewed by Antonio Gomes
        
        Added new InspectorOverlay class

        * PlatformBlackBerry.cmake:

2012-05-29  Arvid Nilsson  <anilsson@rim.com>

        [BlackBerry] WebKit-side implementation of SelectionOverlay
        https://bugs.webkit.org/show_bug.cgi?id=87605

        Reviewed by Rob Buis.

        Add SelectionOverlay to the build system.

        PR #160263

        * PlatformBlackBerry.cmake:

2012-05-29  Arvid Nilsson  <anilsson@rim.com>

        [BlackBerry] WebOverlay API
        https://bugs.webkit.org/show_bug.cgi?id=87603

        Reviewed by Rob Buis.

        Add WebOverlay related files to the build system.

        PR #156812

        * PlatformBlackBerry.cmake:

2012-05-28  Arvid Nilsson  <anilsson@rim.com>

        [BlackBerry] Add a default tap highlight
        https://bugs.webkit.org/show_bug.cgi?id=87569

        Reviewed by Rob Buis.

        Add DefaultTapHighlight to the build system

        Reviewed internally by Mike Lattanzio and Mike Fenton.

        PR #154329

        * PlatformBlackBerry.cmake:

2012-05-24  Crystal Zhang  <haizhang@rim.com>

        [BlackBerry] Implement select popup and remove old hook to air popup
        https://bugs.webkit.org/show_bug.cgi?id=87419

        Reviewed by Rob Buis.

        Add new files to make file.

        * PlatformBlackBerry.cmake:

2012-05-24  Raphael Kubo da Costa  <rakuco@webkit.org>

        [EFL] Unreviewed, unbreak `make install' after r117046.

        * PlatformEfl.cmake: Remove ewk_auth_soup.h from the list of
        installed headers, since it has been made private and renamed.

2012-05-22  Dongwoo Im  <dw.im@samsung.com>

        [EFL] Implements the registerProtocolHandler method and option.
        https://bugs.webkit.org/show_bug.cgi?id=73638

        Reviewed by Andreas Kling.

        The registerProtocolHandler() method allows Web sites to register themselves
        as possible handlers for particular schemes.

        http://dev.w3.org/html5/spec/Overview.html#dom-navigator-registerprotocolhandler

        * PlatformEfl.cmake: Adds the new file into the source list.

2012-05-21  Christophe Dumez  <christophe.dumez@intel.com>

        [EFL] Minor style fixes in web intents code are needed
        https://bugs.webkit.org/show_bug.cgi?id=86986

        Reviewed by Adam Barth.

        Fix minor ordering issues in CMake files.

        * CMakeLists.txt:
        * PlatformEfl.cmake:

2012-05-18  Christophe Dumez  <christophe.dumez@intel.com>

        [EFL] Add simple implementation of Web Intents
        https://bugs.webkit.org/show_bug.cgi?id=86354

        Reviewed by Eric Seidel.

        Add new ewk_intent.* and ewk_intent_request.* files to CMake.

        * CMakeLists.txt:
        * PlatformEfl.cmake:

2012-05-17  Thiago Marcos P. Santos  <thiago.santos@intel.com>

        [EFL] Add API for Web Database handling
        https://bugs.webkit.org/show_bug.cgi?id=85178

        Reviewed by Antonio Gomes.

        Added the new Web Database API to the buildsystem.

        * PlatformEfl.cmake:

2012-05-17  Thiago Marcos P. Santos  <thiago.santos@intel.com>

        [EFL] Fix link error caused by not directly linking with edbus
        https://bugs.webkit.org/show_bug.cgi?id=86747

        Unreviewed build fix.

        * PlatformEfl.cmake:

2012-05-16  Kihong Kwon  <kihong.kwon@samsung.com>

        [EFL] Support for Battery Status API on the WebKit-Efl
        https://bugs.webkit.org/show_bug.cgi?id=83254

        Reviewed by Chang Shu.

        Add e_ukit library and include directory to get battery status of device.

        * PlatformEfl.cmake:

2012-05-15  Tomasz Morawski  <t.morawski@samsung.com>

        [EFL] Split ewk_private.h file to multiple private files.
        https://bugs.webkit.org/show_bug.cgi?id=84572

        Reviewed by Antonio Gomes.

        * PlatformEfl.cmake: Removed ewk_logging.h file from EWebKit_HEADERS.

2012-05-10  Sam D  <dsam2912@gmail.com>

        Web Inspector: rename InspectorBackendStub.js to InspectorBackendCommands.js
        https://bugs.webkit.org/show_bug.cgi?id=72306

        Changed name for InspectorBackendStub.js to
        InspectorBackendCommands.js

        Reviewed by Yury Semikhatsky.

        * PlatformBlackBerry.cmake:

2012-05-08  Crystal Zhang  <haizhang@rim.com>

        [BlackBerry] Implement a popup client for HTML controls
        https://bugs.webkit.org/show_bug.cgi?id=85670

        Reviewed by Rob Buis.

        Add popup client file to build system.
        
        * PlatformBlackBerry.cmake:

2012-05-08  Raphael Kubo da Costa  <rakuco@webkit.org>

        [CMake] Rewrite FindGStreamer.cmake.
        https://bugs.webkit.org/show_bug.cgi?id=85857

        Reviewed by Daniel Bates.

        We are currently kind of duplicating the same
        FindGStreamer-Foo.cmake file whenever a new GStreamer plugin needs
        to be found. Besides this approach not scaling very well, it
        relies on pkg-config for version checking, uses the LibFindMacros
        package that we should deprecate and all the find files could be
        merged into one, with users using the COMPONENTS feature of the
        FIND_PACKAGE() call to find the desired plugins.

        FindGStreamer.cmake has then been rewritten to take all that into
        account:
        - The LibFindMacros.cmake package is not used anymore.
        - Version check is performed in the CMake file itself by parsing
        the gstversion.h header.
        - All GStreamer plugins are searched and the COMPONENTS keyword
        used in the FIND_PACKAGE() call is used to check which plugins are
        required.
        - The plugins-base and base GStreamer plugins are not searched, as
        they were not used anywhere in the build system.

        * PlatformEfl.cmake: Update GStreamer-related variable names.

2012-05-08  Jonathan Dong  <jonathan.dong@torchmobile.com.cn>

        [BlackBerry] AutofillManager implementation upstream
        https://bugs.webkit.org/show_bug.cgi?id=85576

        Reviewed by Rob Buis.

        Added WebKit/blackberry/WebCoreSupport/AutofillManager.cpp
        into building system of BlackBerry porting.

        * PlatformBlackBerry.cmake:

2012-05-03  Jer Noble  <jer.noble@apple.com>

        Move WebKitFullScreenListener into its own file.
        https://bugs.webkit.org/show_bug.cgi?id=85640

        Reviewed by Maciej Stachowiak .

        Pull WebKitFullScreenListener into its own file.

        * WebKit.xcodeproj/project.pbxproj:

2012-05-03  Raphael Kubo da Costa  <rakuco@webkit.org>

        [CMake] Rewrite FindCairo.cmake.
        https://bugs.webkit.org/show_bug.cgi?id=84895

        Reviewed by Daniel Bates.

        The old approach relied on pkg-config for finding Cairo (which
        introduced a dependency on pkg-config that could be avoided), used
        the LibFindMacros code that we should probably remove in the
        future and did not use the FindPackageHandleStandardArguments
        module.

        Change all that by rewriting the module.
        - Use the pkg-config output optionally instead of requiring it
        like LibFindMacros did.
        - Remove the implicit dependency on FreeType which often found it
        the wrong way via pkg-config and without considering
        CMAKE_PREFIX_PATH.
        - Retrieve the Cairo version by looking at cairo-version.h instead
        of relying on pkg-config. It requires some additional code for
        checking if the desired version has been found, but that will not
        be needed once we start depending on CMake 2.8.3 or later.

        The only downside is that FPHSA sets <UPPERCASED_NAME>_FOUND
        instead of <Name>_FOUND, and to keep things consistent
        Cairo_LIBRARIES and Cairo_INCLUDE_DIRS have become CAIRO_LIBRARIES
        and CAIRO_INCLUDE_DIRS.

        * PlatformEfl.cmake: Use CAIRO_FOO instead of Cairo_FOO.

2012-04-26  Christophe Dumez  <christophe.dumez@intel.com>

        [EFL] Enable VIDEO_TRACK feature
        https://bugs.webkit.org/show_bug.cgi?id=84830

        Reviewed by Gustavo Noronha Silva.

        Enable VIDEO_TRACK feature by default for EFL port.

        * PlatformEfl.cmake:

2012-04-20  Mike Lattanzio  <mlattanzio@rim.com>

        [BlackBerry] Expose WebViewportArguments to WebPageClient
        https://bugs.webkit.org/show_bug.cgi?id=84471

        Reviewed by Antonio Gomes.

        * PlatformBlackBerry.cmake:

2012-04-20  Thiago Marcos P. Santos  <thiago.santos@intel.com>

        [EFL] Add Security Origin API
        https://bugs.webkit.org/show_bug.cgi?id=84023

        Reviewed by Antonio Gomes.

        * PlatformEfl.cmake:

2012-04-10  Patrick Gansterer  <paroga@webkit.org>

        [CMake] Enable USE_FOLDERS property
        https://bugs.webkit.org/show_bug.cgi?id=83571

        Reviewed by Daniel Bates.

        Setting the FOLDER property on targets gives more structure 
        to the generated Visual Studio solutions.
        This does not affect other CMake generators.

        * CMakeLists.txt:

2012-04-07  Patrick Gansterer  <paroga@webkit.org>

        [CMake] Cleanup WTF include directories
        https://bugs.webkit.org/show_bug.cgi?id=82716

        Reviewed by Eric Seidel.

        * CMakeLists.txt:

2012-04-07  Rob Buis  <rbuis@rim.com>

        [BlackBerry] Add Battery Status API support
        https://bugs.webkit.org/show_bug.cgi?id=82615

        Reviewed by George Staikos.

        Add BatteryClientBlackBerry.cpp to the build.

        * PlatformBlackBerry.cmake:

2012-04-06  Charles Wei  <charles.wei@torchmobile.com.cn>

        [BlackBerry] Build fix to match the latest WebCore change
        https://bugs.webkit.org/show_bug.cgi?id=83358

        Reviewed by Rob Buis.

        * PlatformBlackBerry.cmake:

2012-04-05  George Staikos  <staikos@webkit.org>

        Add the vibration client for BlackBerry.
        https://bugs.webkit.org/show_bug.cgi?id=83340

        Reviewed by Rob Buis.

        * PlatformBlackBerry.cmake:

2012-04-05  Jia Pu  <jpu@apple.com>

        Move correction panel related functions from EditorClient into separated AlternativeTextClient class.
        https://bugs.webkit.org/show_bug.cgi?id=82970

        Reviewed by Enrica Casucci.

        See WebCore/ChangeLog for details.

        * WebKit.xcodeproj/project.pbxproj:

2012-04-01  Gyuyoung Kim  <gyuyoung.kim@samsung.com>

        Support the Network Information API
        https://bugs.webkit.org/show_bug.cgi?id=73528

        Reviewed by Adam Barth.

        * PlatformEfl.cmake: Add dummy NetworkInfoClientEfl.cpp files in order to support network information API.

2012-03-30  Eli Fidler  <efidler@rim.com>

        Enable OpenType Sanitizer for BlackBerry port.
        https://bugs.webkit.org/show_bug.cgi?id=82782

        Reviewed by Eric Seidel.

        * PlatformBlackBerry.cmake: add libots to link

2012-03-22  Raphael Kubo da Costa  <rakuco@FreeBSD.org>

        [CMake] Unreviewed build fix after r111778.

        * CMakeLists.txt: Replace ${JAVASCRIPTCORE_DIR}/wtf includes with
        ${WTF_DIR}/wtf ones.

2012-03-22  Hyowon Kim  <hw1008.kim@samsung.com>

        [EFL] Add PageClientEfl to WebCoreSupport.
        https://bugs.webkit.org/show_bug.cgi?id=80748

        Reviewed by Noam Rosenthal.

        * PlatformEfl.cmake: Add WebCore/platform/graphics/efl to the include path
        and PageClientEfl.cpp to the source list.

2012-03-20  Eric Seidel  <eric@webkit.org>

        Move wtf/Platform.h from JavaScriptCore to Source/WTF/wtf
        https://bugs.webkit.org/show_bug.cgi?id=80911

        Reviewed by Adam Barth.

        * CMakeLists.txt: Look for headers in Source/WTF.

2012-03-20  Charles Wei  <charles.wei@torchmobile.com.cn>

        [BlackBerry] Remove OutOfMemoryHandler from the build system
        https://bugs.webkit.org/show_bug.cgi?id=81649

        Remove OutOfMemoryHandler, and change GLES2Context to WebKitSupport,
        in the build system for BlackBerry porting.

        Reviewed by Rob Buis.

        * PlatformBlackBerry.cmake:

2012-03-16  Kihong Kwon  <kihong.kwon@samsung.com>

        Support for Battery Status API
        https://bugs.webkit.org/show_bug.cgi?id=62698

        Add include directory and file.
        http://www.w3.org/TR/battery-status/

        Reviewed by Adam Barth.

        * PlatformEfl.cmake:

2012-03-11  Timothy Hatcher  <timothy@apple.com>

        Update how the Web Inspector resources are loaded.

        https://bugs.webkit.org/show_bug.cgi?id=80798
        rdar://problem/10359959

        Reviewed by Brian Weinstein.

        * WebKit.xcodeproj/project.pbxproj: Add a framework.

2012-03-06  Raphael Kubo da Costa  <kubo@profusion.mobi>

        [CMake] Make the removal of transitive library dependencies work with CMake < 2.8.7.
        https://bugs.webkit.org/show_bug.cgi?id=80469

        Reviewed by Antonio Gomes.

        * CMakeLists.txt: Manually set the LINK_INTERFACE_LIBRARIES target
        property on the library being created.

2012-03-06  Raphael Kubo da Costa  <kubo@profusion.mobi>

        [EFL] Unreviewed; fix the build after r109877.

        * CMakeLists.txt: Add WebCore/Modules/webdatabase to the list of
        include directories so that #include'ing DatabaseDetails.h and
        friends still works.

2012-03-04  Jonathan Dong  <jonathan.dong@torchmobile.com.cn>

        [BlackBerry] upstream CredentialManager and CredentialTransformData implementation
        https://bugs.webkit.org/show_bug.cgi?id=80107

        Reviewed by Antonio Gomes.

        Initial upstream of CredentialManager.[h|cpp] and
        CredentialTransformData.[h|cpp].
        No new test.

        * PlatformBlackBerry.cmake:

2012-03-04  Raphael Kubo da Costa  <kubo@profusion.mobi>

        [CMake] Libraries are installed to /usr/lib and not /usr/lib64 on x86_64
        https://bugs.webkit.org/show_bug.cgi?id=71507

        Reviewed by Antonio Gomes.

        * CMakeLists.txt: Use ${LIB_INSTALL_DIR} instead of hardcoding "lib".

2012-02-24  Grzegorz Czajkowski  <g.czajkowski@samsung.com>

        [EFL][DRT] Implement setValueForUser and setAutofilled.
        https://bugs.webkit.org/show_bug.cgi?id=79237

        Reviewed by Andreas Kling.

        Adds the main directory of WebKit's source to find headers of JavaScriptCore.

        * PlatformEfl.cmake:

2012-02-23  Patrick Gansterer  <paroga@webkit.org>

        [CMake] Add WEBKIT_INCLUDE_CONFIG_FILES_IF_EXISTS macro
        https://bugs.webkit.org/show_bug.cgi?id=79371

        Reviewed by Daniel Bates.

        * CMakeLists.txt:
        * PlatformBlackBerry.cmake: Renamed from Source/WebKit/blackberry/CMakeListsBlackBerry.txt.
        * PlatformEfl.cmake: Renamed from Source/WebKit/efl/CMakeListsEfl.txt.
        * PlatformWinCE.cmake: Renamed from Source/WebKit/wince/CMakeListsWinCE.txt.

2012-02-20  Filip Pizlo  <fpizlo@apple.com>

        JSC should be a triple-tier VM
        https://bugs.webkit.org/show_bug.cgi?id=75812
        <rdar://problem/10079694>

        Reviewed by Gavin Barraclough.

        Changed EFL's build system to include a new directory in JavaScriptCore.
        
        * CMakeLists.txt:

2012-02-21  Jon Lee  <jonlee@apple.com>

        Bring notifications support to WK1 mac: showing, canceling, removing notifications
        https://bugs.webkit.org/show_bug.cgi?id=78783
        <rdar://problem/10610578>

        Reviewed by Anders Carlsson.

        * WebKit.xcodeproj/project.pbxproj: Added new files.

2012-02-21  Adam Roben  <aroben@apple.com>

        Roll out r108309, r108323, and r108326

        They broke the 32-bit Lion build.

        Original bugs is <http://webkit.org/b/75812> <rdar://problem/10079694>.

        * CMakeLists.txt:

2012-02-16  Leo Yang  <leo.yang@torchmobile.com.cn>

        [BlackBerry] Adapt to the removal of WebStringIml.h
        https://bugs.webkit.org/show_bug.cgi?id=78784

        Reviewed by Antonio Gomes.

        blackberry/WebCoreSupport/WebStringImpl.h which hasn't been upstreamed
        has been removed internally. We should adapt to this removal for the
        upstreamed part of the BlackBerry port. Actually WebStringImpl is not necessary
        because it just inherits from WTF::StringImpl but adding nothing.

        * blackberry/Api/WebString.cpp:
        (BlackBerry::WebKit::WebString::WebString):
        (BlackBerry::WebKit::WebString::equalIgnoringCase):
        * blackberry/Api/WebString.h:
        (WTF):

2012-02-16  Nima Ghanavatian  <nghanavatian@rim.com>

        [BlackBerry] Style clean-up in WebPageCompositor
        https://bugs.webkit.org/show_bug.cgi?id=78738

        Reviewed by Rob Buis.

        No new functionality, no new tests.

        * blackberry/WebKitSupport/WebPageCompositor.cpp:
        (BlackBerry::WebKit::WebPageCompositor::drawLayers):
        * blackberry/WebKitSupport/WebPageCompositor.h:
        (WebKit):

2012-02-16  Patrick Gansterer  <paroga@webkit.org>

        [CMake] Add missing include directories.

        * CMakeLists.txt:

2012-02-15  Leo Yang  <leo.yang@torchmobile.com.cn>

        [BlackBerry] Remove ResourceHolderImpl.cpp from build system
        https://bugs.webkit.org/show_bug.cgi?id=78779

        Reviewed by George Staikos.

        blackberry/Api/ResourceHolderImpl.cpp which hasn't been upstreamed
        has been removed internally. So remove it from the build system.

        * blackberry/CMakeListsBlackBerry.txt:

2012-02-15  Leo Yang  <leo.yang@torchmobile.com.cn>

        [BlackBerry] Upstream WebPageGroupLoadDeferrer.{h, cpp}
        https://bugs.webkit.org/show_bug.cgi?id=78770

        Reviewed by Rob Buis.

        Initial upstreaming, no new tests.

        * blackberry/Api/WebPageGroupLoadDeferrer.cpp: Added.
        * blackberry/Api/WebPageGroupLoadDeferrer.h: Added.

2012-02-15  Konrad Piascik  <kpiascik@rim.com>

        [BlackBerry] Upstream BlackBerry specific Web Inspector resources
        https://bugs.webkit.org/show_bug.cgi?id=78727

        Reviewed by Rob Buis.

        * blackberry/WebCoreSupport/inspectorBB.html: Added.
        * blackberry/WebCoreSupport/inspectorBB.js: Added.
        ():
        (InspectorFrontendHost.copyText):

2012-02-15  Mike Fenton  <mifenton@rim.com>

        Initial upstreaming of EditorClientBlackBerry
        https://bugs.webkit.org/show_bug.cgi?id=78730

        Reviewed by Rob Buis.

        Initial upstreaming, no new tests.

        * blackberry/WebCoreSupport/EditorClientBlackBerry.cpp: Added.
        (WebCore):
        (WebCore::EditorClientBlackBerry::EditorClientBlackBerry):
        (WebCore::EditorClientBlackBerry::pageDestroyed):
        (WebCore::EditorClientBlackBerry::shouldDeleteRange):
        (WebCore::EditorClientBlackBerry::shouldShowDeleteInterface):
        (WebCore::EditorClientBlackBerry::smartInsertDeleteEnabled):
        (WebCore::EditorClientBlackBerry::isSelectTrailingWhitespaceEnabled):
        (WebCore::EditorClientBlackBerry::enableSpellChecking):
        (WebCore::EditorClientBlackBerry::shouldSpellCheckFocusedField):
        (WebCore::EditorClientBlackBerry::isContinuousSpellCheckingEnabled):
        (WebCore::EditorClientBlackBerry::toggleContinuousSpellChecking):
        (WebCore::EditorClientBlackBerry::isGrammarCheckingEnabled):
        (WebCore::EditorClientBlackBerry::toggleGrammarChecking):
        (WebCore::EditorClientBlackBerry::spellCheckerDocumentTag):
        (WebCore::EditorClientBlackBerry::shouldBeginEditing):
        (WebCore::EditorClientBlackBerry::shouldEndEditing):
        (WebCore::EditorClientBlackBerry::shouldInsertNode):
        (WebCore::EditorClientBlackBerry::shouldInsertText):
        (WebCore::EditorClientBlackBerry::shouldChangeSelectedRange):
        (WebCore::EditorClientBlackBerry::shouldApplyStyle):
        (WebCore::EditorClientBlackBerry::shouldMoveRangeAfterDelete):
        (WebCore::EditorClientBlackBerry::didBeginEditing):
        (WebCore::EditorClientBlackBerry::respondToChangedContents):
        (WebCore::EditorClientBlackBerry::respondToChangedSelection):
        (WebCore::EditorClientBlackBerry::didEndEditing):
        (WebCore::EditorClientBlackBerry::respondToSelectionAppearanceChange):
        (WebCore::EditorClientBlackBerry::didWriteSelectionToPasteboard):
        (WebCore::EditorClientBlackBerry::didSetSelectionTypesForPasteboard):
        (WebCore::EditorClientBlackBerry::registerCommandForUndo):
        (WebCore::EditorClientBlackBerry::registerCommandForRedo):
        (WebCore::EditorClientBlackBerry::clearUndoRedoOperations):
        (WebCore::EditorClientBlackBerry::canUndo):
        (WebCore::EditorClientBlackBerry::canRedo):
        (WebCore::EditorClientBlackBerry::canCopyCut):
        (WebCore::EditorClientBlackBerry::canPaste):
        (WebCore::EditorClientBlackBerry::undo):
        (WebCore::EditorClientBlackBerry::redo):
        (KeyDownEntry):
        (KeyPressEntry):
        (WebCore::EditorClientBlackBerry::interpretKeyEvent):
        (WebCore::EditorClientBlackBerry::handleKeyboardEvent):
        (WebCore::EditorClientBlackBerry::handleInputMethodKeydown):
        (WebCore::EditorClientBlackBerry::textFieldDidBeginEditing):
        (WebCore::EditorClientBlackBerry::textFieldDidEndEditing):
        (WebCore::EditorClientBlackBerry::textDidChangeInTextField):
        (WebCore::EditorClientBlackBerry::doTextFieldCommandFromEvent):
        (WebCore::EditorClientBlackBerry::textWillBeDeletedInTextField):
        (WebCore::EditorClientBlackBerry::textDidChangeInTextArea):
        (WebCore::EditorClientBlackBerry::ignoreWordInSpellDocument):
        (WebCore::EditorClientBlackBerry::learnWord):
        (WebCore::EditorClientBlackBerry::checkSpellingOfString):
        (WebCore::EditorClientBlackBerry::getAutoCorrectSuggestionForMisspelledWord):
        (WebCore::EditorClientBlackBerry::checkGrammarOfString):
        (WebCore::EditorClientBlackBerry::requestCheckingOfString):
        (WebCore::EditorClientBlackBerry::textChecker):
        (WebCore::EditorClientBlackBerry::updateSpellingUIWithGrammarString):
        (WebCore::EditorClientBlackBerry::updateSpellingUIWithMisspelledWord):
        (WebCore::EditorClientBlackBerry::showSpellingUI):
        (WebCore::EditorClientBlackBerry::spellingUIIsShowing):
        (WebCore::EditorClientBlackBerry::getGuessesForWord):
        (WebCore::EditorClientBlackBerry::willSetInputMethodState):
        (WebCore::EditorClientBlackBerry::setInputMethodState):
        * blackberry/WebCoreSupport/EditorClientBlackBerry.h: Added.
        (WebKit):
        (WebCore):
        (EditorClientBlackBerry):

2012-02-15  Leo Yang  <leo.yang@torchmobile.com.cn>

        [BlackBerry] Upstream WebPageClient.h
        https://bugs.webkit.org/show_bug.cgi?id=78660

        Reviewed by Antonio Gomes.

        Initial upstreaming, no new tests.

        * blackberry/Api/BackingStore.cpp: Add #include <BlackBerryPlatformWindow.h> because this inclusion
        is being removed from WebPageClient.h.
        * blackberry/Api/WebPageClient.h: Added.
        * blackberry/WebCoreSupport/ChromeClientBlackBerry.cpp: Add #include <BlackBerryPlatformWindow.h>
        because this inclusion is being removed from WebPageClient.h.

2012-02-15  Rob Buis  <rbuis@rim.com>

        [BlackBerry] Upstream remaining classes in Api
        https://bugs.webkit.org/show_bug.cgi?id=78644

        Reviewed by Antonio Gomes.

        No functionalities changed, no new tests.

        * blackberry/Api/ActiveNodeContext.h: Renamed from Source/WebKit/blackberry/Api/BlackBerryContext.h.

2012-02-14  Nima Ghanavatian  <nghanavatian@rim.com>

        [BlackBerry] Upstreaming WebSettings code
        https://bugs.webkit.org/show_bug.cgi?id=78633

        Reviewed by Rob Buis.

        Initial upstreaming, no new tests.

        * blackberry/Api/WebSettings.cpp: Added.
        * blackberry/Api/WebSettings.h: Added.
        * blackberry/Api/WebSettings_p.h: Added.

2012-02-14  Nima Ghanavatian  <nghanavatian@rim.com>

        [BlackBerry] Upstreaming DOMSupport files
        https://bugs.webkit.org/show_bug.cgi?id=78607

        Reviewed by Rob Buis.

        Initial upstreaming, no new tests.

        * blackberry/WebKitSupport/DOMSupport.cpp: Added.
        * blackberry/WebKitSupport/DOMSupport.h: Added.

2012-02-14  Jeff Rogers  <jrogers@rim.com>

        [BlackBerry] Remove OpenVG references
        https://bugs.webkit.org/show_bug.cgi?id=78623

        Reviewed by Rob Buis.

        Removed references to USE(OPENVG) and the related code.

        * blackberry/Api/BackingStore.cpp:
        (BlackBerry::WebKit::BackingStorePrivate::BackingStorePrivate):
        (BlackBerry::WebKit::BackingStorePrivate::repaint):
        (BlackBerry::WebKit::BackingStorePrivate::renderContents):
        (BlackBerry::WebKit::BackingStore::createSurface):
        * blackberry/Api/BackingStore_p.h:

2012-02-14  Andy Chen  <andchen@rim.com>

        Initial upstreaming for find-in-page for BlackBerry port
        https://bugs.webkit.org/show_bug.cgi?id=78615

        Create a new class InPageSearchManager for find-in-page and
        remove the functions in SelectionHandler

        Reviewed by Rob Buis.

        * blackberry/CMakeListsBlackBerry.txt:
        * blackberry/WebKitSupport/InPageSearchManager.cpp: Added.
        (BlackBerry::WebKit::InPageSearchManager::InPageSearchManager):
        (BlackBerry::WebKit::InPageSearchManager::~InPageSearchManager):
        (BlackBerry::WebKit::InPageSearchManager::findNextString):
        (BlackBerry::WebKit::InPageSearchManager::clearTextMatches):
        (BlackBerry::WebKit::InPageSearchManager::setMarkerActive):
        * blackberry/WebKitSupport/InPageSearchManager.h: Added.
        * blackberry/WebKitSupport/SelectionHandler.cpp:
        * blackberry/WebKitSupport/SelectionHandler.h:

2012-02-14  Jacky Jiang  <zhajiang@rim.com>

        [BlackBerry] Upstream BlackBerry WebCoreSupport FrameLoaderClientBlackBerry class
        https://bugs.webkit.org/show_bug.cgi?id=78275

        Reviewed by Rob Buis.

        Initial upstream, no new tests.

        * blackberry/WebCoreSupport/FrameLoaderClientBlackBerry.cpp: Added.
        * blackberry/WebCoreSupport/FrameLoaderClientBlackBerry.h: Added.

2012-02-14  Lianghui Chen  <liachen@rim.com>

        Separate mimetype and file extension mapping API from WebKit/blackberry/Api/WebKitTextCodec and complete it.
        https://bugs.webkit.org/show_bug.cgi?id=78605

        Reviewed by Rob Buis.

        Now the MIME type and file extension mapping API are in WebKitMIMETypeConverter.

        * blackberry/Api/WebKitMIMETypeConverter.cpp: Added.
        (WebKit):
        (BlackBerry::WebKit::getExtensionForMimeType):
        (BlackBerry::WebKit::getMimeTypeForExtension):
        * blackberry/Api/WebKitMIMETypeConverter.h: Added.
        (WebKit):
        * blackberry/Api/WebKitTextCodec.cpp:
        * blackberry/Api/WebKitTextCodec.h:
        * blackberry/CMakeListsBlackBerry.txt:

2012-02-14  Ed Baker  <edbaker@rim.com>

        [BlackBerry] Dragging a selection handle outside of the content bounding box does not update the selection range correctly
        https://bugs.webkit.org/show_bug.cgi?id=78608

        Ensure that when selection handles leave the content bounding box that
        the handle not being dragged remains fixed. Do not applying padding to
        a direction that would cause the selection to shrink when performing
        the handle direction detection.

        Reviewed by Rob Buis.

        * blackberry/WebKitSupport/SelectionHandler.cpp:
        (BlackBerry::WebKit::directionOfPointRelativeToRect):
        (BlackBerry::WebKit::SelectionHandler::extendSelectionToFieldBoundary):
        (BlackBerry::WebKit::SelectionHandler::clipPointToFocusNode):
        (BlackBerry::WebKit::SelectionHandler::setSelection):
        * blackberry/WebKitSupport/SelectionHandler.h:

2012-02-14  Rob Buis  <rbuis@rim.com>

        [BlackBerry] Upstream remaining classes in Api
        https://bugs.webkit.org/show_bug.cgi?id=78644

        Reviewed by Antonio Gomes.

        Initial upstream, no new tests.

        * blackberry/Api/BlackBerryContext.h: Added.
        * blackberry/Api/BlackBerryGlobal.cpp: Added.
        * blackberry/Api/BlackBerryGlobal.h: Added.
        * blackberry/Api/Version.cpp: Added.
        * blackberry/Api/Version.h: Added.

2012-02-14  Rob Buis  <rbuis@rim.com>

        [BlackBerry] Upstream backing store related classes
        https://bugs.webkit.org/show_bug.cgi?id=78517

        Reviewed by Antonio Gomes.

        Initial upstream, no new tests.

        * blackberry/WebKitSupport/BackingStoreClient.cpp: Added.
        * blackberry/WebKitSupport/BackingStoreClient.h: Added.
        * blackberry/WebKitSupport/BackingStoreCompositingSurface.cpp: Added.
        * blackberry/WebKitSupport/BackingStoreCompositingSurface.h: Added.
        * blackberry/WebKitSupport/BackingStoreTile.cpp: Added.
        * blackberry/WebKitSupport/BackingStoreTile.h: Added.

2012-02-13  Nima Ghanavatian  <nghanavatian@rim.com>

        Initial upstreaming of selection handling code for BlackBerry port
        https://bugs.webkit.org/show_bug.cgi?id=78136

        Reviewed by Rob Buis.

        Initial upstreaming, no new tests.

        * blackberry/WebKitSupport/SelectionHandler.cpp: Added.
        * blackberry/WebKitSupport/SelectionHandler.h: Added.

2012-02-10  Mike Fenton  <mifenton@rim.com>

        BlackBerry Port - Input focus is suppressed during XHR loads
        https://bugs.webkit.org/show_bug.cgi?id=78368

        Allow JS to trigger the VKB and input focus when XHR scripting
        is active.

        This switching the loaded state to checking the webpages loaded state
        which is only updated after initial load.   When additional loading
        events happen for XHR, it remains false and focus events function.

        Also add detailed FocusLog's to shouldAcceptInputFocus.

        Reviewed by Rob Buis.

        * blackberry/WebKitSupport/InputHandler.cpp:
        (BlackBerry::WebKit::InputHandler::shouldAcceptInputFocus):

2012-02-10  Mike Fenton  <mifenton@rim.com>

        BlackBerry Port - JS focus on blur can cause recursion
        https://bugs.webkit.org/show_bug.cgi?id=78368

        Prevent JS recursion of blur/focus by allowing focus
        if we are already trying to prevent focus.

        Reviewed by Rob Buis.

        * blackberry/WebKitSupport/InputHandler.cpp:
        (BlackBerry::WebKit::InputHandler::InputHandler):
        (BlackBerry::WebKit::InputHandler::shouldAcceptInputFocus):
        (BlackBerry::WebKit::InputHandler::setElementFocused):
        * blackberry/WebKitSupport/InputHandler.h:
        (InputHandler):

2012-02-10  Rob Buis  <rbuis@rim.com>

        [BlackBerry] Upstream graphics helper classes in WebKitSupport
        https://bugs.webkit.org/show_bug.cgi?id=78278

        Reviewed by Antonio Gomes.

        Initial upstream, no new tests.

        * blackberry/WebKitSupport/RenderQueue.cpp: Added.
        * blackberry/WebKitSupport/RenderQueue.h: Added.

2012-02-10  Rob Buis  <rbuis@rim.com>

        [BlackBerry] Upstream graphics helper classes in WebKitSupport
        https://bugs.webkit.org/show_bug.cgi?id=78278

        Reviewed by Antonio Gomes.

        Initial upstream, no new tests.

        * blackberry/WebKitSupport/SurfacePool.cpp: Added.
        * blackberry/WebKitSupport/SurfacePool.h: Added.
        * blackberry/WebKitSupport/TileIndex.h: Added.
        * blackberry/WebKitSupport/TileIndexHash.h: Added.

2012-02-09  Leo Yang  <leo.yang@torchmobile.com.cn>

        [BlackBerry] Upstream JavaScriptDebuggerBlackBerry.{h, cpp}
        https://bugs.webkit.org/show_bug.cgi?id=78203

        Reviewed by Rob Buis.

        Initial upstream, no new tests.

        * blackberry/WebCoreSupport/JavaScriptDebuggerBlackBerry.cpp: Added.
        * blackberry/WebCoreSupport/JavaScriptDebuggerBlackBerry.h: Added.

2012-02-09  Rob Buis  <rbuis@rim.com>

        [BlackBerry] Upstream BlackBerry WebKitSupport WebPageCompositor class
        https://bugs.webkit.org/show_bug.cgi?id=78276

        Reviewed by Antonio Gomes.

        Initial upstream, no new tests.

        * blackberry/WebKitSupport/WebPageCompositor.cpp: Added.
        * blackberry/WebKitSupport/WebPageCompositor.h: Added.

2012-02-08  Jacky Jiang  <zhajiang@rim.com>

        [BlackBerry] Upstream BlackBerry WebCoreSupport FrameNetworkingContextBlackBerry and IconDatabaseClientBlackBerry classes
        https://bugs.webkit.org/show_bug.cgi?id=78049

        Reviewed by Rob Buis.

        Initial upstream, no new tests.

        * blackberry/WebCoreSupport/FrameNetworkingContextBlackBerry.cpp: Added.
        * blackberry/WebCoreSupport/FrameNetworkingContextBlackBerry.h: Added.
        * blackberry/WebCoreSupport/IconDatabaseClientBlackBerry.cpp: Added.
        * blackberry/WebCoreSupport/IconDatabaseClientBlackBerry.h: Added.

2012-02-08  Leo Yang  <leo.yang@torchmobile.com.cn>

        [BlackBerry] Upstream InspectorClientBlackBerry.{h, cpp}
        https://bugs.webkit.org/show_bug.cgi?id=78082

        Reviewed by Rob Buis.

        Initial upstream, no new tests.

        * blackberry/WebCoreSupport/InspectorClientBlackBerry.cpp: Added.
        * blackberry/WebCoreSupport/InspectorClientBlackBerry.h: Added.

2012-02-08  Leo Yang  <leo.yang@torchmobile.com.cn>

        [BlackBerry] Remove EditCommandBlackBerry.cpp from build system
        https://bugs.webkit.org/show_bug.cgi?id=78078

        Reviewed by Rob Buis.

        WebKit/blackberry/WebCoreSupport/EditCommandBlackBerry.cpp which hasn't
        been upstreamed has been removed from the BlackBerry porting internally.
        So we should remove it from the build system.

        * blackberry/CMakeListsBlackBerry.txt:

2012-02-08  Rob Buis  <rbuis@rim.com>

        [BlackBerry] Upstream DumpRenderTreeBlackBerry
        https://bugs.webkit.org/show_bug.cgi?id=78042

        Reviewed by Antonio Gomes.

        Add abstract interface for our DumpRenderTree solution.

        * blackberry/Api/DumpRenderTreeClient.h: Added.

2012-02-08  Nima Ghanavatian  <nghanavatian@rim.com>

        Initial upstreaming of input handling for BlackBerry port
        https://bugs.webkit.org/show_bug.cgi?id=77992

        Reviewed by Rob Buis.

        * blackberry/WebKitSupport/InputHandler.cpp: Added.
        * blackberry/WebKitSupport/InputHandler.h: Added.

2012-02-07  Robert Kroeger  <rjkroege@chromium.org>

        [chromium] Remove no longer necessary Chromium gesture recognizer code.
        https://bugs.webkit.org/show_bug.cgi?id=77492

        Reviewed by Adam Barth.

        * blackberry/WebCoreSupport/AboutDataEnableFeatures.in:

2012-02-07  Leo Yang  <leo.yang@torchmobile.com.cn>

        [BlackBerry] Upstream ChromeClientBlackBerry.{h, cpp}
        https://bugs.webkit.org/show_bug.cgi?id=77843

        Reviewed by Rob Buis.

        Initial upstream, no new tests.

        * blackberry/WebCoreSupport/ChromeClientBlackBerry.cpp: Added.
        * blackberry/WebCoreSupport/ChromeClientBlackBerry.h: Added.

2012-02-07  Rob Buis  <rbuis@rim.com>

        [BlackBerry] Upstream DumpRenderTreeSupport
        https://bugs.webkit.org/show_bug.cgi?id=77991

        Reviewed by Antonio Gomes.

        No functionalities changed, no new tests.

        * blackberry/WebKitSupport/DumpRenderTreeSupport.cpp: Added.
        (toGeolocationClientMock):
        (DumpRenderTreeSupport::DumpRenderTreeSupport):
        (DumpRenderTreeSupport::~DumpRenderTreeSupport):
        (DumpRenderTreeSupport::javaScriptObjectsCount):
        (DumpRenderTreeSupport::garbageCollectorCollect):
        (DumpRenderTreeSupport::garbageCollectorCollectOnAlternateThread):
        (DumpRenderTreeSupport::setLinksIncludedInFocusChain):
        (DumpRenderTreeSupport::linksIncludedInFocusChain):
        (DumpRenderTreeSupport::dumpConfigurationForViewport):
        (DumpRenderTreeSupport::numberOfPendingGeolocationPermissionRequests):
        (DumpRenderTreeSupport::resetGeolocationMock):
        (DumpRenderTreeSupport::setMockGeolocationError):
        (DumpRenderTreeSupport::setMockGeolocationPermission):
        (DumpRenderTreeSupport::setMockGeolocationPosition):
        (DumpRenderTreeSupport::scalePageBy):
        (DumpRenderTreeSupport::computedStyleIncludingVisitedInfo):
        * blackberry/WebKitSupport/DumpRenderTreeSupport.h: Added.
        (WebKit):
        (WebCore):
        (WTF):
        (DumpRenderTreeSupport):

2012-02-07  Jacky Jiang  <zhajiang@rim.com>

        [BlackBerry] Upstream BlackBerry WebCoreSupport DeviceOrientationClientBlackBerry and DeviceMotionClientBlackBerry classes
        https://bugs.webkit.org/show_bug.cgi?id=77993

        Reviewed by Rob Buis.

        Initial upstream, no new tests.

        * blackberry/WebCoreSupport/DeviceMotionClientBlackBerry.cpp: Added.
        * blackberry/WebCoreSupport/DeviceMotionClientBlackBerry.h: Added.
        * blackberry/WebCoreSupport/DeviceOrientationClientBlackBerry.cpp: Added.
        * blackberry/WebCoreSupport/DeviceOrientationClientBlackBerry.h: Added.

2012-02-06  Leo Yang  <leo.yang@torchmobile.com.cn>

        [BlackBerry] Use WebPagePrivate instead of WebPage in GeolocationControllerClientBlackBerry
        https://bugs.webkit.org/show_bug.cgi?id=77927

        Reviewed by Antonio Gomes.

        WebKit/blackberry/Api/WebPage which has a d pointer is designed for public API.
        GeolocationControllerClientBlackBerry in WebKit/blackberry/WebCoreSupport should
        use the d pointer directly because the client is internal implementation.

        No functionalities changed, no new tests.

        * blackberry/WebCoreSupport/GeolocationControllerClientBlackBerry.cpp:
        (GeolocationControllerClientBlackBerry::GeolocationControllerClientBlackBerry):
        (GeolocationControllerClientBlackBerry::requestPermission):
        (GeolocationControllerClientBlackBerry::cancelPermissionRequest):
        (GeolocationControllerClientBlackBerry::onLocationUpdate):
        (GeolocationControllerClientBlackBerry::onLocationError):
        * blackberry/WebCoreSupport/GeolocationControllerClientBlackBerry.h:
        (WebKit):
        (GeolocationControllerClientBlackBerry):

2012-02-06  Robin Cao  <robin.cao@torchmobile.com.cn>

        [BlackBerry] Remove unused variable in BackingStore
        https://bugs.webkit.org/show_bug.cgi?id=77851

        Reviewed by Kentaro Hara.

        * blackberry/Api/BackingStore.cpp:
        (BlackBerry::WebKit::BackingStorePrivate::blitContents):

2012-02-04  Jacky Jiang  <zhajiang@rim.com>

        [BlackBerry] Upstream BlackBerry WebCoreSupport ClientExtension and GeolocationControllerClientBlackBerry classes
        https://bugs.webkit.org/show_bug.cgi?id=77751

        Reviewed by Rob Buis.

        Initial upstream, no new tests.

        * blackberry/WebCoreSupport/ClientExtension.cpp: Added.
        * blackberry/WebCoreSupport/ClientExtension.h: Added.
        * blackberry/WebCoreSupport/GeolocationControllerClientBlackBerry.cpp: Added.
        * blackberry/WebCoreSupport/GeolocationControllerClientBlackBerry.h: Added.

2012-01-11  Jacky Jiang  <zhajiang@rim.com>

        [BlackBerry] ASSERT failure in BackingStorePrivate::blitVisibleContents()
        https://bugs.webkit.org/show_bug.cgi?id=76096

        Reviewed by Rob Buis.

        We shouldn't blit visible contents for direct rendering. Guard it from
        call sites.

        * blackberry/Api/BackingStore.cpp:
        (BlackBerry::WebKit::BackingStorePrivate::repaint):
        (BlackBerry::WebKit::BackingStorePrivate::slowScroll):

2012-01-11  Rafael Brandao  <rafael.lobo@openbossa.org>

        [Qt][WK2] Fix the build for newer Qt5
        https://bugs.webkit.org/show_bug.cgi?id=75964

        Reviewed by Simon Hausmann.

        * WebKit.pri: Added the new files to the buildsystem.

2012-01-10  Mike Lattanzio  <mlattanzio@rim.com>

        [BlackBerry] Fix assertion failure in BackingStore::blitContents
        https://bugs.webkit.org/show_bug.cgi?id=75976

        Prevent an assertion failure in BackingStore::blitContents by
        checking that the srcRect of the transformation matrix is non empty.

        Reviewed by Adam Treat.

        Upstream BlackBerry port is not yet building and testable.

        * blackberry/Api/BackingStore.cpp:
        (BlackBerry::WebKit::BackingStorePrivate::blitContents):

2012-01-06  Benjamin Poulain  <bpoulain@apple.com>

        [Mac] Sort the resources of WebKit.xcodeproj
        https://bugs.webkit.org/show_bug.cgi?id=75634

        Reviewed by Andreas Kling.

        * WebKit.xcodeproj/project.pbxproj:

2012-01-06  Jacky Jiang  <zhajiang@rim.com>

        [BlackBerry] Upstream BlackBerry WebCoreSupport cache client
        https://bugs.webkit.org/show_bug.cgi?id=75649

        Reviewed by Antonio Gomes.

        Initial upstream, no new tests.

        * blackberry/WebCoreSupport/CacheClientBlackBerry.cpp: Added.
        * blackberry/WebCoreSupport/CacheClientBlackBerry.h: Added.

2012-01-03  Jon Lee  <jonlee@apple.com>

        Leak of WebNotificationClient when page is destroyed
        https://bugs.webkit.org/show_bug.cgi?id=74980
        <rdar://problem/10611231>

        Reviewed by Mark Rowe.

        * blackberry/WebCoreSupport/NotificationPresenterImpl.cpp:
        (WebKit::NotificationPresenterImpl::notificationControllerDestroyed): Empty implementation, because ownership
        model differs.
        * blackberry/WebCoreSupport/NotificationPresenterImpl.h:

2011-12-15  Jacky Jiang  <zhajiang@rim.com>

        [BlackBerry] Upstream BlackBerry WebCoreSupport drag client and context menu client
        https://bugs.webkit.org/show_bug.cgi?id=74643

        Reviewed by Rob Buis.

        Initial upstream, no new tests.

        * blackberry/WebCoreSupport/ContextMenuClientBlackBerry.cpp: Added.
        * blackberry/WebCoreSupport/ContextMenuClientBlackBerry.h: Added.
        * blackberry/WebCoreSupport/DragClientBlackBerry.cpp: Added.
        * blackberry/WebCoreSupport/DragClientBlackBerry.h: Added.

2011-12-15  Jacky Jiang  <zhajiang@rim.com>

        [BlackBerry] Regression: lots of checkerboarding
        https://bugs.webkit.org/show_bug.cgi?id=74611

        Reviewed by Daniel Bates.

        Fix a regression caused by r102843 which introduced a lot of unnecessary
        checkerboarding. R102843 changed behavior by removing a check for blit
        based on whether the render actually took place and whether the
        backingstore was in the midst of suspended updates.
        The initial anthor is Adam Treat <atreat@rim.com>.

        * blackberry/Api/BackingStore.cpp:
        (BlackBerry::WebKit::BackingStorePrivate::repaint):
        (BlackBerry::WebKit::BackingStorePrivate::slowScroll):
        (BlackBerry::WebKit::BackingStorePrivate::renderVisibleContents):
        (BlackBerry::WebKit::BackingStorePrivate::renderBackingStore):
        * blackberry/Api/BackingStore_p.h:
        (BlackBerry::WebKit::BackingStorePrivate::isSuspended):

2011-12-15  Adam Treat  <atreat@rim.com>

        Reviewed by Rob Buis.

        https://bugs.webkit.org/show_bug.cgi?id=74609
        PR 122703

        For certain configurations of webpage content and zoom level we were
        failing to produce a valid backingstore matrix by being to strict on
        whether a given matrix fits the preferred matrix orientation.
        This patch fixes this by insisting on storing a candidate divisor
        whether or not it agrees with the preferred matrix orientation and then
        comparing all subsequent divisors.

        * blackberry/Api/BackingStore.cpp:
        (BlackBerry::WebKit::divisorIsPerfectWidth):
        (BlackBerry::WebKit::divisorIsPerfectHeight):
        (BlackBerry::WebKit::divisorIsPreferredDirection):
        (BlackBerry::WebKit::bestDivisor):

2011-12-14  Jacky Jiang  <zhajiang@rim.com>

        [BlackBerry] Refactor code and add some debug messages in backing store
        https://bugs.webkit.org/show_bug.cgi?id=74539

        Reviewed by Antonio Gomes.

        Refactor and get rid of the confusing and unnecessary
        'renderContentOnly' flag from the family of render methods in the
        backing store.
        Remove the overload of the render method that takes a list of rects from
        the backing store since it is just a for loop and only one place calls it.
        Add a debug message to illustrate when we start showing checkerboard and
        when we stop.
        Fix the debug messages in the DEBUG_BACKINGSTORE so that they actually compile
        and add a new message for debugging WebCore invalidation requests.
        The original author is Adam Treat <atreat@rim.com>

        * blackberry/Api/BackingStore.cpp:
        (BlackBerry::WebKit::BackingStorePrivate::resumeScreenAndBackingStoreUpdates):
        (BlackBerry::WebKit::BackingStorePrivate::repaint):
        (BlackBerry::WebKit::BackingStorePrivate::slowScroll):
        (BlackBerry::WebKit::BackingStorePrivate::renderDirectToWindow):
        (BlackBerry::WebKit::BackingStorePrivate::render):
        (BlackBerry::WebKit::BackingStorePrivate::renderVisibleContents):
        (BlackBerry::WebKit::BackingStorePrivate::renderBackingStore):
        (BlackBerry::WebKit::BackingStorePrivate::blitVisibleContents):
        (BlackBerry::WebKit::BackingStorePrivate::blitContents):
        (BlackBerry::WebKit::BackingStorePrivate::updateTile):
        (BlackBerry::WebKit::BackingStorePrivate::invalidateWindow):
        * blackberry/Api/BackingStore_p.h:

2011-12-14  Robin Qiu  <robin.qiu@torchmobile.com.cn>

        [BlackBerry] Add notification support for the BlackBerry port
        https://bugs.webkit.org/show_bug.cgi?id=73194

        Reviewed by Nikolas Zimmermann.

        Contributed by Torch team, the main contributor is Robin Qiu
        <robin.qiu@torchmobile.com.cn>.

        Initial upstream, no new tests.

        * blackberry/WebCoreSupport/NotificationPresenterImpl.cpp: Added.
        (WebKit::NotificationPresenterImpl::instance):
        (WebKit::NotificationPresenterImpl::NotificationPresenterImpl):
        (WebKit::NotificationPresenterImpl::~NotificationPresenterImpl):
        (WebKit::NotificationPresenterImpl::show):
        (WebKit::NotificationPresenterImpl::cancel):
        (WebKit::NotificationPresenterImpl::notificationObjectDestroyed):
        (WebKit::NotificationPresenterImpl::requestPermission):
        (WebKit::NotificationPresenterImpl::onPermission):
        (WebKit::NotificationPresenterImpl::cancelRequestsForPermission):
        (WebKit::NotificationPresenterImpl::checkPermission):
        (WebKit::NotificationPresenterImpl::notificationClicked):
        * blackberry/WebCoreSupport/NotificationPresenterImpl.h: Added.
        There is already a header file: Source/WebCore/notifications/NotificationPresenter.h.
        To avoid conflicting with the it, I name my header file to NotificationPresenterImpl.

2011-12-14  Jacky Jiang  <zhajiang@rim.com>

        [BlackBerry] Switch to libjpeg for decoding
        https://bugs.webkit.org/show_bug.cgi?id=74475

        Reviewed by Daniel Bates.

        Append libjpeg instead of libimg.

        * blackberry/CMakeListsBlackBerry.txt:

2011-12-14  Jacky Jiang  <zhajiang@rim.com>

        Upstream text codec and web string files of BlackBerry API
        https://bugs.webkit.org/show_bug.cgi?id=73586

        Reviewed by Daniel Bates.

        Initial upstream, no new tests.

        * blackberry/Api/WebKitTextCodec.cpp: Added.
        (BlackBerry::WebKit::isSameEncoding):
        (BlackBerry::WebKit::isASCIICompatibleEncoding):
        (BlackBerry::WebKit::transcode):
        (BlackBerry::WebKit::base64DecodePolicyForWebCore):
        (BlackBerry::WebKit::base64Decode):
        (BlackBerry::WebKit::base64Encode):
        (BlackBerry::WebKit::unescapeURL):
        (BlackBerry::WebKit::escapeURL):
        (BlackBerry::WebKit::getExtensionForMimeType):
        * blackberry/Api/WebKitTextCodec.h: Added.
        * blackberry/Api/WebString.cpp: Added.
        (BlackBerry::WebKit::WebString::WebString):
        (BlackBerry::WebKit::WebString::~WebString):
        (BlackBerry::WebKit::WebString::fromUtf8):
        (BlackBerry::WebKit::WebString::operator=):
        (BlackBerry::WebKit::WebString::utf8):
        (BlackBerry::WebKit::WebString::characters):
        (BlackBerry::WebKit::WebString::length):
        (BlackBerry::WebKit::WebString::isEmpty):
        (BlackBerry::WebKit::WebString::equal):
        (BlackBerry::WebKit::WebString::equalIgnoringCase):
        * blackberry/Api/WebString.h: Added.

2011-12-13  Arvid Nilsson  <anilsson@rim.com>

        [Blackberry] Fix a leak in BackingStore class

        Don't leak the blit generation condvar and mutex.

        https://bugs.webkit.org/show_bug.cgi?id=74444

        Reviewed by Antonio Gomes.

        * blackberry/Api/BackingStore.cpp:
        (BlackBerry::WebKit::BackingStorePrivate::~BackingStorePrivate):

2011-12-09  Jacky Jiang  <zhajiang@rim.com>

        Upstream BlackBerry API backing store files
        https://bugs.webkit.org/show_bug.cgi?id=73668

        Reviewed by Daniel Bates.

        Contributed by Torch team, the main contributor is Adam Treat
        <atreat@rim.com>.

        Initial upstream, no new tests.

        * blackberry/Api/BackingStore.cpp: Added.
        * blackberry/Api/BackingStore.h: Added.
        * blackberry/Api/BackingStore_p.h: Added.

2011-12-06  Leo Yang  <leo.yang@torchmobile.com.cn>

        Upstream about: feature in WebKit/blackberry/WebCoreSupport/
        https://bugs.webkit.org/show_bug.cgi?id=73612

        Reviewed by Antonio Gomes.

        * blackberry/CMakeListsBlackBerry.txt:
        * blackberry/WebCoreSupport/AboutData.cpp: Added.
        (WebCore::numberToHTMLTr):
        (WebCore::configPage):
        (WebCore::cacheTypeStatisticToHTMLTr):
        (WebCore::memoryPage):
        * blackberry/WebCoreSupport/AboutData.h: Added.
        * blackberry/WebCoreSupport/AboutDataEnableFeatures.in: Added.
        * blackberry/WebCoreSupport/AboutDataHaveFeatures.in: Added.
        * blackberry/WebCoreSupport/AboutDataUseFeatures.in: Added.
        * blackberry/WebCoreSupport/generateAboutDataFeatures.pl: Added.

2011-12-01  Ryuan Choi  <ryuan.choi@samsung.com>

        [EFL] Cleanup includes to reduce code complexity.
        https://bugs.webkit.org/show_bug.cgi?id=73540

        Reviewed by Gustavo Noronha Silva.

        * CMakeLists.txt: Add loader/appcache to WebKit_INCLUDE_DIRECTORIES.

2011-11-28  Jon Lee  <jonlee@apple.com>

        Create skeleton framework for notifications support in WK2
        https://bugs.webkit.org/show_bug.cgi?id=73253
        <rdar://problem/10356943>

        Reviewed by Sam Weinig.

        * WebKit.xcodeproj/project.pbxproj: Add WebNotificationClient class.

2011-11-26  Jonathan Dong  <jonathan.dong@torchmobile.com.cn>

        [CMake] Clean up Web Inspector target in Source/WebKit/blackberry/CMakeListsBlackBerry.txt
        https://bugs.webkit.org/show_bug.cgi?id=72784

        Reviewed by Nikolas Zimmermann.

        Abstracted the JavaScript file names from inspector/front-end/inspector.html
        to keep them in-sync with the changes of inspector.html.

        * blackberry/CMakeListsBlackBerry.txt:

2011-11-23  Raphael Kubo da Costa  <kubo@profusion.mobi>

        [CMake] Move the top-level logic to the top-level directory.
        https://bugs.webkit.org/show_bug.cgi?id=72685

        Reviewed by Brent Fulgham.

        * blackberry/CMakeListsBlackBerry.txt: Adjust the Source/ directory.

2011-11-20  Mark Rowe  <mrowe@apple.com>

        <http://webkit.org/b/72661> Switch to a more modern approach to retrieving the startup volume name

        Use the DiskArbitration framework to retrieve the name of the startup volume rather than using Carbon
        File Manager APIs.

        Reviewed by Dan Bernstein.

        * WebKit.xcodeproj/project.pbxproj: Link against DiskArbitration.framework. It lives in the shared cache
        so it should add only negligible launch time overhead.

2011-11-18  Daniel Bates  <dbates@rim.com>

        Add CMake build infrastructure for the BlackBerry port
        https://bugs.webkit.org/show_bug.cgi?id=72768

        Reviewed by Antonio Gomes.

        * blackberry: Added.
        * blackberry/CMakeListsBlackBerry.txt: Added.

2011-11-18  Patrick Gansterer  <paroga@webkit.org>

        [CMake] Add possibility to overwrite WEBKIT_PORT_DIR in platform specific files
        https://bugs.webkit.org/show_bug.cgi?id=72710

        Reviewed by Brent Fulgham.

        * CMakeLists.txt:

2011-11-17  Simon Hausmann  <simon.hausmann@nokia.com>

        [Qt] Layer violation: qt_runtime.cpp accesses QWebElement and QTDRTNode
        https://bugs.webkit.org/show_bug.cgi?id=72595

        Reviewed by Noam Rosenthal.

        * WebKit.pri: Add qwebelement_p.h to HEADERS.

2011-11-11  Darin Adler  <darin@apple.com>

        * WebKit.xcodeproj/project.pbxproj: Let a newer Xcode update this file.
        If an older Xcode downgrades this file and we have a risk of some kind of
        oscillating commit situation, please contact me so I know not to do this again.

2011-11-08  Nikolas Zimmermann  <nzimmermann@rim.com>

        Switch SVGImage cache to store ImageBuffers instead of whole SVGImages, including a DOM/Render tree
        https://bugs.webkit.org/show_bug.cgi?id=71368

        Reviewed by Antti Koivisto.

        * CMakeLists.txt: Add svg/graphics include, for SVGImageCache.h.

2011-11-04  Tor Arne Vestbø  <tor.arne.vestbo@nokia.com>

        [Qt] Refactor and clean up the qmake build system

        The qmake build system has accumulated a bit of cruft and redundancy
        over time. There's also a fairly tight coupling between how to build
        the various targets, and _what_ to build, making it harder to add new
        rules or sources. This patch aims to elevate these issues somewhat.

        This is a short-list of the changes:

          * The rules for how to build targets are now mostly contained as
            prf-files in Tools/qmake/mkspecs/features. Using mkspecs also
            allows us to do pre- and post-processing of each project file,
            which helps to clean up the actual project files.

          * Derived sources are no longer generated as a separate make-step
            but is part of each target's project file as a subdir. Makefile
            rules are used to ensure that we run make on the derived sources
            before running qmake on the actual target makefile. This makes
            it easier to keep a proper dependency between derived sources
            and the target.

          * We use GNU make and the compiler to generate dependencies on
            UNIX-based systems running Qt 5. This allows us to lessen the
            need to run qmake, which should reduce compile time.

          * WebKit2 is now build by default if building with Qt 5. It can
            be disabled by passing --no-webkit2 to build-webkit.

        The result of these changes are hopefully a cleaner and easier
        build system to modify, and faster build times due to no longer
        running qmake on every single build. It's also a first step
        towards possibly generating the list of sources using another
        build system.

        https://bugs.webkit.org/show_bug.cgi?id=71222

        Reviewed by Simon Hausmann.

        * WebKit.pri: Added.

2011-10-10  Joseph Pecoraro  <joepeck@webkit.org>

        Extract WebOpenPanelResultListener out into its own file
        https://bugs.webkit.org/show_bug.cgi?id=69575

        Reviewed by David Kilzer.

        * WebKit.xcodeproj/project.pbxproj:

2011-10-06  Anders Carlsson  <andersca@apple.com>

        When building with clang, enable -Wglobal-constructors and -Wexit-time-destructors
        https://bugs.webkit.org/show_bug.cgi?id=69586

        Reviewed by Darin Adler.

        * WebKit.xcodeproj/project.pbxproj:
        When building with clang, we don't need to run the check-for-global-initializers and
        check-for-exit-time-destructors anymore.

2011-09-27  Andy Estes  <aestes@apple.com>

        WebKitLinkedOnOrAfter() check is ineffective for Solar Walk app-specific hack.
        https://bugs.webkit.org/show_bug.cgi?id=68863

        Reviewed by Darin Adler.

        The SolarWalk binary does not link against WebKit.framework directly,
        so calling NSVersionOfLinkTimeLibrary() will not return the version of
        WebKit against which SolarWalk was linked. Since Solar Walk has
        released an update that addresses the issue for which this app-specific
        hack was originally added, we should just remove the hack.

        * WebKit.xcodeproj/project.pbxproj: Remove SolarWalkQuirksUserScript.js.

2011-09-25  Adam Barth  <abarth@webkit.org>

        Remove PLATFORM(HAIKU) and associated code
        https://bugs.webkit.org/show_bug.cgi?id=68774

        Reviewed by Sam Weinig.

        * haiku: Removed.
        * haiku/WebCoreSupport: Removed.
        * haiku/WebCoreSupport/ChromeClientHaiku.cpp: Removed.
        * haiku/WebCoreSupport/ChromeClientHaiku.h: Removed.
        * haiku/WebCoreSupport/ContextMenuClientHaiku.cpp: Removed.
        * haiku/WebCoreSupport/ContextMenuClientHaiku.h: Removed.
        * haiku/WebCoreSupport/DragClientHaiku.cpp: Removed.
        * haiku/WebCoreSupport/DragClientHaiku.h: Removed.
        * haiku/WebCoreSupport/EditorClientHaiku.cpp: Removed.
        * haiku/WebCoreSupport/EditorClientHaiku.h: Removed.
        * haiku/WebCoreSupport/FrameLoaderClientHaiku.cpp: Removed.
        * haiku/WebCoreSupport/FrameLoaderClientHaiku.h: Removed.
        * haiku/WebCoreSupport/InspectorClientHaiku.cpp: Removed.
        * haiku/WebCoreSupport/InspectorClientHaiku.h: Removed.

2011-09-23  Anders Carlsson  <andersca@apple.com>

        Axe WebImageRendererFactory
        https://bugs.webkit.org/show_bug.cgi?id=68715

        Reviewed by Darin Adler.

        Remove WebImageRendererFactory.m from the Xcode project.

        * WebKit.xcodeproj/project.pbxproj:

2011-09-23  Anders Carlsson  <andersca@apple.com>

        Add OVERRIDE to a bunch of virtual member functions on clients
        https://bugs.webkit.org/show_bug.cgi?id=68712

        Reviewed by Sam Weinig.

        * WebKit.xcodeproj/project.pbxproj:

2011-09-21  Dan Bernstein  <mitz@apple.com>

        WebKit part of: Prevent the WebKit frameworks from defining inappropriately-named Objective-C classes
        https://bugs.webkit.org/show_bug.cgi?id=68451

        Reviewed by Darin Adler.

        * WebKit.xcodeproj/project.pbxproj: Added a script build phase that invokes
        check-for-inappropriate-objc-class-names, allowing only class names prefixed with "Web" or "_Web".

2011-09-19  Anders Carlsson  <andersca@apple.com>

        Remove WebViewEventHandling.mm
        https://bugs.webkit.org/show_bug.cgi?id=68387

        Reviewed by Adam Roben.

        Remove WebViewEventHandling.mm from the Xcode project.

        * WebKit.xcodeproj/project.pbxproj:

2011-09-19  Dan Bernstein  <mitz@apple.com>

        WebKit part of [mac] WebKit contains Objective-C classes that are not prefixed with its standard prefixes
        https://bugs.webkit.org/show_bug.cgi?id=68323

        Reviewed by Sam Weinig.

        Updated for the renaming of NonBlockingPanel to WebNonBlockingPanel.

        * English.lproj/WebJavaScriptTextInputPanel.nib/classes.nib: Removed.
        * English.lproj/WebJavaScriptTextInputPanel.nib/designable.nib: Added.
        * English.lproj/WebJavaScriptTextInputPanel.nib/info.nib: Removed.
        * English.lproj/WebJavaScriptTextInputPanel.nib/keyedobjects.nib:

2011-09-16  Filip Pizlo  <fpizlo@apple.com>

        DFG JIT should inline Math.abs
        https://bugs.webkit.org/show_bug.cgi?id=68227

        Reviewed by Oliver Hunt.

        Added JavaScriptCore/dfg to include path path.

        * CMakeLists.txt:

2011-09-14  Anders Carlsson  <andersca@apple.com>

        Get rid of WebCoreViewFactory and its WebViewFactory subclass
        https://bugs.webkit.org/show_bug.cgi?id=68124

        Reviewed by Sam Weinig.

        * WebKit.xcodeproj/project.pbxproj:

2011-08-23  Jonas M. Gastal <jgastal@profusion.mobi>

        Reviewed by Antonio Gomes.

        [EFL] Exporting JavaScript objects for EFL port
        https://bugs.webkit.org/show_bug.cgi?id=43446

        This patch allows to export objects to JavaScript API,
        just like qt does, but it uses the netscape api
        to do the convertion to javascript object.

        * CMakeLists.txt:
        Adding necessary files for the patch.

2011-08-05  Anders Carlsson  <andersca@apple.com>

        Remove PluginHalter
        https://bugs.webkit.org/show_bug.cgi?id=65729

        Reviewed by Darin Adler.

        Remove deleted files from Xcode project.

        * WebKit.xcodeproj/project.pbxproj:

2011-07-28  Tony Chang  <tony@chromium.org>

        Add sql to svn:ignore and remove app.

        * chromium: Modified property svn:ignore.

2011-07-08  David Reveman  <reveman@chromium.org>

        Reviewed by Stephen White.

        [Chromium] Edge anti-aliasing for composited layers.
        https://bugs.webkit.org/show_bug.cgi?id=61388

        Track changes to TilingData class which now uses an outer border.

        * chromium/tests/TilingDataTest.cpp:

2011-06-30  Leandro Pereira  <leandro@profusion.mobi>

        Reviewed by Simon Hausmann.

        generate-webkitversion.pl should not "use Switch"
        https://bugs.webkit.org/show_bug.cgi?id=63628

        Switch got deprecated on recent Perl versions and the script wasn't
        using the switch statement.
        
        * scripts/generate-webkitversion.pl: Remove "use Switch;" line.

2011-06-01  Jer Noble  <jer.noble@apple.com>

        Reviewed by Eric Carlson.

        Move Full Screen Controllers into WebCore.

        Remove dependency on QTKit from wekitExitFullscreen()
        https://bugs.webkit.org/show_bug.cgi?id=61843

        WebVideoFullscreenController, WebVideoFullscreenHUDController, and WebWindowAnimation
        have been moved into WebCore.

        * WebKit.xcodeproj/project.pbxproj:

2011-06-15  David Kilzer  <ddkilzer@apple.com>

        <http://webkit.org/b/62745> Convert WebNSFileManagerExtras.m to Objective-C++

        Reviewed by Joseph Pecoraro.

        * WebKit.xcodeproj/project.pbxproj:
        (WebNSFileManagerExtras.m): Rename to WebNSFileManagerExtras.mm
        and change file type to Objective-C++.

2011-06-02  Adam Barth  <abarth@webkit.org>

        Reviewed by Ryosuke Niwa.

        Update svn:ignore property on Source/WebKit/chromium
        https://bugs.webkit.org/show_bug.cgi?id=61952

        Add some more generated files and directories mapped in using DEPS to svn:ignore.

        * chromium: Modified property svn:ignore.

2011-05-20  Andy Estes  <aestes@apple.com>

        Reviewed by Darin Adler.

        WebView loses firstResponder status when entering full-screen mode.
        https://bugs.webkit.org/show_bug.cgi?id=61153

        * WebKit.xcodeproj/project.pbxproj: Export WebNSWindowExtras.h as a
        private header so that WebKit2 can include it.

2011-05-16  Dan Bernstein  <mitz@apple.com>

        No need to compile .js files, that is what the JIT is for.

        * WebKit.xcodeproj/project.pbxproj:

2011-05-12  Adele Peterson  <adele@apple.com>

        Reviewed by Darin Adler and Adam Barth.

        Fix for <rdar://problem/9253454> Solar Walk For Mac: Info window is blank (HTML5 parser)
        https://bugs.webkit.org/show_bug.cgi?id=60685

        * WebKit.xcodeproj/project.pbxproj: Added Misc/SolarWalkQuirksUserScript.js and copy it to Resources during the build phase. 

2011-04-18  Timothy Hatcher  <timothy@apple.com>

        Make update-webkit-localizable-strings put WebKit/win strings in WebCore
        now that all localized strings in WebKit/win use WEB_UI_STRING.

        https://webkit.org/b/58747

        Reviewed by Dan Bernstein.

        * English.lproj/Localizable.strings: Removed.

2011-04-17  Joseph Pecoraro  <joepeck@webkit.org>

        Reviewed by Timothy Hatcher.

        Move WebNodeHighlighter into its own file
        https://bugs.webkit.org/show_bug.cgi?id=58746

        * WebKit.xcodeproj/project.pbxproj: Add WebNodeHighlighter.{h,mm}.

2011-04-13  Ryuan Choi  <ryuan.choi@samsung.com>

        Reviewed by Kenneth Rohde Christiansen.

        [CMAKE] Separate DerivedSources.
        https://bugs.webkit.org/show_bug.cgi?id=58427

        * CMakeLists.txt: Change DERIVED_SOURCES_DIR to DERIVED_SOURCES_WEBCORE_DIR

2011-04-11  Alexis Menard  <alexis.menard@openbossa.org>

        Unreviewed build fix for Mac.

        * WebKit.xcodeproj/project.pbxproj:

2011-04-11  Anna Cavender  <annacc@chromium.org>

        Reviewed by Eric Carlson.

        Setup ENABLE(TRACK) feature define + initial HTMLTrackElement
        https://bugs.webkit.org/show_bug.cgi?id=53556

        * WebKit.xcodeproj/project.pbxproj:

2011-04-08  Geoffrey Garen  <ggaren@apple.com>

        Reviewed by Oliver Hunt.

        A few heap-related renames and file moves.
        
        WeakGCPtr<T> => Weak<T>
        Global<T> => Strong<T>
        collector/ => heap/
        collector/* => heap/*
        runtime/WeakGCPtr.h => heap/Weak.h
        
        (Eventually, even more files should move into the heap directory. Like
        Heap.h and Heap.cpp, for example.)

        * CMakeLists.txt:

2011-04-08  Dan Bernstein  <mitz@apple.com>

        No need to compile .js files, that is what the JIT is for.

        * WebKit.xcodeproj/project.pbxproj:

2011-04-08  Alpha Lam  <hclam@chromium.org>

        Unreviewed, rolling out r83335.
        http://trac.webkit.org/changeset/83335
        https://bugs.webkit.org/show_bug.cgi?id=53556

        GTK and QT bots are broken

        * WebKit.xcodeproj/project.pbxproj:

2011-04-07  Anna Cavender  <annacc@chromium.org>

        Reviewed by Eric Carlson.

        Setup ENABLE(TRACK) feature define + initial HTMLTrackElement
        https://bugs.webkit.org/show_bug.cgi?id=53556

        * WebKit.xcodeproj/project.pbxproj:

2011-04-07  Andrew Scherkus  <scherkus@chromium.org>

        Revert ENABLE_TRACK patch due to compile failures.

        * WebKit.xcodeproj/project.pbxproj:

2011-04-07  Andy Estes  <aestes@apple.com>

        Reviewed by Darin Adler.

        REGRESSION (r64712): Microsoft Outlook 2011: original message contents
        not included when replying to an email.
        https://bugs.webkit.org/show_bug.cgi?id=57794

        * WebKit.xcodeproj/project.pbxproj:

2011-04-05  Alexey Proskuryakov  <ap@apple.com>

        Reviewed by Darin Adler.

        Move attributedStringFromRange down to WebCore
        https://bugs.webkit.org/show_bug.cgi?id=57905

        * WebKit.xcodeproj/project.pbxproj: Removed WebNSAttributedStringExtras, which is now in WebCore.

2011-03-29  Timothy Hatcher  <timothy@apple.com>

        Update WebKit Localizable.strings to only contain WebKit/win strings.

        https://webkit.org/b/57354

        Reviewed by Sam Weinig.

        * English.lproj/Localizable.strings: Updated.

2011-03-23  Jia Pu  <jpu@apple.com>

        Reviewed by Darin Adler.

        Hook up new AppKit autocorrection UI with WK2.
        https://bugs.webkit.org/show_bug.cgi?id=56055
        <rdar://problem/8947463>

        Please see WebCore/ChangeLog for detail.

        * WebKit.xcodeproj/project.pbxproj:

2011-03-17  Jeff Miller  <jeffm@apple.com>

        Use a consistent set of file patterns in the svn:ignore property for all .xcodeproj directories, specifically:
        
        *.mode*
        *.pbxuser
        *.perspective*
        project.xcworkspace
        xcuserdata

        * WebKit.xcodeproj: Modified property svn:ignore.

2011-03-15  Alexey Proskuryakov  <ap@apple.com>

        Reviewed by Darin Adler.

        REGRESSION (WebKit2): keygen element doesn't work
        https://bugs.webkit.org/show_bug.cgi?id=56402
        <rdar://problem/9006545>

        * WebKit.xcodeproj/project.pbxproj: Renamed WebKeyGenerator.m to use Objective C++.

2011-03-11  Anton D'Auria  <adauria@apple.com>

        Reviewed and landed by Brady Eidson.

        Add WebKit1 API to view and delete local storage
        https://bugs.webkit.org/show_bug.cgi?id=51878

        * WebKit.xcodeproj/project.pbxproj:

2011-03-02  Sam Weinig  <sam@webkit.org>

        Reviewed by Anders Carlsson.

        Fix remaining localization issues by piping all localized strings through WebCore's
        localization bottleneck.
        <rdar://problem/8728860>

        * WebKit.xcodeproj/project.pbxproj:

2011-03-01  Sam Weinig  <sam@webkit.org>

        Reviewed by Timothy Hatcher.

        WebKit2 needs to be made localizable
        https://bugs.webkit.org/show_bug.cgi?id=55483

        * StringsNotToBeLocalized.txt: Removed.
        * WebKit.xcodeproj/project.pbxproj:
        Copied Localizable.strings to WebCore, it can't be removed entirely
        yet since Windows is still using it.

2011-02-24  Peter Kasting  <pkasting@google.com>

        Reviewed by Eric Seidel.

        Drop the "U; " encryption level from the User Agent string.
        https://bugs.webkit.org/show_bug.cgi?id=54566

        * StringsNotToBeLocalized.txt:

2011-02-22  Laszlo Gombos  <laszlo.1.gombos@nokia.com>

        Reviewed by Alexey Proskuryakov.

        Drop the language tag part from the User Agent string
        https://bugs.webkit.org/show_bug.cgi?id=54560

        * StringsNotToBeLocalized.txt: Change the User Agent string
        template.

2011-02-18  Patrick Gansterer  <paroga@webkit.org>

        Unreviewed build fix after r78634 and r78786.

        * CMakeLists.txt:

2011-02-16  Luiz Agostini  <luiz.agostini@openbossa.org>

        Reviewed by Adam Roben.

        HTML5 <details> and <summary>: localized text
        https://bugs.webkit.org/show_bug.cgi?id=54260

        Default details summary text must be localizable.

        * English.lproj/Localizable.strings:

2011-02-06  Patrick Gansterer  <paroga@webkit.org>

        Reviewed by Andreas Kling.

        [CMake] Add dependencies for Visual Studio projects
        https://bugs.webkit.org/show_bug.cgi?id=53773

        Add a WebCore dependecy to WebKit, so CMake can 
        generate the correct build order for the solution.

        Remove JavaScriptCore dependecy, since WebCore already depends on it.

        * CMakeLists.txt:

2011-01-23  Mark Rowe  <mrowe@apple.com>

        Follow-up to r76477.

        Fix the scripts that detect problematic code such as static initializers
        and destructors, weak vtables, inappropriate files in the framework wrappers,
        and public headers including private headers. These had all been broken
        since the projects were moved in to the Source directory as the paths to the
        scripts were not updated at that time.

        * WebKit.xcodeproj/project.pbxproj:

2011-01-20  Zoltan Horvath  <zoltan@webkit.org>

        Reviewed by Csaba Osztrogonác.

        Refactoring of the custom allocation framework
        https://bugs.webkit.org/show_bug.cgi?id=49897

        Inheriting from FastAllocBase can result in objects getting larger (bug #33896, #46589).
        The modification replaces Noncopyable and FastAllocBase classes and these inherits with their
        equivalent macro implementation at the necessary places.

2011-01-17  Dan Bernstein  <mitz@apple.com>

        Rubber-stamped by Mark Rowe.

        Update xcodeproj svn:ignore to include xcuserdata.

        * WebKit.xcodeproj: Modified property svn:ignore.

2011-01-17  Brady Eidson  <beidson@apple.com>

        Rubberstamped by Adam Roben.

        Fix up the `make` build on Macs

        * Makefile: Point to the correct Makefile.shared

2011-01-16  Adam Barth  <abarth@webkit.org>

        Rubber-stamped by Eric Seidel.

        Move WebKit into Source
        https://bugs.webkit.org/show_bug.cgi?id=52530

        * Makefile:
        * scripts/generate-webkitversion.pl:

2011-01-07  Enrica Casucci  <enrica@apple.com>

        Reviewed by Alexey Proskuryakov.

        Paste and drag and drop use different code paths to interact with the pasteboard.
        https://bugs.webkit.org/show_bug.cgi?id=52093
        The change consists in a refactoring of the code to have only one class that
        deals with the pasteboard on Mac.

        * WebKit.xcodeproj/project.pbxproj: Removed WebPasteboardHelper.mm and WebPasteboardHelper.h.

2010-12-31  Adam Barth  <abarth@webkit.org>

        Update SVN ignore property to hide two more external dependencies.

        * chromium: Modified property svn:ignore.

2010-12-22  Dan Bernstein  <mitz@apple.com>

        Rubber-stamped by Mark Rowe.

        Changed WebKitTools to Tools in script build phases.

        * WebKit.xcodeproj/project.pbxproj:

2010-12-14  Lucas De Marchi  <lucas.demarchi@profusion.mobi>

        Reviewed by Eric Seidel.

        [EFL] Add linker script to export less symbols
        https://bugs.webkit.org/show_bug.cgi?id=44609

        Filter the exported symbols by using a linker script. Only symbols
        starting with "ewk_" are exported.

        * CMakeLists.txt: Add link flags to webkit library when there's a
        version script.

2010-12-07  Simon Fraser  <simon.fraser@apple.com>

        Update Xcode project for newer Xcode.

        * WebKit.xcodeproj/project.pbxproj:

2010-11-18  Darin Adler  <darin@apple.com>

        * StringsNotToBeLocalized.txt: Updated for recent changes.

2010-11-16  Patrick Gansterer  <paroga@webkit.org>

        Reviewed by Andreas Kling.

        [CMake] Remove platform dependent include directories
        https://bugs.webkit.org/show_bug.cgi?id=49553

        * CMakeLists.txt:

2010-11-12  John Knottenbelt  <jknotten@chromium.org>

        Reviewed by Steve Block.

        Rename GeolocationControllerClient to GeolocationClient.
        https://bugs.webkit.org/show_bug.cgi?id=49259

        * WebKit.xcodeproj/project.pbxproj:

2010-11-08  Leandro Pereira  <leandro@profusion.mobi>

        [EFL] Unreviewed. Build fix after r71496.

        * CMakeLists.txt: Add WebCore/loader/cache directory to WebKit's
        include directories list.

2010-11-04  Mike Thole  <mthole@apple.com>

        Reviewed by Dan Bernstein.

        Title for images should use localized numerals
        https://bugs.webkit.org/show_bug.cgi?id=49017

        * English.lproj/Localizable.strings: Updated.

2010-10-28  Mark Rowe  <mrowe@apple.com>

        Stop allowing deprecated methods to be used in NetscapePluginHostProxy.mm now
        that deprecated methods are no longer used.

        * WebKit.xcodeproj/project.pbxproj:

2010-10-26  Dan Bernstein  <mitz@apple.com>

        Build fix.

        * WebKit.xcodeproj/project.pbxproj: Allow deprecated methods to be used in NetscapePluginHostProxy.mm.

2010-10-23  David Kilzer  <ddkilzer@apple.com>

        <http://webkit.org/b/48186> Remove unneeded WebHTMLRepresentationInternal.h header

        Reviewed by Sam Weinig.

        The only method defined in WebHTMLRepresentationInternal.h is
        also defined in WebHTMLRepresentation.h, so use that instead.

        * WebKit.xcodeproj/project.pbxproj: Removed references to
        WebHTMLRepresentationInternal.h.

2010-10-21  David Kilzer  <ddkilzer@apple.com>

        <http://webkit.org/b/48047> Fix warnings found by check-Xcode-source-file-types

        Reviewed by Adam Roben.

        Fixes the following warning:

            WARNING: Incorrect file type 'sourcecode.cpp.objcpp' for file 'WebStringTruncator.h'.
            1 issues found for WebKit/WebKit.xcodeproj/project.pbxproj.

        * WebKit.xcodeproj/project.pbxproj: Removed explicit file type
        for WebStringTruncator.h to make it match other header files.

2010-10-20  Nikolas Zimmermann  <nzimmermann@rim.com>

        Not reviewed.

        Fix efl build, add missing svg/properties include directory.

        * CMakeLists.txt:

2010-10-18  Alexey Proskuryakov  <ap@apple.com>

        Reviewed by David Kilzer.

        https://bugs.webkit.org/show_bug.cgi?id=47864
        Convert WebNSUserDefaultsExtras.m to .mm

        * WebKit.xcodeproj/project.pbxproj: Renamed WebNSUserDefaultsExtras.m.

2010-10-12  Eric Seidel  <eric@webkit.org>

        Reviewed by Darin Adler.

        REGRESSION (new parser): Leopard/Tiger Mail <head>/<body> quirk is gone
        https://bugs.webkit.org/show_bug.cgi?id=45693

        * WebKit.xcodeproj/project.pbxproj:
         - Add the MailQuirksUserScript.js to the project.

2010-10-11  Anders Carlsson  <andersca@apple.com>

        Reviewed by Darin Adler.

        Remove WebIconFetcher from WebKit and IconFetcher from WebCore
        https://bugs.webkit.org/show_bug.cgi?id=47523

        Remove all traces of the WebKit WebIconFetcher class. It's SPI that nobody uses.

        * WebKit.xcodeproj/project.pbxproj:

2010-10-07  Jessie Berlin  <jberlin@apple.com>

        Reviewed by Sam Weinig.

        Add Private API for creating a WebKit1 WebSerializedJSValue from the internal
        representation of a WebKit2 WebSerializedScriptValue.
        https://bugs.webkit.org/show_bug.cgi?id=47390

        * WebKit.xcodeproj/project.pbxproj:
        Add WebSerializedJSValuePrivate.h.

2010-10-05  John Abd-El-Malek  <jam@chromium.org>

        Reviewed by Darin Fisher.

        [chromium] Get the link from a plugin when creating a context menu
        https://bugs.webkit.org/show_bug.cgi?id=47130

        * chromium/public/WebPlugin.h:
        (WebKit::WebPlugin::linkAtPosition):
        * chromium/public/WebView.h:
        * chromium/src/ChromeClientImpl.cpp:
        (WebKit::ChromeClientImpl::mouseDidMoveOverElement):
        * chromium/src/ContextMenuClientImpl.cpp:
        (WebKit::ContextMenuClientImpl::getCustomMenuFromDefaultItems):

2010-09-22  Lucas De Marchi  <lucas.demarchi@profusion.mobi>

        Unreviewed, EFL build fix.

        * CMakeLists.txt:

2010-09-20  Philippe Normand  <pnormand@igalia.com>

        Reviewed by Eric Carlson.

        [GTK] enhanced context menu for media elements
        https://bugs.webkit.org/show_bug.cgi?id=45021

        Updated localizable strings.

        * English.lproj/Localizable.strings:

2010-09-17  David Kilzer  <ddkilzer@apple.com>

        <http://webkit.org/b/45989> Add WebArchiveInternal.h to Xcode project

        Reviewed by Joseph Pecoraro.

        * WebKit.xcodeproj/project.pbxproj: Added missing
        WebArchiveInternal.h header file to the project.  It has been
        missing since r31281!

2010-09-16  Dan Bernstein  <mitz@apple.com>

        Reverted the previous change because r67628 has been reverted.

        * English.lproj/Localizable.strings:

2010-09-16  Dan Bernstein  <mitz@apple.com>

        Updated localizable strings.

        * English.lproj/Localizable.strings:

2010-09-10  Darin Adler  <darin@apple.com>

        Reviewed by Sam Weinig.

        Move some Dashboard stuff from WebCore to WebKit along with a bit more FrameMac cleanup
        https://bugs.webkit.org/show_bug.cgi?id=45582

        * WebKit.xcodeproj/project.pbxproj: Added WebDashboardRegion.h/mm and
        also gave the header private visibility so it will get installed in the
        PrivateHeaders directory.

2010-09-02  Steve Block  <steveblock@google.com>

        Reviewed by Adam Barth.

        Hook up LayoutTestController.setMockDeviceOrientation() on Mac.
        https://bugs.webkit.org/show_bug.cgi?id=43181

        * WebKit.xcodeproj/project.pbxproj:

2010-08-30  Andy Estes  <aestes@apple.com>

        Reviewed by Darin Adler.

        Add 'application/x-snkp' to StringsNotToBeLocalized.txt.

        * StringsNotToBeLocalized.txt:

2010-08-20  Lucas De Marchi  <lucas.demarchi@profusion.mobi>

        Unreviewed build fix.

        As opposed to WebCore, JavascriptCore and wtf, webkit is always a
        shared library. After r65366, libewebkit.so was not being installed
        anymore when building with SHARED_CORE=0 (which is the default). This
        partially reverts that revision in order to fix this issue.

        * CMakeLists.txt: always install webkit library.

2010-08-17  Jesus Sanchez-Palencia  <jesus.palencia@openbossa.org>

        Reviewed by Darin Adler.

        Add NetworkingContext to avoid layer violations
        https://bugs.webkit.org/show_bug.cgi?id=42292

        Preparation: Just add the files to the build system.

        * WebKit.xcodeproj/project.pbxproj: Added new files.

2010-08-17  Brady Eidson  <beidson@apple.com>

        Reviewed by Sam Weinig.

        Remove developmentRegion from the project file as it shouldn't have been checked in.

        * WebKit.xcodeproj/project.pbxproj:

2010-08-16  Leandro Pereira  <leandro@profusion.mobi>

        [EFL] Build fix after r65366.

        * CMakeLists.txt: Use if (VAR) instead of if (${VAR}) to check if
        they're empty.

2010-08-14  Joseph Pecoraro  <joepeck@webkit.org>

        Reviewed by Pavel Feldman.

        Web Inspector: -[WebInspector attach] and detach should work
        https://bugs.webkit.org/show_bug.cgi?id=43924

        * WebKit.xcodeproj/project.pbxproj: Added WebInspectorFrontend.{h,mm}.

2010-08-14  Patrick Gansterer  <paroga@paroga.com>

        Reviewed by Kenneth Rohde Christiansen.

        [CMake] Set target properties only if available
        https://bugs.webkit.org/show_bug.cgi?id=43978

        * CMakeLists.txt:

2010-08-13  Gavin Barraclough  <barraclough@apple.com>

        Rubber stamped by Sam Weinig.
        Switch String::/UString::ascii() to return a CString.

        * WebKit.xcodeproj/project.pbxproj:

2010-08-06  Gavin Barraclough  <barraclough@apple.com>

        Rubber stamped by Sam Weinig

        Bug 43594 - Add string forwards to Forward.h
        This allows us to remove forward declarations for these classes from
        WebCore/WebKit (a step in moving these class from WebCore:: to WTF::).

        * WebKit.xcodeproj/project.pbxproj:

2010-08-06  Jessie Berlin  <jberlin@apple.com>

        Roll out http://trac.webkit.org/changeset/64801, which broke the Safari Windows Build.
        Unreviewed.

        * WebKit.xcodeproj/project.pbxproj:

2010-08-03  Joseph Pecoraro  <joepeck@webkit.org>

        Reviewed by David Kilzer.

        Limit ApplicationCache Total and Per-Origin Storage Capacity (Quotas)
        https://bugs.webkit.org/show_bug.cgi?id=40627

        Part 5 - Refactor Quota Management in WebSecurityOrigin into Managers

        * WebKit.xcodeproj/project.pbxproj: Add new Quota Managers, remove old SecurityOrigin subclasses.

2010-07-31  David Kilzer  <ddkilzer@apple.com>

        <http://webkit.org/b/43307> Make sure all private headers are copied to PrivateHeaders directory

        Reviewed by Dan Bernstein.

        This also fixes compilation of DumpRenderTree after changes for
        Bug 40627.

        * WebKit.xcodeproj/project.pbxproj: Set the PRIVATE attribute on
        the following headers:
        - WebFormDelegatePrivate.h
        - WebKitStatisticsPrivate.h
        - WebSecurityOriginPrivate.h

2010-07-30  Joseph Pecoraro  <joepeck@webkit.org>

        Reviewed by David Kilzer.

        Limit ApplicationCache Total and Per-Origin Storage Capacity (Quotas)
        https://bugs.webkit.org/show_bug.cgi?id=40627

        * WebKit.xcodeproj/project.pbxproj:
        * efl/WebCoreSupport/ChromeClientEfl.cpp:
        (WebCore::ChromeClientEfl::reachedApplicationCacheOriginQuota):
        * efl/WebCoreSupport/ChromeClientEfl.h:

2010-07-30  Rafael Antognolli  <antognolli@profusion.mobi>

        Reviewed by Antonio Gomes.

        [EFL] Add library version and soname to EFL generated libraries and binary.
        https://bugs.webkit.org/show_bug.cgi?id=43212

        Add version and soname to libewebkit.so.

        * CMakeLists.txt:

2010-07-26  Rafael Antognolli  <antognolli@profusion.mobi>

        Reviewed by Antonio Gomes.

        [EFL] Move CMakeListsEfl.txt to WebKit/efl/
        https://bugs.webkit.org/show_bug.cgi?id=43002

        This should reduce the noise in WebKit/ChangeLog that comes from EFL
        port. Most of the changes on EFL port should be logged in
        WebKit/efl/ChangeLog.

        * CMakeLists.txt: Just change the path from where to include the file.

2010-07-23  Rafael Antognolli  <antognolli@profusion.mobi>

        Reviewed by Antonio Gomes.

        [EFL] Cleanup glib support (make it optional)
        https://bugs.webkit.org/show_bug.cgi?id=42480

        Just add glib flags and directories if necessary.

        * CMakeListsEfl.txt:

2010-07-23  Rafael Antognolli  <antognolli@profusion.mobi>

        Reviewed by Antonio Gomes.

        [EFL] Add support for using libcurl network backend.
        https://bugs.webkit.org/show_bug.cgi?id=42286

        Just add soup/curl directories and flags for the specific
        backend being used.

        * CMakeLists.txt:
        * CMakeListsEfl.txt:

2010-07-22  Lucas De Marchi  <lucas.demarchi@profusion.mobi>

        Reviewed by Antonio Gomes.

        [EFL] Implement input method notification
        https://bugs.webkit.org/show_bug.cgi?id=42640

        Notify browser when keyboard should be shown/hidden. Input method
        hints are updated before sending the signal. Client should be able to
        determine the input type by calling ewk_view_imh_get().

        * efl/EWebLauncher/main.c:
        (on_inputmethod_changed): example implementation that just prints to
        stdout if keyboard should be shown or hidden and the imh flags.
        (browserCreate): listen to signal about input method changing its
        state.
        * efl/WebCoreSupport/EditorClientEfl.cpp:
        (WebCore::EditorClientEfl::setInputMethodState): call new function
        responsible for implementing this notification.
        * efl/ewk/ewk_private.h: ewk_view_input_method_state_set() is called
        only from inside WebKit.
        * efl/ewk/ewk_view.cpp: implement setters and getters
        (ewk_view_imh_get):
        (ewk_view_input_method_state_set):
        * efl/ewk/ewk_view.h: introduce Ewk_Imh enum which contains the
        possible input types.
        (_Ewk_View_Smart_Class::):

2010-07-20  Lucas De Marchi  <lucas.demarchi@profusion.mobi>

        Reviewed by Kenneth Rohde Christiansen.

        Fix zoom in/out on EFL after r62666. The patch for adding viewport
        missed the initialization of zoom_range.user_scalable. In case browser
        doesn't care about the viewport and does not listen to the signal,
        user_scalable will be always false, thus inhibiting zoom in/out.
        https://bugs.webkit.org/show_bug.cgi?id=42656

        * efl/EWebLauncher/main.c:
        (on_viewport_changed): when listening to signal about viewport meta tag,
        it's not sufficient to receive the parameters. One needs also to enforce
        these parameters in WebKit.
        * efl/ewk/ewk_view.cpp:
        (_ewk_view_priv_new): initialize user_scalable parameter to allow
        browser zooming in and out.

2010-07-16  Zhe Su  <suzhe@chromium.org>

        Reviewed by Darin Adler.

        REGRESSION(r61484): Broke focus behaviour on Qt and probably other platforms
        https://bugs.webkit.org/show_bug.cgi?id=42253

        Dummy implementation of EditorClient::willSetInputMethodState.

        * efl/WebCoreSupport/EditorClientEfl.cpp:
        (WebCore::EditorClientEfl::willSetInputMethodState):
        * efl/WebCoreSupport/EditorClientEfl.h:

2010-07-15  Mark Rowe  <mrowe@apple.com>

        Update the sorting in the Xcode project files.

        * WebKit.xcodeproj/project.pbxproj:

2010-07-14  Sam Weinig  <sam@webkit.org>

        Reviewed by Darin Adler.

        Patch for https://bugs.webkit.org/show_bug.cgi?id=42232
        Make changing Cursors work in WebKit2.

        * efl/WebCoreSupport/ChromeClientEfl.cpp:
        (WebCore::ChromeClientEfl::setCursor):
        * efl/WebCoreSupport/ChromeClientEfl.h:
        Change prototype to match new one.

2010-07-14  Lucas De Marchi  <lucas.demarchi@profusion.mobi>

        Reviewed by Antonio Gomes.

        [EFL] Add eina_safety to popup menu deletion.
        https://bugs.webkit.org/show_bug.cgi?id=41873

        Since this is a public call, it's better to have an eina_safety on
        public calls. It would crash if browser calls this function to select
        an item of a nonexistent popup.

        * efl/ewk/ewk_view.cpp: add eina_safety to return if popup menu client does
        not exist.

2010-07-13  Simon Fraser  <simon.fraser@apple.com>

        Reviewed by Dan Bernstein.

        <rdar://problem/8186963> Expose RenderLayer hierarchy via Obj-C for debugging.
        
        Add WebRenderLayer files.

        * WebKit.xcodeproj/project.pbxproj:

2010-07-13  Rafael Antognolli  <antognolli@profusion.mobi>

        Reviewed by Antonio Gomes.

        This commit implements an API for configuring a path to the cookie
        file in the Mozilla "cookies.txt" format, and functions to deal with it
        in a more EFL like API.

        [EFL] Add API for dealing with cookies in EFL port.
        https://bugs.webkit.org/show_bug.cgi?id=41770

        * CMakeListsEfl.txt:
        * efl/ewk/EWebKit.h:
        * efl/ewk/ewk_cookies.cpp: Added.
        (ewk_cookies_file_set): Set a path to the file storing cookies.
        (ewk_cookies_clear): Clear all the cookies from the current cookie jar.
        (ewk_cookies_get_all): Get all the cookies from the current cookie jar.
        (ewk_cookies_cookie_del): Delete a specific cookie from the cookie jar.
        (ewk_cookies_cookie_free): Free memory used by a cookie.
        (ewk_cookies_policy_set): Set which acceptance policy will be used.
        (ewk_cookies_policy_get): Get current acceptance policy being used.
        * efl/ewk/ewk_cookies.h: Added.
        (_Ewk_Cookie::):

2010-07-12  Lucas De Marchi  <lucas.demarchi@profusion.mobi>

        Unreviewed build fix after r60050.

        * CMakeLists.txt: Add WebCore/bindings to the include path.

2010-07-11  Gyuyoung Kim  <gyuyoung.kim@samsung.com>

        Reviewed by Adam Barth.

        [EFL] Fix style errors in ewk_private.h.
        https://bugs.webkit.org/show_bug.cgi?id=41742

        * efl/ewk/ewk_private.h:

2010-07-09  Darin Adler  <darin@apple.com>

        * StringsNotToBeLocalized.txt: Updated for recent changes.

2010-07-08  Joone Hur  <joone@kldp.org>

        Reviewed by Antonio Gomes.

        [EFL] fix cmake build for EWebLauncher
        https://bugs.webkit.org/show_bug.cgi?id=41830

        * CMakeListsEfl.txt: add ${LIBSOUP24_LDFLAGS} for link flags

2010-07-08  Lucas De Marchi  <lucas.demarchi@profusion.mobi>

        Reviewed by Kenneth Rohde Christiansen.

        [EFL] Implement several notification hooks in FrameLoaderClient.
        We just notify browser, making the appropriate type conversions about
        the events occurring in WebCore.
        https://bugs.webkit.org/show_bug.cgi?id=41005

        * efl/WebCoreSupport/FrameLoaderClientEfl.cpp:
        (WebCore::FrameLoaderClientEfl::dispatchWillSendRequest): alloc 2 new
        wrapper structures in stack in order to give client the opportunity to
        change parameters. Then, call the function it defines.
        (WebCore::FrameLoaderClientEfl::assignIdentifierToInitialRequest):
        (WebCore::FrameLoaderClientEfl::didPerformFirstNavigation): notify
        client.
        (WebCore::FrameLoaderClientEfl::saveViewStateToItem): notify client.
        (WebCore::FrameLoaderClientEfl::restoreViewState): notify client.
        (WebCore::FrameLoaderClientEfl::dispatchDidChangeLocationWithinPage):
        notify browser that the url changed.
        (WebCore::FrameLoaderClientEfl::dispatchDidReceiveIcon): notify
        browser.
        (WebCore::FrameLoaderClientEfl::dispatchDidStartProvisionalLoad):
        notify browser.
        (WebCore::FrameLoaderClientEfl::dispatchDidFinishDocumentLoad): notify
        browser.
        (WebCore::FrameLoaderClientEfl::dispatchDidFirstLayout): norify
        browser.
        (WebCore::FrameLoaderClientEfl::dispatchDidFirstVisuallyNonEmptyLayout):
        notify browser.
        (WebCore::FrameLoaderClientEfl::dispatchShow): notify browser.
        * efl/ewk/ewk_frame.cpp:
        (ewk_frame_request_will_send): emit signal notifying browser.
        (ewk_frame_request_assign_identifier): emit signal notifying browser.
        (ewk_frame_did_perform_first_navigation): emit signal notifying browser.
        (ewk_frame_view_state_save): emit signal notifying browser.
        (ewk_frame_load_provisional): emit signal notifying browser.
        (ewk_frame_load_firstlayout_finished): emit signal notifying browser.
        (ewk_frame_load_firstlayout_nonempty_finished): emit signal notifying browser.
        (ewk_frame_load_document_finished): emit signal notifying browser.
        * efl/ewk/ewk_frame.h: update documentation about signals being sent
        and implement wrapper struct for ResourceRequest.
        * efl/ewk/ewk_private.h: export private functions.

2010-07-08  Lucas De Marchi  <lucas.demarchi@profusion.mobi>

        Reviewed by Kenneth Rohde Christiansen.

        [EFL] Flush backing store when going to new page.
        Call client method to flush backing store when going to a new page. This
        is the notification that data related to current page should be dropped,
        since a new page is being loaded.
        https://bugs.webkit.org/show_bug.cgi?id=41008

        * efl/WebCoreSupport/FrameLoaderClientEfl.cpp:
        (WebCore::FrameLoaderClientEfl::transitionToCommittedForNewPage):

2010-07-07  Lucas De Marchi  <lucas.demarchi@profusion.mobi>

        Unreviewed build fix after r62676.

        [EFL] Fix build after Page constructor has changed. By now, the
        introduced BackForwardControllerClient is not used.
        https://bugs.webkit.org/show_bug.cgi?id=41825

        * efl/ewk/ewk_view.cpp:
        (_ewk_view_priv_new): Add missing parameter to WebCore::Page
        constructor.

2010-07-07  Anders Carlsson  <andersca@apple.com>

        Reviewed by Sam Weinig.

        Rename the WebBaseNetscapePluginStream.cpp and .h files to WebNetscapePluginStream.cpp and .h to match the class name.

        * WebKit.xcodeproj/project.pbxproj:

2010-07-07  Gyuyoung Kim  <gyuyoung.kim@samsung.com>

        Reviewed by Kenneth Rohde Christiansen.

        [EFL] EFLWebKit doesn't support viewport meta tag.
        Support viewport meta tag on EFL Port.
        https://bugs.webkit.org/show_bug.cgi?id=40278

        * efl/EWebLauncher/main.c: Process 'viewport,changed' signal.
        (viewport_set):
        (on_viewport_changed): Add a callback function for the 'viewport,changed' signal.
        (browserCreate): Register the callback function for the 'viewport,changed' signal.
        * efl/WebCoreSupport/ChromeClientEfl.cpp: Implement method to process viewport tag.
        (WebCore::ChromeClientEfl::didReceiveViewportArguments):
        * efl/WebCoreSupport/ChromeClientEfl.h: Define method to process viewport tag.
        * efl/WebCoreSupport/FrameLoaderClientEfl.cpp:
        (WebCore::FrameLoaderClientEfl::FrameLoaderClientEfl): Implement a function to set layout
        when website doesn't contain viewport tag.
        (WebCore::FrameLoaderClientEfl::dispatchDidCommitLoad):
        (WebCore::FrameLoaderClientEfl::dispatchDidFirstLayout):
        * efl/WebCoreSupport/FrameLoaderClientEfl.h:
        (WebCore::FrameLoaderClientEfl::setInitLayoutCompleted):
        (WebCore::FrameLoaderClientEfl::getInitLayoutCompleted):
        * efl/ewk/ewk_private.h: Added internal APIs to process viewport tag.
        * efl/ewk/ewk_view.cpp: Added APIs to process and to handle viewport tag.
        (_ewk_view_priv_new):
        (ewk_view_fixed_layout_size_set):
        (ewk_view_zoom_set):
        (ewk_view_zoom_weak_set):
        (ewk_view_zoom_animated_set):
        (ewk_view_viewport_set): Reports that viewport has changed.
        (ewk_view_viewport_get): Reports that viewport has changed.
        (ewk_view_zoom_range_set): Sets the zoom range.
        (ewk_view_zoom_range_min_get): Gets minimum value of zoom range.
        (ewk_view_zoom_range_max_get): Gets maximum value of zoom range.
        (ewk_view_user_scalable_set): Sets if zoom is enabled.
        (ewk_view_user_scalable_get): Gets if zoom is enabled.
        * efl/ewk/ewk_view.h:

2010-07-07  Rafael Antognolli  <antognolli@profusion.mobi>

        Reviewed by Adam Barth.

        [EFL] Fix cmake build and libsoup detection
        Some changes should be done to cmake build system to fix the detection of libsoup and correct some link paths:
        - LINK_FLAGS should be set using quotes, otherwise some wrong
        substitution takes place;
        - we should use LIBSOUP24_* instead of LIBSOUP_* since this is the
        version we are using;
        - need to set HAVE_LIBSOUP_2_29_90 if we find a version equal or newer
        than that.
        https://bugs.webkit.org/show_bug.cgi?id=41717

        * CMakeLists.txt:
        * CMakeListsEfl.txt:

2010-07-05  Gyuyoung Kim  <gyuyoung.kim@samsung.com>

        Reviewed by Kenneth Rohde Christiansen.

        [EFL] Implement downloadURL in ContextMenuClientEfl
        When user selects a download menu from context menu, send the download 
        request to application.
        https://bugs.webkit.org/show_bug.cgi?id=41149

        * efl/WebCoreSupport/ContextMenuClientEfl.cpp:
        (WebCore::ContextMenuClientEfl::downloadURL): Get url for downloading 
        file and Send it to application.
        * efl/WebCoreSupport/ContextMenuClientEfl.h:

2010-06-30  Gyuyoung Kim  <gyuyoung.kim@samsung.com>

        Reviewed by Kenneth Rohde Christiansen.

        [EFL] Implement windowRect() and setWindowRect() in ChromeClientEfl.cpp
        https://bugs.webkit.org/show_bug.cgi?id=40876

        * efl/WebCoreSupport/ChromeClientEfl.cpp: Implements two methods
        to change window size.

        (WebCore::ChromeClientEfl::windowRect):
        (WebCore::ChromeClientEfl::setWindowRect):

2010-06-28  Lucas De Marchi  <lucas.demarchi@profusion.mobi>

        Unreviewed build fix.

        [EFL] Build fix for latest version of Ecore library.
        Ecore recently changed return type of callbacks from int to Eina_Bool.

        * efl/EWebLauncher/main.c:
        * efl/ewk/ewk_view.cpp:
        (_ewk_view_zoom_animator_cb): Return Eina_Bool instead of int.

2010-06-28  Lucas De Marchi  <lucas.demarchi@profusion.mobi>

        Reviewed by Kenneth Rohde Christiansen.

        [EFL] Simplify zoom setting by narrowing with WebCore API.
        Instead of creating a zoom_text_only field, use the already defined enum
        by WebCore.
        https://bugs.webkit.org/show_bug.cgi?id=40993

        * efl/ewk/ewk_frame.cpp: sd->zoom_text_only => sd->zoom_mode
        (ewk_frame_zoom_set):
        (ewk_frame_zoom_text_only_get):
        (ewk_frame_zoom_text_only_set):

2010-06-28  Lucas De Marchi  <lucas.demarchi@profusion.mobi>

        Reviewed by Kenneth Rohde Christiansen.

        [EFL] Implement download requests
        When a download request arrives through FrameLoaderClient, forward it to
        browser in order to be possible to download files.
        https://bugs.webkit.org/show_bug.cgi?id=40967

        * efl/WebCoreSupport/FrameLoaderClientEfl.cpp:
        (WebCore::FrameLoaderClientEfl::download): get file names and
        forward to ewk_view_download_request()
        * efl/ewk/ewk_private.h: export private function to WebCoreSupport

2010-06-25  Lucas De Marchi  <lucas.demarchi@profusion.mobi>

        Reviewed by Kenneth Rohde Christiansen.

        [EFL] Stop frame loaders when deleting view.
        Frame loaders were still alive after view is deleted, causing
        segmentation fault when libsoup had something to deliver yet.
        https://bugs.webkit.org/show_bug.cgi?id=41007

        * efl/ewk/ewk_view.cpp:
        (_ewk_view_smart_del): stop loaders.

2010-06-25  Lucas De Marchi  <lucas.demarchi@profusion.mobi>

        Reviewed by Kenneth Rohde Christiansen.

        [EFL] Fix warnings about printf format
        When printing uint64_t the macro PRIu64 is needed in order to be
        portable across 32 and 64 bits. It was previously showing warning
        messages on 32-bits systems.
        https://bugs.webkit.org/show_bug.cgi?id=40965

        * efl/ewk/ewk_view.cpp:
        (ewk_view_exceeded_database_quota):

2010-06-25  Lucas De Marchi  <lucas.demarchi@profusion.mobi>

        Reviewed by Kenneth Rohde Christiansen.

        [EFL] Do not load error message for download and cancellation.
        When a download is made or a request is cancelled an error page should
        not be shown.
        https://bugs.webkit.org/show_bug.cgi?id=40956

        * efl/WebCoreSupport/FrameLoaderClientEfl.cpp:
        (WebCore::FrameLoaderClientEfl::dispatchDidFailLoading): return if it
        should not fallback.
        (WebCore::FrameLoaderClientEfl::dispatchDidFailLoad): return if it
        should not fallback.
        (WebCore::FrameLoaderClientEfl::interruptForPolicyChangeError): fix
        typo in related error message.
        (WebCore::FrameLoaderClientEfl::shouldFallBack): if user cancelled the
        request or the policy changed (for example, because the request is a
        download) then it should not fallback.

2010-06-25  Lucas De Marchi  <lucas.demarchi@profusion.mobi>

        Reviewed by Kenneth Rohde Christiansen.

        [EFL] Implement runOpenPanel method. The interface with browser was
        already implemented. Now we are actually calling it.
        https://bugs.webkit.org/show_bug.cgi?id=40923

        * efl/WebCoreSupport/ChromeClientEfl.cpp:
        (WebCore::ChromeClientEfl::runOpenPanel): implement method.
        * efl/ewk/ewk_private.h: export to WebCoreSupport the needed method

2010-06-24  Jer Noble  <jer.noble@apple.com>

        Reviewed by Eric Carlson.

        Full-screened content doesn't keep the display on: Safari not grabbing a power assertion?
        https://bugs.webkit.org/show_bug.cgi?id=40939
        rdar://problem/7996172
        
        Add IOKit.framework to the list of linked frameworks.

        * WebKit.xcodeproj/project.pbxproj:

2010-06-23  Leandro Pereira  <leandro@profusion.mobi>

        Reviewed by Gustavo Noronha Silva.

        [EFL] Add Libs.private to ewebkit.pc when building with SHARED_CORE.
        https://bugs.webkit.org/show_bug.cgi?id=40862
        
        * CMakeListsEfl.txt:
        * efl/ewebkit.pc.in:

2010-06-23  Lucas De Marchi  <lucas.demarchi@profusion.mobi>

        Reviewed by Gustavo Noronha Silva.

        Add implementaion of new windows for EFL port. Both cases of a link
        with target="_blank" and a javascript that does window.open() are
        treated, delegating to browser the role of actually creating the
        window (or blocking it).
        https://bugs.webkit.org/show_bug.cgi?id=40930

        * CMakeListsEfl.txt: add new file that wraps the WindowFeatures struct
        * efl/WebCoreSupport/ChromeClientEfl.cpp:
        (WebCore::ChromeClientEfl::createWindow): implement method for
        creating new window by delegating to browser its creation. Browser
        might decide to continue on the same window by returning the same
        view object.
        * efl/WebCoreSupport/FrameLoaderClientEfl.cpp:
        (WebCore::FrameLoaderClientEfl::dispatchCreatePage): implement method
        for creating new window when its creation is done by a javascript
        script.
        * efl/ewk/EWebKit.h: new header for WindowFeatures.
        * efl/ewk/ewk_private.h:
        * efl/ewk/ewk_view.cpp:
        (ewk_view_window_create): call the method implemented by browser.
        * efl/ewk/ewk_view.h:
        * efl/ewk/ewk_window_features.cpp: Added.
        (ewk_window_features_unref):
        (ewk_window_features_ref):
        (ewk_window_features_bool_property_get):
        (ewk_window_features_int_property_get):
        (ewk_window_features_new_from_core): create and wrapped struct
        containing the core struct.
        * efl/ewk/ewk_window_features.h: Added.

2010-06-18  Anders Carlsson  <andersca@apple.com>

        Reviewed by Sam Weinig.

        Rename WebPluginPackage.m to make it an Objective-C++ file.

        * WebKit.xcodeproj/project.pbxproj:

2010-06-18  Anders Carlsson  <andersca@apple.com>

        Reviewed by Sam Weinig.

        Make WebCoreSystemInterface.h a C++ only header
        https://bugs.webkit.org/show_bug.cgi?id=40867

        * WebKit.xcodeproj/project.pbxproj:

2010-06-18  Anders Carlsson  <andersca@apple.com>

        Reviewed by Dan Bernstein.

        Add stubbed out WebPlatformStrategies class to WebKit.
        https://bugs.webkit.org/show_bug.cgi?id=40851

        * WebKit.xcodeproj/project.pbxproj:

2010-06-18  Alexis Menard  <alexis.menard@nokia.com>

        Reviewed by Simon Hausmann.

        [qt] Better check for the declarative plugin inclusion.

        * WebKit.pro:

2010-06-17  Lucas De Marchi  <lucas.demarchi@profusion.mobi>

        Reviewed by Eric Seidel.

        Clean EFL header files in order to diminish the compilation time with
        EFL from subversion. We remove the EFL includes from header files and use
        forward declarations, including the headers in correspondent source
        files when needed. This causes only the needed source files to be
        recompiled in case a new version of EFL is installed instead of
        triggering a recompilation of almost all WebCore/WebKit.
        https://bugs.webkit.org/show_bug.cgi?id=40575

        * efl/WebCoreSupport/ChromeClientEfl.cpp: include needed header.
        * efl/WebCoreSupport/ChromeClientEfl.h: forward declaration.
        * efl/WebCoreSupport/EditorClientEfl.h: forward declaration.

2010-06-15  Gustavo Noronha Silva  <gns@gnome.org>

        Unreviewed EFL build fix. Simple typo.

        * efl/WebCoreSupport/InspectorClientEfl.cpp:
        (WebCore::InspectorClientEfl::sendMessageToFrontend):

2010-06-14  Tony Chang  <tony@chromium.org>

        Reviewed by Darin Fisher.

        Chromium shouldn't build inside the source directory
        https://bugs.webkit.org/show_bug.cgi?id=40489

        Ignore directories fetched by chromium and chromium mac output dir.

        * chromium: Added property svn:ignore.

2010-06-14  Ilya Tikhonovsky  <loislo@chromium.org>

        Reviewed by Pavel Feldman.

        WebInspector: On the way to Remote Debugging we want to transfer dom/timeline/etc
        data from inspected page to WebInspector as JSON string via http. The native
        serialization to JSON string is supported by InspectorValue's classes. This patch
        has the implementation of sendMessageToFrontend function. WebKit version of it still
        uses ScriptFunctionCall and will be switched to another transport a little bit later.
        https://bugs.webkit.org/show_bug.cgi?id=40134

        * efl/WebCoreSupport/InspectorClientEfl.cpp:
        (WebCore::InspectorClientEfl::sendMessageToFrontend):
        * efl/WebCoreSupport/InspectorClientEfl.h:

2010-06-09  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r60889.
        http://trac.webkit.org/changeset/60889
        https://bugs.webkit.org/show_bug.cgi?id=40365

        gtk bot has some kind of memory corruption (Requested by
        loislo on #webkit).

        * efl/WebCoreSupport/InspectorClientEfl.cpp:
        * efl/WebCoreSupport/InspectorClientEfl.h:

2010-06-07  Ilya Tikhonovsky  <loislo@chromium.org>

        Reviewed by Pavel Feldman.

        WebInspector: On the way to Remote Debugging we want to transfer dom/timeline/etc
        data from inspected page to WebInspector as JSON string via http. The native
        serialization to JSON string is supported by InspectorValue's classes. This patch
        has the implementation of sendMessageToFrontend function. WebKit version of it still
        uses ScriptFunctionCall and will be switched to another transport a little bit later.
        https://bugs.webkit.org/show_bug.cgi?id=40134

        * efl/WebCoreSupport/InspectorClientEfl.cpp:
        (WebCore::InspectorClientEfl::sendMessageToFrontend):
        * efl/WebCoreSupport/InspectorClientEfl.h:

2010-06-01  Alexey Proskuryakov  <ap@apple.com>

        Reviewed by Sam Weinig.

        https://bugs.webkit.org/show_bug.cgi?id=39434
        REGRESSION (r59811): Geolocation callbacks cannot be created

        Removing unused WebGeolocationMock.

        * WebKit.xcodeproj/project.pbxproj:

2010-05-31  Lyon Chen  <liachen@rim.com>

        Reviewed by Kent Tamura.

        Enum value FORWARD, BACKWARD, RIGHT, LEFT are causing macro conflicts.
        https://bugs.webkit.org/show_bug.cgi?id=35530

        Change enum EAlteration from { MOVE, EXTEND } to { AlterationMove, AlterationExtend } and enum EDirection { FORWARD, BACKWARD, RIGHT, LEFT} to { DirectionForward, DirectionBackward, DirectionRight, DirectionLeft } to avoid macro conflict, and also better coding style conformance.

        * efl/WebCoreSupport/EditorClientEfl.cpp:
        (WebCore::EditorClientEfl::handleEditingKeyboardEvent):

2010-05-31  Lucas De Marchi  <lucas.demarchi@profusion.mobi>

        Reviewed by Kenneth Rohde Christiansen.

        [EFL] Add Context Menu implementation
        https://bugs.webkit.org/show_bug.cgi?id=39821

        * CMakeListsEfl.txt: add context menu files.
        * efl/WebCoreSupport/ContextMenuClientEfl.cpp:
        (WebCore::ContextMenuClientEfl::getCustomMenuFromDefaultItems):
        (WebCore::ContextMenuClientEfl::newPlatformDescription):
        (WebCore::ContextMenuClientEfl::freePlatformDescription):
        (WebCore::ContextMenuClientEfl::appendItem):
        (WebCore::ContextMenuClientEfl::show):
        * efl/WebCoreSupport/ContextMenuClientEfl.h:
        * efl/ewk/EWebKit.h:
        * efl/ewk/ewk_contextmenu.cpp: Added. Implement the API used by
        browser for manipulating context menus.
        (ewk_context_menu_ref):
        (ewk_context_menu_unref):
        (ewk_context_menu_destroy):
        (ewk_context_menu_item_list_get):
        (ewk_context_menu_item_new):
        (ewk_context_menu_item_select):
        (ewk_context_menu_item_free):
        (ewk_context_menu_item_type_get):
        (ewk_context_menu_item_type_set):
        (ewk_context_menu_item_action_get):
        (ewk_context_menu_item_action_set):
        (ewk_context_menu_item_title_get):
        (ewk_context_menu_item_title_set):
        (ewk_context_menu_item_checked_get):
        (ewk_context_menu_item_checked_set):
        (ewk_context_menu_item_enabled_get):
        (ewk_context_menu_item_enabled_set):
        (ewk_context_menu_new):
        (ewk_context_menu_free):
        (ewk_context_menu_item_append):
        (ewk_context_menu_custom_get):
        (ewk_context_menu_show):
        * efl/ewk/ewk_contextmenu.h: Added.
        * efl/ewk/ewk_private.h:
        * efl/ewk/ewk_view.cpp:
        (ewk_view_context_menu_forward_event): inform browser a new context
        menu was created.
        (ewk_view_exceeded_database_quota): small fix to previous
        changed function.
        * efl/ewk/ewk_view.h:

2010-05-28  Lucas De Marchi  <lucas.demarchi@profusion.mobi>

        Reviewed by Kenneth Rohde Christiansen.

        [EF] Remove compiler warnings and add test for switching page
        encoding.
        https://bugs.webkit.org/show_bug.cgi?id=39871

        * efl/EWebLauncher/main.c:
        (print_history):
        (on_key_down):
        (main):

2010-05-28  Lucas De Marchi  <lucas.demarchi@profusion.mobi>

        Reviewed by Kenneth Rohde Christiansen.

        [EFL] Allow client to override default database quota. We increase the
        default database quota to 1MB (it was incorrectly set to 1KB, which is
        too low) and add methods to allow client to iteratively database quota
        when it becomes greater than the allowed value.
        https://bugs.webkit.org/show_bug.cgi?id=39867

        * efl/WebCoreSupport/ChromeClientEfl.cpp:
        (WebCore::ChromeClientEfl::exceededDatabaseQuota): reimplement method
        to allow client to increase database quota iteratively.
        * efl/ewk/ewk_private.h:
        * efl/ewk/ewk_settings.cpp:
        * efl/ewk/ewk_view.h:

2010-05-28  Lucas De Marchi  <lucas.demarchi@profusion.mobi>

        Reviewed by Kenneth Rohde Christiansen.

        [EFL] Add default path to web database and methods to set it.
        If a default path is not set, it will default to "/", in which a
        normal user usually does not have write permission.

        * efl/EWebLauncher/main.c: overwrite default directory with another
        one.
        (main):
        * efl/ewk/ewk_main.cpp:
        (ewk_init): add default path
        * efl/ewk/ewk_settings.cpp: add methods to set and get database path
        (ewk_settings_web_database_path_set):
        (ewk_settings_web_database_path_get):
        * efl/ewk/ewk_settings.h:

2010-05-28  Lucas De Marchi  <lucas.demarchi@profusion.mobi>

        Reviewed by Kenneth Rohde Christiansen.

        [EFL] Fix wrongly set clipper. Now the scrollbars from main
        frame are shown even on a zoom level lower than 1.0.

        * efl/ewk/ewk_view_single.c:
        (_ewk_view_single_smart_add):
        (_ewk_view_single_smart_backing_store_add):
        (ewk_view_single_smart_set):

2010-05-28  Lucas De Marchi  <lucas.demarchi@profusion.mobi>

        Reviewed by Kenneth Rohde Christiansen.

        [EFL] Add support for Popup menus
        https://bugs.webkit.org/show_bug.cgi?id=39629

        * efl/WebCoreSupport/ChromeClientEfl.cpp: implement methods to create
        and destroy popup menu.
        (WebCore::ChromeClientEfl::createSelectPopup): ditto.
        (WebCore::ChromeClientEfl::destroySelectPopup): ditto.
        * efl/WebCoreSupport/ChromeClientEfl.h: ditto.
        * efl/ewk/ewk_private.h: add function to call browser when a popup is
        created/deleted

2010-05-25  Joone Hur  <joone.hur@samsung.com>

        Reviewed by Gustavo Noronha Silva.

        [EFL] Build fix.
        http://webkit.org/b/39648

        * efl/ewk/ewk_frame.cpp:
        (ewk_frame_zoom_get): Add missed namespace 
        (ewk_frame_zoom_set): Ditto.
        (ewk_frame_zoom_text_only_set): Ditto.
        * efl/ewk/ewk_view.cpp:
        (_ewk_view_priv_new): Add a null parameter when creating a Page.

2010-05-24  Darin Adler  <darin@apple.com>

        Reviewed by Eric Seidel.

        Move view-related functions from Frame to FrameView
        https://bugs.webkit.org/show_bug.cgi?id=39366

        * efl/ewk/ewk_frame.cpp:
        (ewk_frame_editable_set): Removed call to empty function,
        removeEditingStyleFromBodyElement.
        (ewk_frame_zoom_get): Call function on FrameView.
        (ewk_frame_zoom_set): Ditto.
        (ewk_frame_zoom_text_only_set): Ditto.

2010-05-15  Leandro Pereira  <leandro@profusion.mobi>

        Reviewed by Adam Treat.

        [EFL] Add build system for the EFL port.
        http://webkit.org/b/37945

        * CMakeLists.txt: Added.
        * CMakeListsEfl.txt: Added.

2010-05-14  Lucas De Marchi  <lucas.demarchi@profusion.mobi>

        Reviewed by David Levin.

        [EF] Include missing header.
        http://webkit.org/b/38905

        * efl/ewk/ewk_main.cpp: Include PageGroup.h

2010-05-08  Leandro Pereira  <leandro@profusion.mobi>

        Reviewed by Laszlo Gombos.

        [EFL] Only compile database stuff if ENABLE_DATABASE is set. 
        http://webkit.org/b/38777

        * efl/WebCoreSupport/ChromeClientEfl.cpp:

2010-05-05  Dan Bernstein  <mitz@apple.com>

        Reviewed by Simon Fraser.

        <rdar://problem/7932072> Iframes in composited layers don’t repaint correctly (affects Yahoo! Mail with Flash Player 10.1)
        https://bugs.webkit.org/show_bug.cgi?id=38427

        * WebKit.xcodeproj/project.pbxproj: Renamed WebClipView.m to WebClipView.mm and changed it to
        Objective-C++.

2010-05-03  Darin Adler  <darin@apple.com>

        * English.lproj/Localizable.strings: Regenerated.
        * StringsNotToBeLocalized.txt: Updated for recent changes.

2010-05-03  Jens Alfke  <snej@chromium.org>

        Reviewed by Darin Fisher.

        [chromium] Add "willSendSubmitEvent" hook to WebFrameClient and FrameLoaderClient
        https://bugs.webkit.org/show_bug.cgi?id=38397

        No tests (functionality is exposed only through native WebKit API.)

        * efl/WebCoreSupport/FrameLoaderClientEfl.h:
        (WebCore::FrameLoaderClientEfl::dispatchWillSendSubmitEvent):

2010-04-22  Leandro Pereira  <leandro@profusion.mobi>

        Reviewed by Gustavo Noronha Silva.

        Implement findThemePath to locate the correct theme file instead of
        relying on a hardcoded location.
        http://webkit.org/b/37996

        * efl/EWebLauncher/main.c:
        (findThemePath): Fix to locate the correct theme files.
        (main): Use findThemePath() instead of a hardcoded one.

2010-04-22  Leandro Pereira  <leandro@profusion.mobi>

        Reviewed by Gustavo Noronha Silva.

        Update efl/ewebkit.pc.in to match the variable substitution syntax
        of CMake.
        http://webkit.org/b/37999

        * efl/ewebkit.pc.in: Updated.

2010-04-22  Leandro Pereira  <leandro@profusion.mobi>

        Reviewed by Gustavo Noronha Silva.

        Update EWebKit (EFL port) to match recent API changes.
        http://webkit.org/b/37997

        * efl/ewk/ewk_frame.cpp:
        (ewk_frame_zoom_set): Change to use WebCore::ZoomMode.
        (ewk_frame_zoom_text_only_set): Change to use WebCore::ZoomMode.
        (_ewk_frame_handle_key_scrolling): s/WebCore::VK_/VK_/g
        (ewk_frame_plugin_create): Disable temporarily PluginView-related
        code until a proper plugin implementation is made.
        * efl/ewk/ewk_view.cpp: Fix typo in _parent_sc declaration.
        (ewk_view_selection_get): Fix a reference to WebCore::CString to
        WTF::CString.

2010-04-22  Leandro Pereira  <leandro@profusion.mobi>

        Reviewed by Gustavo Noronha Silva.

        Update EFL port files to match recent API changes.
        http://webkit.org/b/37876

        * efl/WebCoreSupport/ChromeClientEfl.cpp:
        (kit): Added.
        (WebCore::ChromeClientEfl::ChromeClientEfl): Coding style fix.
        (WebCore::ChromeClientEfl::runBeforeUnloadConfirmPanel): Coding
        style fix.
        (WebCore::ChromeClientEfl::mouseDidMoveOverElement): Coding style fix.
        (WebCore::ChromeClientEfl::runOpenPanel): Implemented.
        (WebCore::ChromeClientEfl::cancelGeolocationPermissionRequestForFrame): Stubbed.
        (WebCore::ChromeClientEfl::cancelGeolocationPermissionForFrame): Stubbed.
        (WebCore::ChromeClientEfl::invalidateContents): Stubbed.
        (WebCore::ChromeClientEfl::invalidateWindow): Stubbed.
        (WebCore::ChromeClientEfl::invalidateContentsAndWindow): Implemented.
        (WebCore::ChromeClientEfl::invalidateContentsForSlowScroll): Implemented.
        (WebCore::ChromeClientEfl::scroll): Updated.
        (WebCore::ChromeClientEfl::iconForFiles): Stubbed.
        (WebCore::ChromeClientEfl::chooseIconForFiles): Stubbed.
        * efl/WebCoreSupport/ChromeClientEfl.h: Add new method prototypes.
        * efl/WebCoreSupport/FrameLoaderClientEfl.cpp:
        (WebCore::FrameLoaderClientEfl::committedLoad): Call setEncoding()
        from FrameLoader::writer.
        (WebCore::FrameLoaderClientEfl::finishedLoading): Ditto.
        (WebCore::FrameLoaderClientEfl::dispatchDidFailLoading): Ditto.
        (WebCore::FrameLoaderClientEfl::setMainDocumentError): Ditto.

2010-04-21  Gustavo Sverzut Barbieri  <barbieri@profusion.mobi>

        Reviewed by Nikolas Zimmermann.

        Add missing EFL WebKit/efl theme files.
        http://webkit.org/b/37854

        * efl/DefaultTheme/default.edc: Added.
        * efl/DefaultTheme/widget/button/button.edc: Added.
        * efl/DefaultTheme/widget/check/check.edc: Added.
        * efl/DefaultTheme/widget/combo/combo.edc: Added.
        * efl/DefaultTheme/widget/entry/entry.edc: Added.
        * efl/DefaultTheme/widget/file/file.edc: Added.
        * efl/DefaultTheme/widget/radio/radio.edc: Added.
        * efl/DefaultTheme/widget/scrollbar/scrollbar.edc: Added.
        * efl/DefaultTheme/widget/search/cancel/search_cancel.edc: Added.
        * efl/DefaultTheme/widget/search/decoration/search_decoration.edc: Added.
        * efl/DefaultTheme/widget/search/field/search_field.edc: Added.

2010-04-21  Gustavo Sverzut Barbieri  <barbieri@profusion.mobi>

        Reviewed by Adam Roben.

        Update EFL port to match recent API changes.
        http://webkit.org/b/37853

        * efl/WebCoreSupport/EditorClientEfl.cpp:
        * efl/WebCoreSupport/FrameLoaderClientEfl.cpp:
        (WebCore::FrameLoaderClientEfl::didTransferChildFrameToNewDocument):
        (WebCore::FrameLoaderClientEfl::objectContentType):
        (WebCore::FrameLoaderClientEfl::dispatchDidChangeIcons):
        (WebCore::FrameLoaderClientEfl::canShowMIMEType):
        * efl/WebCoreSupport/FrameLoaderClientEfl.h:

2010-04-15  Leandro Pereira  <leandro@profusion.mobi>

        Reviewed by Kenneth Rohde Christiansen.

        Add EFL port files to efl/WebCoreSupport.
        http://webkit.org/b/35915

        * efl/WebCoreSupport/FrameLoaderClientEfl.cpp: Added.
        * efl/WebCoreSupport/FrameLoaderClientEfl.h: Added.

2010-04-15  Adam Roben  <aroben@apple.com>

        Expose UserContentURLPattern as WebKit SPI

        Fixes <http://webkit.org/b/37354>.

        Reviewed by Tim Hatcher.

        * WebKit.xcodeproj/project.pbxproj: Add WebUserContentURLPattern.

2010-04-15  Leandro Pereira  <leandro@profusion.mobi>

        Reviewed by Kenneth Rohde Christiansen.

        Add EFL port files to efl/WebCoreSupport.
        http://webkit.org/b/35918

        * efl/WebCoreSupport/EditorClientEfl.cpp: Added.
        * efl/WebCoreSupport/EditorClientEfl.h: Added.

2010-04-10  Mark Rowe  <mrowe@apple.com>

        Reviewed by Dan Bernstein.

        <rdar://problem/7845305> Further adoption of formal protocols for delegates.

        Move EmptyProtocolDefinitions.h down in to WebCore, and add the new protocols. Adopt the protocols in the appropriate places.

        * WebKit.xcodeproj/project.pbxproj:

2010-04-07  Leandro Pereira  <leandro@profusion.mobi>

        Reviewed by Kenneth Rohde Christiansen.

        Add ewk_view (the high level object to acces the WebKit-EFL browser
        component) to efl/ewk.
        http://webkit.org/b/35932

        * efl/ewk/ewk_view.cpp: Added.
        * efl/ewk/ewk_view.h: Added.

2010-04-05  Alexey Proskuryakov  <ap@apple.com>

        Reviewed by Darin Adler.

        https://bugs.webkit.org/show_bug.cgi?id=37111
        <rdar://problem/7790327> Draw replacement text when plug-in host crashes

        https://bugs.webkit.org/show_bug.cgi?id=37111
        <rdar://problem/7790327> Draw replacement text when plug-in host crashes

        * English.lproj/Localizable.strings: Added a string for plug-in failure.

2010-04-01  Leandro Pereira  <leandro@profusion.mobi>

        Reviewed by Gustavo Noronha Silva.

        Add EFL's pkg-config metadata file file to efl/.
        http://webkit.org/b/36766

        * efl/ewebkit.pc.in: Added.

2010-03-30  Gavin Barraclough  <barraclough@apple.com>

        Rubber stamped by Sam Weinig.

        https://bugs.webkit.org/show_bug.cgi?id=36866
        Move CString to WTF

        * efl/WebCoreSupport/ChromeClientEfl.cpp:
        * efl/ewk/ewk_frame.cpp:
        (ewk_frame_name_get):
        (ewk_frame_selection_get):
        (ewk_frame_uri_changed):
        * efl/ewk/ewk_history.cpp:
        * efl/ewk/ewk_settings.cpp:

2010-03-28  Alexey Proskuryakov  <ap@apple.com>

        Build fix. Include WindowsKeyboardCodes.h instead of KeyboardCodes.h.

        * efl/ewk/ewk_frame.cpp:

2010-03-22  Kevin Decker  <kdecker@apple.com>

        Reviewed by Simon Fraser.

        https://bugs.webkit.org/show_bug.cgi?id=36328

        * WebKit.xcodeproj/project.pbxproj: Remove WebNullPluginView and nullplugin.tiff from the project.

2010-03-22  Darin Adler  <darin@apple.com>

        * StringsNotToBeLocalized.txt: Updated for recent changes.

2010-03-22  Kevin Decker  <kdecker@apple.com>

        Reviewed by John Sullivan.

        https://bugs.webkit.org/show_bug.cgi?id=36328

        * English.lproj/Localizable.strings: Added "Missing Plug-in" string.

2010-03-18  Leandro Pereira  <leandro@profusion.mobi>

        Reviewed by Kenneth Rohde Christiansen.

        Add EFL port files to efl/ewk.
        http://webkit.org/b/35931

        * efl/ewk/ewk_settings.cpp: Added.
        * efl/ewk/ewk_settings.h: Added.

2010-03-17  Leandro Pereira  <leandro@profusion.mobi>

        Reviewed by Kenneth Rohde Christiansen.

        Add default theme files to efl/DefaultTheme.
        http://webkit.org/b/36240

        * efl/DefaultTheme/widget/radio/img_radio_on.png: Added.
        * efl/DefaultTheme/radio/img_radio_off_hover.png: Added.
        * efl/DefaultTheme/radio/img_radio_on_hover.png: Added.
        * efl/DefaultTheme/radio/img_radio_off.png: Added.
        * efl/DefaultTheme/radio/img_radio_off_focus.png: Added.
        * efl/DefaultTheme/radio/img_radio_on_focus.png: Added.
        * efl/DefaultTheme/combo/combo_normal.png: Added.
        * efl/DefaultTheme/combo/combo_focus_button.png: Added.
        * efl/DefaultTheme/combo/combo_hover_button.png: Added.
        * efl/DefaultTheme/combo/combo_hover.png: Added.
        * efl/DefaultTheme/combo/combo_focus.png: Added.
        * efl/DefaultTheme/combo/combo_press_button.png: Added.
        * efl/DefaultTheme/combo/combo_normal_button.png: Added.
        * efl/DefaultTheme/combo/combo_press.png: Added.
        * efl/DefaultTheme/combo/icon.png: Added.
        * efl/DefaultTheme/file/file_normal.png: Added.
        * efl/DefaultTheme/file/file_press.png: Added.
        * efl/DefaultTheme/file/file_hover.png: Added.
        * efl/DefaultTheme/file/file_focus.png: Added.
        * efl/DefaultTheme/search/cancel/cancel_normal_button.png: Added.
        * efl/DefaultTheme/search/cancel/cancel_normal_button2.png: Added.
        * efl/DefaultTheme/search/decoration/decoration_normal_button.png: Added.
        * efl/DefaultTheme/search/field/field_focused.png: Added.
        * efl/DefaultTheme/search/field/field_normal.png: Added.
        * efl/DefaultTheme/search/field/field_hovered.png: Added.
        * efl/DefaultTheme/entry/img_normal.png: Added.
        * efl/DefaultTheme/entry/img_hovered.png: Added.
        * efl/DefaultTheme/entry/img_focused.png: Added.
        * efl/DefaultTheme/check/img_check_off_hover.png: Added.
        * efl/DefaultTheme/check/img_check_on.png: Added.
        * efl/DefaultTheme/check/img_check_off_focus.png: Added.
        * efl/DefaultTheme/check/img_check_on_focus.png: Added.
        * efl/DefaultTheme/check/img_check_off.png: Added.
        * efl/DefaultTheme/check/img_check_on_hover.png: Added.
        * efl/DefaultTheme/scrollbar/scrollbar_knob_h.png: Added.
        * efl/DefaultTheme/scrollbar/scrollbar_knob_v.png: Added.
        * efl/DefaultTheme/scrollbar/scrollbar_hilight.png: Added.
        * efl/DefaultTheme/scrollbar/scrollbar_v.png: Added.
        * efl/DefaultTheme/scrollbar/scrollbar_h.png: Added.
        * efl/DefaultTheme/button/img_button_normal.png: Added.
        * efl/DefaultTheme/button/img_button_focus.png: Added.
        * efl/DefaultTheme/button/img_button_hover.png: Added.
        * efl/DefaultTheme/button/img_button_press.png: Added.

2010-03-17  Leandro Pereira  <leandro@profusion.mobi>

        Reviewed by Kenneth Rohde Christiansen.

        Add EFL example browser to efl/EWebLauncher.
        http://webkit.org/b/36176

        * efl/EWebLauncher/main.c: Added.

2010-03-16  Leandro Pereira  <leandro@profusion.mobi>

        Reviewed by Kenneth Rohde Christiansen.

        Add EFL port files to efl/WebCoreSupport.
        http://webkit.org/b/35916

        * efl/WebCoreSupport/ContextMenuClientEfl.cpp: Added.
        * efl/WebCoreSupport/ContextMenuClientEfl.h: Added.

2010-03-16  Yury Semikhatsky  <yurys@chromium.org>

        Reviewed by Pavel Feldman.

        Introduce InspectorFrontendClient that provides InspectorFrontend with an interface to the embedder. InspectorClient now serves as a delegate for InspectorController and does not contain methods for managing inspector frontend window. That allows to create remote InspectorFrontendHost.

        Introduce InspectorFrontendClient that would provide InspectorFrontend with an interface to the embedder
        https://bugs.webkit.org/show_bug.cgi?id=35036

        * efl/WebCoreSupport/InspectorClientEfl.cpp:
        (WebCore::InspectorClientEfl::openInspectorFrontend):
        * efl/WebCoreSupport/InspectorClientEfl.h:

2010-03-13  Leandro Pereira  <leandro@profusion.mobi>

        Reviewed by Kenneth Rohde Christiansen.

        Add EFL port files to efl/ewk.
        http://webkit.org/b/35925

        * efl/ewk/ewk_history.cpp: Added.
        * efl/ewk/ewk_history.h: Added.

2010-03-13  Leandro Pereira  <leandro@profusion.mobi>

        Reviewed by Kenneth Rohde Christiansen.

        Add EFL port files to efl/ewk.
        http://webkit.org/b/35928

        * efl/ewk/ewk_main.cpp: Added.
        * efl/ewk/ewk_main.h: Added.

2010-03-13  Leandro Pereira  <leandro@profusion.mobi>

        Reviewed by Kenneth Rohde Christiansen.

        Add EFL port files to efl/ewk.
        http://webkit.org/b/35924

        * efl/ewk/ewk_frame.cpp: Added.
        * efl/ewk/ewk_frame.h: Added.

2010-03-13  Leandro Pereira  <leandro@profusion.mobi>

        Reviewed by Kenneth Rohde Christiansen.

        Add EFL port files to efl/ewk.
        http://webkit.org/b/35936

        * efl/ewk/ewk_view_single.c: Added.

2010-03-13  Leandro Pereira  <leandro@profusion.mobi>

        Reviewed by Kenneth Rohde Christiansen.

        Add EFL port files to efl/ewk.
        http://webkit.org/b/35929

        * efl/ewk/ewk_util.cpp: Added.
        * efl/ewk/ewk_util.h: Added.

2010-03-13  Leandro Pereira  <leandro@profusion.mobi>

        Reviewed by Kenneth Rohde Christiansen.

        Add EFL port files to efl/ewk.
        http://webkit.org/b/35934

        * efl/ewk/EWebKit.h: Added.
        * efl/ewk/ewk_eapi.h: Added.
        * efl/ewk/ewk_logging.h: Added.
        * efl/ewk/ewk_private.h: Added.

2010-03-11  Leandro Pereira  <leandro@profusion.mobi>

        Reviewed by Gustavo Noronha Silva.

        Add EFL port files to efl/WebCoreSupport.
        http://webkit.org/b/35917

        * efl/WebCoreSupport/InspectorClientEfl.h: Added.
        * efl/WebCoreSupport/InspectorClientEfl.cpp: Added.

2010-03-11  Leandro Pereira  <leandro@profusion.mobi>

        Reviewed by Gustavo Noronha Silva.

        Add EFL port files to efl/WebCoreSupport.
        http://webkit.org/b/35914

        * efl/WebCoreSupport/DragClientEfl.h: Added.
        * efl/WebCoreSupport/DragClientEfl.cpp: Added.

2010-03-11  Simon Fraser  <simon.fraser@apple.com>

        Reviewed by Mark Rowe.

        Sort the project file.

        * WebKit.xcodeproj/project.pbxproj:

2010-03-10  Leandro Pereira  <leandro@profusion.mobi>

        Reviewed by Holger Freyther.

        Add EFL port files to efl/WebCoreSupport.
        http://webkit.org/b/35913

        * efl/WebCoreSupport/ChromeClientEfl.cpp: Added.
        * efl/WebCoreSupport/ChromeClientEfl.h: Added.

2010-03-09  John Sullivan  <sullivan@apple.com>

        Fixed localized string key collision. update-webkit-localized-strings now
        runs without errors.

        Reviewed by Adam Roben.

        * English.lproj/Localizable.strings:
        Regenerated.

2010-03-09  John Sullivan  <sullivan@apple.com>

        * StringsNotToBeLocalized.txt:
        Brought this file up to date. update-webkit-localizable-strings still lists
        one key collision, but that's a separate issue.

2010-03-04  Mark Rowe  <mrowe@apple.com>

        Reviewed by Sam Weinig.

        Add a script to verify that WebKit framework headers are internally consistent.

        * WebKit.xcodeproj/project.pbxproj: Run the script during the build and fail with
        an error should the consistency check fail.

2010-02-25  Alexey Proskuryakov  <ap@apple.com>

        Reviewed by Geoffrey Garen.

        https://bugs.webkit.org/show_bug.cgi?id=35394
        <rdar://problem/7685262> Make passing objects between Java and plug-ins work

        * WebKit.xcodeproj/project.pbxproj: Added new files.

2010-02-04  Mark Rowe  <mrowe@apple.com>

        Reviewed by Timothy Hatcher.

        Build fix.  Remove a symbol corresponding to an inline function from the linker export
        file to prevent a weak external failure.

        * WebKit.xcodeproj/project.pbxproj: Accommodate rename of script.

2010-02-04  John Sullivan  <sullivan@apple.com>

        https://bugs.webkit.org/show_bug.cgi?id=34611
        WebLocalizedString() could use an assertion that it is being called on the main thread

        Reviewed by Tim Hatcher.

        * WebKit.xcodeproj/project.pbxproj:
        Updated for renamed file (WebLocalizableStrings.m -> WebLocalizableStrings.mm)

2010-01-29  Mark Rowe  <mrowe@apple.com>

        Sort Xcode projects.

        * WebKit.xcodeproj/project.pbxproj:

2010-01-19  Dan Bernstein  <mitz@apple.com>

        Redo DumpRenderTree build fix without making WebTypesInternal.h a private header

        * WebKit.xcodeproj/project.pbxproj:

2010-01-19  Simon Fraser  <simon.fraser@apple.com>

        Build fix, no review.

        Fix build of DumpRenderTree by making the header WebTypesInternal.h Private
        in WebKit.

        * WebKit.xcodeproj/project.pbxproj:

2010-01-19  Jon Honeycutt  <jhoneycutt@apple.com>

        MSAA: The child <option> elements of a non-multiple <select> are not
        exposed

        https://bugs.webkit.org/show_bug.cgi?id=33773
        <rdar://problem/7550556>

        Reviewed by Alice Liu.

        * English.lproj/Localizable.strings:
        Add new localized strings.

2010-01-13  Kevin Decker  <kdecker@apple.com>

        Reviewed by Mark Rowe.

        https://bugs.webkit.org/show_bug.cgi?id=33610
        <rdar://problem/7288546> Silverlight full screen performance problem seen on Snow Leopard.

         * WebKit.xcodeproj/project.pbxproj: Link the project against OpenGL.

2009-12-25  Darin Adler  <darin@apple.com>

        * StringsNotToBeLocalized.txt: Updated for recent changes.

2009-12-18  Dan Bernstein  <mitz@apple.com>

        Updated localizable strings after r52368

        * English.lproj/Localizable.strings:

2009-12-18  Sam Weinig  <sam@webkit.org>

        Reviewed by Dan Bernstein.

        Add Mac WebKit side of the client based geolocation provider.

        * WebKit.xcodeproj/project.pbxproj:

2009-12-16  Mark Rowe  <mrowe@apple.com>

        Build fix.  Disable debug variants of WebKit frameworks.

        * WebKit.xcodeproj/project.pbxproj:

2009-12-16  John Sullivan  <sullivan@apple.com>

        Brought this file up to date, sans review.

        * StringsNotToBeLocalized.txt:

2009-11-30  Mark Rowe  <mrowe@apple.com>

        Use the correct path to Info.plist to avoid creating an empty file at the top of the WebKit directory.

        * WebKit.xcodeproj/project.pbxproj:

2009-11-24  Dmitry Titov  <dimich@chromium.org>

        Reviewed by Eric Seidel.

        Add ENABLE_SHARED_SCRIPT feature define and flag for build-webkit
        https://bugs.webkit.org/show_bug.cgi?id=31444

        * chromium/features.gypi:

2009-11-24  Mark Rowe  <mrowe@apple.com>

        Fix production builds where the source tree may be read-only.

        * WebKit.xcodeproj/project.pbxproj:

2009-11-20  Dave Hyatt  <hyatt@apple.com>

        Reviewed by Oliver Hunt and Jon Honeycutt.

        Add support for WebSerializedJSValue to WebKit.  This object wraps the SerializedScriptValue functionality in WebCore
        and exposes the ability to do JS value serialization/deserialization to WebKit clients.

        * WebKit.xcodeproj/project.pbxproj:

2009-11-20  Chris Fleizach  <cfleizach@apple.com>

        Reviewed by Beth Dakin.

        WAI-ARIA: add support for 'math' role
        https://bugs.webkit.org/show_bug.cgi?id=31706

        * English.lproj/Localizable.strings:
        * StringsNotToBeLocalized.txt:

2009-11-19  Eric Carlson  <eric.carlson@apple.com>

        Reviewed by Dan Bernstein.

        <rdar://problem/7035231>
        Support closed caption in <video> element

        * English.lproj/Localizable.strings:
            Add strings for toggle captions button.

2009-11-18  Michelangelo De Simone  <micdesim@gmail.com>

        Reviewed by Darin Adler.

        Fix for <https://bugs.webkit.org/show_bug.cgi?id=27959>.
        Support for validationMessage attribute, as per HTML5 specs.

        * English.lproj/Localizable.strings: new localizable strings

2009-11-18  Sam Weinig  <sam@webkit.org>

        Reviewed by Anders Carlsson.

        Make the Mac Geolocation API async.

        * WebKit.xcodeproj/project.pbxproj: Remove WebGeolocation.

2009-11-13  Adam Roben  <aroben@apple.com>

        Add WebFrameLoadDelegatePrivat.h to WebKit.xcodeproj

        Fixes <http://webkit.org/b/31124> Tell the WebFrameLoadDelegate when
        window objects in isolated worlds are cleared

        Reviewed by Dave Hyatt.

        * WebKit.xcodeproj/project.pbxproj: Added
        WebFrameLoadDelegatePrivate.h, which already existed.

2009-11-12  Adam Roben  <aroben@apple.com>

        Replace worldIDs with world objects

        Part of <http://webkit.org/b/31414> Implement new SPI for dealing with
        user scripts/stylesheets and isolated worlds

        Reviewed by Sam Weinig.

        * WebKit.xcodeproj/project.pbxproj: Added WebScriptWorld to the project.

2009-11-12  Chris Fleizach  <cfleizach@apple.com>

        Reviewed by Darin Adler.

        ARIA: add alert type roles
        https://bugs.webkit.org/show_bug.cgi?id=31392

        * English.lproj/Localizable.strings:
        * StringsNotToBeLocalized.txt:

2009-11-02  Eric Carlson  <eric.carlson@apple.com>

        Reviewed by John Sullivan and Mark Rowe.

        <rdar://problem/7356733> Voiceover does not read correct media controller time values
        
        Fix localized strings for media controller time values.

        * English.lproj/Localizable.strings:

2009-11-02  Chris Fleizach  <cfleizach@apple.com>

        Reviewed by Beth Dakin.

        Support ARIA "tab" roles
        https://bugs.webkit.org/show_bug.cgi?id=30842

        Add a localizable string for tab panel.

        * English.lproj/Localizable.strings:
        * StringsNotToBeLocalized.txt:

2009-10-27  Dan Bernstein  <mitz@apple.com>

        Reviewed by Darin Adler.

        Updated license

        * LICENSE:

2009-10-26  Sam Weinig  <sam@webkit.org>

        Reviewed by Anders Carlsson.

        Move some WebView event handling code into its own file, WebViewEventHandling.mm

        * WebKit.xcodeproj/project.pbxproj:

2009-10-19  John Gregg  <johnnyg@google.com>

        Reviewed by Dimitri Glazkov.

        set ENABLE_NOTIFICATIONS=1 for Chromium
        https://bugs.webkit.org/show_bug.cgi?id=29949

        * chromium/features.gypi:

2009-10-13  Drew Wilson  <atwilson@atwilson-macpro.local>

        Reviewed by David Levin.

        Enable SHARED_WORKERS for Chromium
        https://bugs.webkit.org/show_bug.cgi?id=30289

        * chromium/features.gypi:
        Turned on ENABLE_SHARED_WORKERS by default. This doesn't actually turn on
        SharedWorkers yet, as Chromium overrides this flag in its feature_overrides.gypi.

2009-10-12  Yaar Schnitman  <yaar@chromium.org>

        Reviewed by Dimitri Glazkov.

        Chromium Port - Windows
        https://bugs.webkit.org/show_bug.cgi?id=29969

        * chromium/DEPS: Added gtest dep required by windows and incremented some of the deps revisions.

2009-10-06  Simon Fraser  <simon.fraser@apple.com>

        Reviewed by Mark Rowe.

        accessibility/media-element.html crashes (and has incorrect result)
        https://bugs.webkit.org/show_bug.cgi?id=30108

        Fix up the accessibilty label for the newly added fullscreen button,
        and update the test result accordingly.

        * English.lproj/Localizable.strings:

2009-10-05  Kevin Decker  <kdecker@apple.com>

        Reviewed by Dan Bernstein.

        * WebKit.xcodeproj/project.pbxproj: Add WebPluginHalterClient to the project.

2009-10-05  Yaar Schnitman  <yaar@chromium.org>

        Reviewed by Dimitri Glazkov.

        One of the dependencies' SVN url was missing a @ before the revision number.

        https://bugs.webkit.org/show_bug.cgi?id=30101

        * chromium/DEPS:

2009-10-05  Pierre d'Herbemont  <pdherbemont@webkit.org>

        Reviewed by Simon Fraser
        
        Support fullscreen in MediaPlayer (Mac)
        https://bugs.webkit.org/show_bug.cgi?id=26742

        Add new files for video fullscreen.

        * WebKit.xcodeproj/project.pbxproj:

2009-10-05  Pavel Feldman  <pfeldman@chromium.org>

        Reviewed by Timothy Hatcher.

        Web Inspector: add testing harness for Web Inspector.

        https://bugs.webkit.org/show_bug.cgi?id=30010

        * WebKit.xcodeproj/project.pbxproj:

2009-10-04  Fumitoshi Ukai  <ukai@chromium.org>

        Reviewed by Eric Seidel

        Enable Web Sockets in chromium build.
        https://bugs.webkit.org/show_bug.cgi?id=29917

        * chromium/features.gypi:

2009-10-02  Yaar Schnitman  <yaar@chromium.org>

        Reviewed by Dimitri Glazkov.

        Added gyp_webkit that does a subset of the things gyp_chromium does
        plus some specialization for an upstream chromium build.

        https://bugs.webkit.org/show_bug.cgi?id=29986

        * chromium/DEPS: Points to gyp_webkit instead of gyp_chromium.
        * chromium/gyp_webkit: A new python file.

2009-10-01  Yaar Schnitman  <yaar@chromium.org>

        Reviewed by Dimitri Glazkov.

        Make it possible to override the list of feature defines when building
        downstream.

        https://bugs.webkit.org/show_bug.cgi?id=29979

        * chromium/features.gypi:

2009-10-01  Yaar Schnitman  <yaar@chromium.org>

        Reviewed by Dimitri Glazkov.

        Added windows-specific dependencies, updated some revisions and
        re-organized file to make revision tracking easier. Also removed
        extensions/v8 dependency that is no longer needed upstream.

        https://bugs.webkit.org/show_bug.cgi?id=29973

        * chromium/DEPS:

2009-09-30  Yaar Schnitman  <yaar@chromium.org>

        Reviewed by Dimitri Glazkov.

        1. Keeping up with downstream revisions.
        2. Turning off v8 snapshot build step.

        https://bugs.webkit.org/show_bug.cgi?id=29928

        * chromium/DEPS

2009-09-29  Brady Eidson  <beidson@apple.com>

        Reviewed by John Sullivan.

        WebKit Mac API should provide a delegate interface for global history.
        <rdar://problem/7042773> and https://webkit.org/b/29904

        * WebKit.xcodeproj/project.pbxproj:

2009-09-28  Yaar Schnitman  <yaar@chromium.org>

        Reviewed by Dimitri Glazkov.

        https://bugs.webkit.org/show_bug.cgi?id=29722

        * chromium/DEPS: Describes the chromium port's dependencies and
          is used by gclient to fetch them.
        * chromium/webkit.gyp: Currently only builds webcore but in
          the future will also build the webkit api.

2009-09-26  David Kilzer  <ddkilzer@apple.com>

        Part 2 of 2: <http://webkit.org/b/29753> DerivedSources.make broken for non-Mac targets

        Reviewed by Darin Adler.

        Fix ENABLE_ORIENTATION_EVENTS for non-Mac platforms.

        * chromium/features.gypi: Added 'ENABLE_ORIENTATION_EVENTS=0' to
        disable this feature by default.

2009-09-22  Yaar Schnitman  <yaar@chromium.org>

        Reviewed by David Levin.

        Create chromium directory and ported chromium.org's features.gypi for 
        the webkit chromium port.

        https://bugs.webkit.org/show_bug.cgi?id=29617

        * chromium/features.gypi: Added.

2009-09-21  Dan Bernstein  <mitz@apple.com>

        Reviewed by Anders Carlsson.

        <rdar://problem/4137135> iFrame with PDF not being handled correctly on
        usps.com
        https://bugs.webkit.org/show_bug.cgi?id=4151

        * WebKit.xcodeproj/project.pbxproj: Added WebPDFDocumentExtras.{h,mm}
        and WebJSPDFDoc.{h,mm} and changed WebPDFRepresentation to
        Objective-C++.

2009-09-07  Steve Block  <steveblock@google.com>

        Reviewed by Adam Barth.

        Adds a mock Geolocation service. This will be used to provide predictable behavior of the
        Geolocation API for use in LayoutTests. Later changes will integrate the the mock
        Geolocation service with DumpRenderTree.
        https://bugs.webkit.org/show_bug.cgi?id=28264

        * WebKit.xcodeproj/project.pbxproj: Modified. Adds WebGeolocationMock.

2009-09-03  John Sullivan  <sullivan@apple.com>

        Reviewed by Adam Roben

        * StringsNotToBeLocalized.txt:
        Brought this file up to date.

2009-08-31  Mark Rowe  <mrowe@apple.com>

        Rubber-stamped by Beth Dakin.

        Remove WebViewEditingContextMenu.nib and WebViewEditingContextMenuOld.nib.
        We stopped using these back in r18592 when we switched over to context menus
        driven by WebCore.

        * English.lproj/WebViewEditingContextMenu.nib/classes.nib: Removed.
        * English.lproj/WebViewEditingContextMenu.nib/info.nib: Removed.
        * English.lproj/WebViewEditingContextMenu.nib/objects.nib: Removed.
        * English.lproj/WebViewEditingContextMenuOld.nib/classes.nib: Removed.
        * English.lproj/WebViewEditingContextMenuOld.nib/info.nib: Removed.
        * English.lproj/WebViewEditingContextMenuOld.nib/objects.nib: Removed.
        * WebKit.xcodeproj/project.pbxproj:

2009-08-28  Chris Fleizach  <cfleizach@apple.com>

        Reviewed by John Sullivan.

        update-webkit-localizable-strings script can no longer complete
        https://bugs.webkit.org/show_bug.cgi?id=28792

        * English.lproj/Localizable.strings:

2009-08-27  John Sullivan  <sullivan@apple.com>

        * StringsNotToBeLocalized.txt:
        Brought up to date, other than the problem mentioned in https://bugs.webkit.org/show_bug.cgi?id=28792

2009-08-25  Eric Carlson  <eric.carlson@apple.com>

        Reviewed by Oliver Hunt.

        <video> and <audio> controller should be accessible
        https://bugs.webkit.org/show_bug.cgi?id=28081

        Add localized strings for media controller accessiblility.

        * English.lproj/Localizable.strings:

2009-08-20  Chris Fleizach  <cfleizach@apple.com>

        Reviewed by Darin Adler.

        Enable various "grouping" ARIA roles
        https://bugs.webkit.org/show_bug.cgi?id=28486

        * English.lproj/Localizable.strings:

2009-08-18  Drew Wilson  <atwilson@google.com>

        Reviewed by Eric Seidel.

        Need to extend DumpRenderTree to expose number of worker threads.
        https://bugs.webkit.org/show_bug.cgi?id=28292

        * WebKit.xcodeproj/project.pbxproj:
        Added WebWorkersPrivate APIs to mac WebKit to expose workerThreadCount() for DumpRenderTree.

2009-08-06  Mark Rowe  <mrowe@apple.com>

        Rubber-stamped by Sam Weinig.

        Add explicit dependencies for our build verification scripts to ensure that they always run after linking has completed.

        * WebKit.xcodeproj/project.pbxproj:

2009-08-06  Mark Rowe  <mrowe@apple.com>

        Bring a little order to our otherwise out of control lives.

        * WebKit.xcodeproj/project.pbxproj:

2009-08-06  Mark Rowe  <mrowe@apple.com>

        Build fix.

        Don't attempt to build a file that Anders just deleted.

        * WebKit.xcodeproj/project.pbxproj:

2009-07-29  David Kilzer  <ddkilzer@apple.com>

        <http://webkit.org/b/27788> Don't export WebPluginController.h as a private header

        Reviewed by Mark Rowe.

        WebPluginController.h includes WebPluginContainerCheck.h, which
        is not a private header.  Since WebPluginController.h doesn't
        appear to be used anywhere, remove its private header status.

        * WebKit.xcodeproj/project.pbxproj: Remove private header
        attribute from WebPluginController.h.

2009-07-28  Maxime Simon  <simon.maxime@gmail.com>

        Reviewed by David Levin.

        Added FrameLoaderClient for Haiku WebCore support.
        https://bugs.webkit.org/show_bug.cgi?id=26952

        * haiku/WebCoreSupport/FrameLoaderClientHaiku.cpp: Added.
        (WebCore::FrameLoaderClientHaiku::FrameLoaderClientHaiku):
        (WebCore::FrameLoaderClientHaiku::setFrame):
        (WebCore::FrameLoaderClientHaiku::setWebView):
        (WebCore::FrameLoaderClientHaiku::detachFrameLoader):
        (WebCore::FrameLoaderClientHaiku::hasWebView):
        (WebCore::FrameLoaderClientHaiku::hasBackForwardList):
        (WebCore::FrameLoaderClientHaiku::resetBackForwardList):
        (WebCore::FrameLoaderClientHaiku::provisionalItemIsTarget):
        (WebCore::FrameLoaderClientHaiku::makeRepresentation):
        (WebCore::FrameLoaderClientHaiku::forceLayout):
        (WebCore::FrameLoaderClientHaiku::forceLayoutForNonHTML):
        (WebCore::FrameLoaderClientHaiku::updateHistoryForCommit):
        (WebCore::FrameLoaderClientHaiku::updateHistoryForBackForwardNavigation):
        (WebCore::FrameLoaderClientHaiku::updateHistoryForReload):
        (WebCore::FrameLoaderClientHaiku::updateHistoryForStandardLoad):
        (WebCore::FrameLoaderClientHaiku::updateHistoryForInternalLoad):
        (WebCore::FrameLoaderClientHaiku::updateHistoryAfterClientRedirect):
        (WebCore::FrameLoaderClientHaiku::setCopiesOnScroll):
        (WebCore::FrameLoaderClientHaiku::tokenForLoadErrorReset):
        (WebCore::FrameLoaderClientHaiku::resetAfterLoadError):
        (WebCore::FrameLoaderClientHaiku::doNotResetAfterLoadError):
        (WebCore::FrameLoaderClientHaiku::willCloseDocument):
        (WebCore::FrameLoaderClientHaiku::detachedFromParent2):
        (WebCore::FrameLoaderClientHaiku::detachedFromParent3):
        (WebCore::FrameLoaderClientHaiku::dispatchDidHandleOnloadEvents):
        (WebCore::FrameLoaderClientHaiku::dispatchDidReceiveServerRedirectForProvisionalLoad):
        (WebCore::FrameLoaderClientHaiku::dispatchDidCancelClientRedirect):
        (WebCore::FrameLoaderClientHaiku::dispatchWillPerformClientRedirect):
        (WebCore::FrameLoaderClientHaiku::dispatchDidChangeLocationWithinPage):
        (WebCore::FrameLoaderClientHaiku::dispatchWillClose):
        (WebCore::FrameLoaderClientHaiku::dispatchDidStartProvisionalLoad):
        (WebCore::FrameLoaderClientHaiku::dispatchDidReceiveTitle):
        (WebCore::FrameLoaderClientHaiku::dispatchDidCommitLoad):
        (WebCore::FrameLoaderClientHaiku::dispatchDidFinishDocumentLoad):
        (WebCore::FrameLoaderClientHaiku::dispatchDidFinishLoad):
        (WebCore::FrameLoaderClientHaiku::dispatchDidFirstLayout):
        (WebCore::FrameLoaderClientHaiku::dispatchDidFirstVisuallyNonEmptyLayout):
        (WebCore::FrameLoaderClientHaiku::dispatchShow):
        (WebCore::FrameLoaderClientHaiku::cancelPolicyCheck):
        (WebCore::FrameLoaderClientHaiku::dispatchWillSubmitForm):
        (WebCore::FrameLoaderClientHaiku::dispatchDidLoadMainResource):
        (WebCore::FrameLoaderClientHaiku::revertToProvisionalState):
        (WebCore::FrameLoaderClientHaiku::postProgressStartedNotification):
        (WebCore::FrameLoaderClientHaiku::postProgressEstimateChangedNotification):
        (WebCore::FrameLoaderClientHaiku::postProgressFinishedNotification):
        (WebCore::FrameLoaderClientHaiku::progressStarted):
        (WebCore::FrameLoaderClientHaiku::progressCompleted):
        (WebCore::FrameLoaderClientHaiku::setMainFrameDocumentReady):
        (WebCore::FrameLoaderClientHaiku::willChangeTitle):
        (WebCore::FrameLoaderClientHaiku::didChangeTitle):
        (WebCore::FrameLoaderClientHaiku::finishedLoading):
        (WebCore::FrameLoaderClientHaiku::canShowMIMEType):
        (WebCore::FrameLoaderClientHaiku::representationExistsForURLScheme):
        (WebCore::FrameLoaderClientHaiku::generatedMIMETypeForURLScheme):
        (WebCore::FrameLoaderClientHaiku::frameLoadCompleted):
        (WebCore::FrameLoaderClientHaiku::saveViewStateToItem):
        (WebCore::FrameLoaderClientHaiku::restoreViewState):
        (WebCore::FrameLoaderClientHaiku::restoreScrollPositionAndViewState):
        (WebCore::FrameLoaderClientHaiku::provisionalLoadStarted):
        (WebCore::FrameLoaderClientHaiku::shouldTreatURLAsSameAsCurrent):
        (WebCore::FrameLoaderClientHaiku::addHistoryItemForFragmentScroll):
        (WebCore::FrameLoaderClientHaiku::didFinishLoad):
        (WebCore::FrameLoaderClientHaiku::prepareForDataSourceReplacement):
        (WebCore::FrameLoaderClientHaiku::setTitle):
        (WebCore::FrameLoaderClientHaiku::userAgent):
        (WebCore::FrameLoaderClientHaiku::dispatchDidReceiveIcon):
        (WebCore::FrameLoaderClientHaiku::frameLoaderDestroyed):
        (WebCore::FrameLoaderClientHaiku::canHandleRequest):
        (WebCore::FrameLoaderClientHaiku::partClearedInBegin):
        (WebCore::FrameLoaderClientHaiku::updateGlobalHistory):
        (WebCore::FrameLoaderClientHaiku::updateGlobalHistoryRedirectLinks):
        (WebCore::FrameLoaderClientHaiku::shouldGoToHistoryItem):
        (WebCore::FrameLoaderClientHaiku::saveScrollPositionAndViewStateToItem):
        (WebCore::FrameLoaderClientHaiku::canCachePage):
        (WebCore::FrameLoaderClientHaiku::setMainDocumentError):
        (WebCore::FrameLoaderClientHaiku::committedLoad):
        (WebCore::FrameLoaderClientHaiku::cancelledError):
        (WebCore::FrameLoaderClientHaiku::blockedError):
        (WebCore::FrameLoaderClientHaiku::cannotShowURLError):
        (WebCore::FrameLoaderClientHaiku::interruptForPolicyChangeError):
        (WebCore::FrameLoaderClientHaiku::cannotShowMIMETypeError):
        (WebCore::FrameLoaderClientHaiku::fileDoesNotExistError):
        (WebCore::FrameLoaderClientHaiku::shouldFallBack):
        (WebCore::FrameLoaderClientHaiku::createDocumentLoader):
        (WebCore::FrameLoaderClientHaiku::download):
        (WebCore::FrameLoaderClientHaiku::assignIdentifierToInitialRequest):
        (WebCore::FrameLoaderClientHaiku::dispatchWillSendRequest):
        (WebCore::FrameLoaderClientHaiku::shouldUseCredentialStorage):
        (WebCore::FrameLoaderClientHaiku::dispatchDidReceiveAuthenticationChallenge):
        (WebCore::FrameLoaderClientHaiku::dispatchDidCancelAuthenticationChallenge):
        (WebCore::FrameLoaderClientHaiku::dispatchDidReceiveResponse):
        (WebCore::FrameLoaderClientHaiku::dispatchDidReceiveContentLength):
        (WebCore::FrameLoaderClientHaiku::dispatchDidFinishLoading):
        (WebCore::FrameLoaderClientHaiku::dispatchDidFailLoading):
        (WebCore::FrameLoaderClientHaiku::dispatchDidLoadResourceFromMemoryCache):
        (WebCore::FrameLoaderClientHaiku::dispatchDidLoadResourceByXMLHttpRequest):
        (WebCore::FrameLoaderClientHaiku::dispatchDidFailProvisionalLoad):
        (WebCore::FrameLoaderClientHaiku::dispatchDidFailLoad):
